Using Contribute

Learn how to use Contribute to update and publish web pages within your website.

This part contains the following chapters:


Welcome to Macromedia Contribute

Macromedia Contribute enables users to easily create and edit web pages on existing websites. Whether you’re using Contribute to update web pages or to manage the website, you’ll find Contribute a very useful tool for browsing, editing, and publishing content to a website.

The chapter contains the following sections:

  • Website development and maintenance overview
  • Contribute resources
  • Where to start
Next


Website development and maintenance overview

Contribute works with your existing website, whether it’s an intranet or a public website. It often takes a team of people to get a website up and running and to keep the content current.

The team may include the following people:

Web developers create the website. The web developer (or design team) uses a website-creation application, such as Macromedia Dreamweaver, to build the website. This person is responsible for planning, designing, developing, testing, and publishing the website. For some websites, the developer might use templates to maintain a consistent look and feel across the website.

Dreamweaver web developers should see Dreamweaver Help for more information.

Contribute users maintain the website. These are the marketers, managers, educators, students, small business owners, administrative assistants, project managers, and so on, who use Macromedia Contribute to keep their websites up to date. The user needs no experience in HTML or web design. Because Contribute works like a word processor, the user experience is intuitive and familiar. Users can add or update text, images, tables, links, and Microsoft Word and Excel documents.

This help system is designed for Contribute users.

Contribute website administrators set up Contribute users and help them use Contribute to maintain the website. The administrator is also responsible for setting folder and user permissions, which determine which users can edit website content and what content they can edit. Only one website administrator can be designated for each website in Contribute. However, more than one person can administer the website if the website administrator shares the administration password for the website.

Contribute website administrators can find more information in Administering Contribute.


Contribute resources

Contribute includes media resources to help you learn the program quickly. These resources include a Quick Start guide, a How Do I panel, a tutorial, and an online help system. In addition, you can find regularly updated tips, TechNotes, examples, and information at the Contribute Support Center on the Macromedia website.

For information on which resources to use first, see Where to start. For information on conventions used in the resources, see Typographical conventions in the Contribute resources.


Contribute Quick Start

The Contribute Quick Start guide helps you get started with Contribute. The guide provides instructions on installing Contribute, connecting to your website, and completing common Contribute tasks. Use this guide to learn the basics.

To view the guide, select Help > Quick Start Guide.


Contribute How Do I panel

The Contribute How Do I panel in the sidebar provides quick step-by-step instructions on completing some common Contribute tasks. If you don’t find a task in the How Do I panel or need more information about a task, use Contribute Help to get more detailed information.


Contribute Tutorial

The Contribute tutorial guides you through representative Contribute tasks, step by step. As you complete the tutorial, you’ll update the web pages of a sample website and quickly become familiar with Contribute features.

A link to information on the tutorial appears on the Start page when you first launch Contribute. The tutorial is available in the How Do I panel in the sidebar. Click the Contribute Tutorial link to start the tutorial.

When you install Contribute, the sample website for the tutorial is copied to your computer at: c:\\documents and settings\yourname\Application Data\Macromedia\Contribute\Configuration\Content\Tutorial.


Contribute Support Center

The Contribute Support Center website is updated regularly with the latest information on Contribute, plus examples, tips, TechNotes, and other updates.

Check the Contribute Support Center often for the latest news on Contribute and tips on getting the most out of the program.


Contribute Help

The Contribute online help system has two sections: Using Contribute, for Contribute users, and Administering Contribute, for Contribute website administrators.

Contribute Help provides comprehensive information about all Contribute features, optimized for online reading. Contribute Help appears in the help viewer provided by your operating system: Microsoft HTML Help (Windows) or Help Viewer (Macintosh).

To use Contribute Help:

  1. Select Help > Macromedia Contribute Help or click the Help button in any dialog box for information about that dialog box.

    2. Note: A PDF version of Contribute Help is included on your Contribute CD.

  2. Use any of these features to find information in the help system:
    • Use the table of contents to see all the information organized by subject. Click top-level entries to view subtopics.
    • Use the index to look up specific terms or concepts. It is organized like a traditional book index.
    • Use the search feature to find instances of a term or topic. Type any character string in the Search text box to find that text anywhere in the help system.
    • Use the Previous and Next arrows to move through the topics in a section.


Typographical conventions in the Contribute resources

The following typographical conventions are used in the Contribute resources:

  • Menu commands are shown in this format: Menu name > Menu command. Commands in submenus are shown in this format: Menu name > Submenu name > Menu command.
  • Code font indicates HTML tag and attribute names as well as literal text used in examples.
  • Italic code font indicates replaceable items (sometimes called metasymbols) in code.
  • Bold roman text indicates menu selections, option names, button and icon names, and text that you should enter verbatim.


Where to start

Your role in the website team determines which Contribute resources you start with and use regularly.

Contribute website administrators should start with the Quick Start guide to install Contribute and help users get connected. As you work with Contribute, refer to the How Do I panel to complete common administration tasks quickly, and use the online help to get detailed information about Contribute administration tasks and features.

Contribute users should start with the Quick Start guide to understand how to complete basic tasks. Then, complete the tutorial to update some sample web pages and learn more about Contribute. As you work with Contribute, refer to the How Do I panel to complete common tasks quickly, and use the online help to get detailed and complete information about Contribute tasks and features.

For more information about all the resources, see Contribute resources.
Previous


Getting Started

Before you can use Macromedia Contribute to edit and update your website content, you must create a connection to the website--actually, to the web server that stores your website. By creating a connection, you enable Contribute to access the web pages on your website, and you can then edit pages and publish any changes you make.

In most cases, your Contribute website administrator sets up Contribute for you or provides the information you need to connect to your website. Your website administrator is the first person to contact if you have questions about connecting to your website.

This chapter contains the following sections:

  • The Contribute workflow
  • Connecting to a website
  • Launching Contribute without a network connection
Next


The Contribute workflow

Contribute uses a browse-edit-publish workflow to help you easily find the page you want to edit, make changes to the page, and then update the page on your website.

Note: You must connect to a website before you can edit and publish pages on that website. For more information, see Connecting to a website.

Here’s an overview of the Contribute workflow:

1. Browse to a page. Use the Contribute browser to find the web page you want to edit. The browser’s behavior, as well as its look and feel, will be familiar to users of Microsoft Internet Explorer and other popular browsers. The browser toolbar has the normal navigation buttons plus a Choose button to help you navigate to files that aren’t linked on your website. You can create bookmarks in Contribute and view your Internet Explorer bookmarks. You can also use shortcuts in the Pages panel in the sidebar to view current drafts quickly.

2. Edit your content. When you find the page you want to edit, click the Edit Page button to open the page in the Contribute editor. Contribute copies the file from your web server and locks it on the server so that no one else can edit the page while you’re working on it.

The Contribute editor works much as a word processor does. You can edit text, images, tables, and links in the page, and you can even add Microsoft Word or Excel documents to your website. The toolbar contains familiar editing buttons, plus buttons for saving your edits until later, canceling your edits, or publishing your edits to the website.

3. Publish the changes. When you finish editing your page, you are ready to publish the page to your website. Simply click the Publish button, and Contribute replaces the existing page on your web server with your edited version so that it is live on your website. Contribute also unlocks the file on the server so that other users can edit the page if necessary.


Connecting to a website

Contribute lets you connect to your website quickly and easily. Your Contribute website administrator will likely do one of the following to help set up a connection for you:

  • Send you an e-mail message with a website connection key, or a link or network location for downloading the connection key (see Importing a website connection key)

    • The connection key contains all of the network information Contribute needs to connect to your website.

  • Give you the necessary connection information and have you enter the information in the Connection Wizard (see Creating a Contribute website connection)

If you are using a Macintosh and have a .Mac account, Contribute detects the .Mac account and asks if you want to create a connection to it.


Importing a website connection key

Your website administrator might provide a connection key, which you import to establish a connection to your website. The connection key contains all of the network information Contribute needs to connect to your website.

The website administrator will send an e-mail message with the key attached or give you the network location from which to download the key.

Note: Your website administrator should give you the connection key password. If you do not know the password, contact your website administrator.

To import a website connection key:

  1. Open the e-mail message containing the connection key.

    2. If the connection key is not attached to an e-mail message, navigate to the network location of the key, then copy it to your computer. You can also select Edit > My Connections (Windows) or Contribute > My Connections (Macintosh), and then click the Import button to navigate to the connection key.

  2. Double-click the connection key. (The connection key has an .stc extension, as in myConnection.stc.)

    3. Contribute starts up (if it is not already running), and the Import Connection Key dialog box appears.

    Import Connection Key dialog box

  3. Enter your name, e-mail address, and the password for the connection key.

    4. Note: If you don’t have a password, contact the website administrator who sent you the connection key.

    When the connection is completed, the home page of the website appears in the Contribute browser.

Related topics
  • Entering a Contribute startup password
  • Entering an FTP password


Entering a Contribute startup password

If the Require Contribute startup password option is selected in the Preferences > Security dialog box, Contribute prompts you for your startup password when you launch the program. A startup password protects unauthorized users from publishing pages to your website. After you enter the correct startup password, you can make updates and publish changes to the connected websites until you close Contribute.

In addition to providing secure access, when the Require Contribute Startup password option is selected, Contribute uses a stronger encryption method when saving your connection information on your computer.

You can enter the password incorrectly only three times before Contribute locks you out. If you are locked out, you can restart Contribute and reenter the startup password.

Note: If you receive a connection key that requires a Contribute startup password, you must create a startup password for your computer before you can import that connection.

To enter a Contribute startup password:

  1. In the Enter Password dialog box, type the Contribute startup password.
  2. Click OK.

    3. If you click Skip, you bypass the password prompt and Contribute starts up. When you skip the password, you can only edit existing drafts for the website. You won’t be able to publish the changes until you restart Contribute and enter the correct startup password.

Related topics
  • Setting security preferences
  • Disabling a Contribute startup password


Entering an FTP password

The website administrator may send you a connection key that does not include the FTP login and password information. An FTP password and user name are required to access password-controlled files on the server.

When you import a connection key that doesn’t include the required FTP information, Contribute displays the FTP password dialog box after you enter your name, e-mail address, and password for the connection key.

Tip: If you are connecting to a local network computer, the login information you enter in this dialog box is typically the same as your network login information.

To enter your FTP password information:

  1. In the Username text box, type your FTP user name.
  2. In the Password text box, type your password.
  3. Click OK.


Launching Contribute without a network connection

When you launch Contribute, it checks your network connection so that it can connect to your website. Contribute alerts you if it does not detect a connection.

If you launch Contribute without a network connection and receive the Connection Failure alert, you have two choices:

  • Select Work Offline if you know that you’re not connected to the network and want to work offline. For more information, see Using Contribute to work offline.
  • Select Try to Connect Anyway if you aren’t sure what the problem is and you want Contribute to try to connect again. If Contribute still cannot connect, you can choose to disable the website and continue checking your other website connections, if any. For more information, see Disabling your website at startup.

    • For more information about solving connection problems, see Troubleshooting.


Disabling your website at startup

Contribute alerts you if it detects a problem with any of your website connections when it launches. Contribute displays the alert after the first website connection problem it encounters.

You can have Contribute try to connect again. If Contribute still can’t connect, you can choose to disable the website connection and try to connect to your other websites, if any. If you disable a website, you can enable it after you resolve your network connection problem.

Note: You can choose to disable a website at any time--not just at startup--when there’s a problem. If you have multiple websites, you might choose to disable websites that you aren’t currently working on so that Contribute does not maintain the connection for an extended period of time. For more information, see Disabling a website connection.

To disable a website when your network connection fails:

  1. Start Contribute.

    2. The Connection Failure dialog box appears.

  2. Select Try to Connect Anyway to force Contribute to continue checking for a network connection.
  3. If Contribute still fails to connect, Contribute displays an error message with two options:
    • Click Yes to continue trying to connect to other websites.
    • Click No to disable the rest of your websites.
  4. Click OK.

To enable a disabled website:

  1. Select Edit > My Connections (Windows) or Contribute > My Connections (Macintosh).

    2. The My Connections dialog box appears.

  2. Select a disabled website from the list, and then click the Enable button.
  3. Click Close.


The Connection Failure dialog box

  1. If Contribute fails to detect a network connection for one or more of your websites, the Connection Failure dialog box gives you two choices:
    • Select Work Offline if you know that you’re not connected to the network and want to work offline. For more information, see Using Contribute to work offline.
    • Select Try to Connect Anyway if you aren’t sure what the problem is and you want Contribute to try to connect again. If Contribute still cannot connect, you can choose to disable one or more of your website connections. For more information, see Disabling your website at startup.
  2. Click OK.
Previous


Exploring the Contribute Workspace

You can use Macromedia Contribute as a web browser and as a web page editor. You can easily switch between browsing web pages and editing web pages. The Contribute workspace makes it easy for you to access pages, whether you’re browsing or editing.

You can navigate the Contribute dialog boxes and workspace without using your mouse. You can also set preferences to customize Contribute.

This chapter includes the following sections:

  • The Contribute workspace
  • Browsing and editing pages
  • Navigating to web pages
  • Setting Contribute preferences
  • Setting browser encoding (Windows only)
  • Using Contribute accessibility features
Next


The Contribute workspace

The Contribute workspace has three main areas: the Contribute browser/editor, the toolbar, and the sidebar.

Image shows the three areas of the Contribute workspace: the toolbar, sidebar, and browser/editor

This section covers the following topics:

  • The Contribute browser/editor
  • The Contribute toolbars
  • The Contribute sidebar


The Contribute browser/editor

In the Contribute browser, you can browse to any web page--not just pages on your website. The Contribute browser functions as a true web browser: Simply click links in web pages to browse to the page you want to edit. You can also create bookmarks to pages that you visit frequently.

In the Contribute editor, you can edit pages in websites you are connected to. You can edit text, images, tables, links, and even pages with frames. Then, you can publish your changes to make the updated web page live on your website.

It’s easy to browse and edit in Contribute, and to switch between browsing and editing. For more information, see Browsing and editing pages.


The Contribute toolbars

The Contribute toolbar changes according to whether you are browsing or editing a page.

The browser toolbar contains buttons for navigating your website or creating a new page.

Contribute browser toolbar

The editor toolbar contains buttons for editing and common operations from the File, Insert, Format, and Table menus.

Contribute editor toolbar


The Contribute sidebar

The Contribute sidebar makes it easy to switch between editing and browsing, and gives you quick access to your drafts and newly created pages. You can also use the sidebar to get quick instructions for performing tasks in Contribute.

The sidebar has two parts:

  • The Pages panel gives you access to the web browser and all drafts and new pages you’re currently editing.
  • The How Do I panel provides quick step-by-step instructions to help you complete some common Contribute tasks. The list of tasks changes according to whether you’re browsing or editing.

    • Click any link in the How Do I panel in the sidebar to get more information on that task. If the task you’re looking for is not in the list, see Contribute Help (Help > Macromedia Contribute Help) to get detailed information.

    Note: For more information about using Contribute resources to get help, see Contribute resources.

You can expand, collapse, or resize the panels and the sidebar.

To expand or collapse the sidebar, do one of the following:

  • Select View > Sidebar.
  • In Windows, click the arrow on the splitter bar between the sidebar and the Contribute browser/editor.
  • On the Macintosh, double-click the grabber on the splitter bar between the sidebar and the Contribute browser/editor.

To resize the sidebar:

  • Drag the splitter bar between the sidebar and the Contribute browser/editor.

To expand or collapse a panel in the sidebar:

  • Double-click the panel title bar.

To resize panels vertically in the sidebar:

  • Drag the title bar in the How Do I panel.


Browsing and editing pages

You can use Contribute to browse or edit web pages.

When you are browsing, you’ll see the browser toolbar, with the Edit Page button. Use the Contribute browser like any web browser--enter web addresses, click links to navigate pages, use the Back and Forward buttons, or select recently viewed pages.

Note: (Windows only) If you use Microsoft Internet Explorer as your primary web browser, the Contribute browser inherits preferences from Internet Explorer. To change basic settings, such as fonts, cookies, or plug-ins, change your preferences in Internet Explorer; then launch Contribute again.

You can browse to any website with Contribute (not just pages in your websites), but you can edit only pages that are in your websites; that is, websites that you’ve created connections to (see Connecting to a website). When you browse to a page that is in your website and that you have permission to edit, the Edit Page button is enabled in the toolbar.

Note: If there is a Create Connection button in the toolbar, then you cannot edit that page (unless you connect to the website).

When you edit a page, the editor toolbar appears and the page becomes a draft you can edit. The draft title appears in the Pages panel. You can switch between browsing and editing at any time. When you leave a draft you’re editing, Contribute saves your changes so that you can return to the draft later and continue editing where you left off.

When you finish editing your draft, you can publish it so that it is live on your website (see Publishing Your Page).

To switch from browsing to editing, do one of the following:

  • Click the Edit Page button in the toolbar.

    • Note: Edit Page is enabled only for pages in a website that you are connected to and that you have permission to edit.

  • Click a draft or new page title in the Pages panel in the sidebar.

To switch from editing to browsing, do one of the following:

  • Click Browser in the Pages panel in the sidebar.
  • Click the Save for Later button in the toolbar.
  • Select View > Browser.

When you switch to browsing, Contribute does not publish your draft. While you are browsing the page, the message area advises you that you have an unpublished draft of the page.


Navigating to web pages

The easiest way to find a web page you want to edit is to browse to the page in Contribute, just as you would browse to a page in any web browser. For information about editing pages, see Editing existing web pages.

To browse to a web page in Contribute, do one of the following:

  • Click links in web pages to navigate to other pages.
  • Type the web address (URL) of the page in the Address text box; then click Go. You can also press Enter or Return.
  • Select View > Go to Web Address, enter the web address (URL), and click OK.

Contribute gives you quick access to the following pages:

  • Current drafts or new pages
  • Home pages of the websites you are connected to
  • Recently published pages
  • Pages or files that aren’t linked from another page on your website
  • Bookmarks for frequently accessed pages

    • Image is a screenshot of the Contribute workspace


Viewing drafts and new pages

The Pages panel displays drafts that you are currently editing and new pages that you’ve created but haven’t published yet. You can also access these pages from the File menu.

To view a draft or new page, do one of the following:

  • Click the title of the draft or new page in the Pages panel in the sidebar.
  • Select File > Drafts, and then select a page from the pop-up menu.


Viewing home pages for your websites

You can use the toolbar to view home pages of websites you’re connected to. The View menu also gives you access to these pages.

To view the home page for a website you’re connected to, do one of the following:

  • Click the Home Pages button on the toolbar, and then select a home page.
  • Select View > Home Pages, and then select a home page from the pop-up menu.


Viewing recently published pages

The File menu gives you quick access to pages you’ve recently published.

To view a recently published page:

  • Select File > Recently Published Pages, and then select a page from the pop-up menu.


Viewing pages and files that you can’t browse to

Contribute gives you access to pages and files that are associated with your website but that you can’t browse to. Use the Choose button in the toolbar to view pages and files that are saved in a website folder but aren’t linked from any page on your website.

To view a page or file that is not linked from another page:

  1. In the Contribute browser or editor, select View > Choose File on Website or click the Choose button in the browser toolbar.

    2. The Choose File on Website dialog box appears.

  2. Select a file by doing one of the following:
    • If the file is in a folder on the website you are currently browsing, then select a file.
    • If the file is not in a folder on the current website, use the Look In pop-up menu to navigate to the correct website folder, and then select a file.

      • Depending on the type of the file you select, a preview may appear so that you can confirm that you’re selecting the correct file.

  3. Click OK.

    4. The page or file appears in the Contribute web browser.

    Note: If you select a file type that the Contribute browser can’t display, you’ll see the File Placeholder page.


Completing the Go to Web Address dialog box

Use the Go to Web Address dialog box to find a specific web page, if you know the page’s web address.

To complete the Go to Web Address dialog box:

  1. Enter an address in the Web Address (URL) text box.
  2. Click OK.


Completing the Choose File on Website dialog box

Use the Choose File on Website dialog box to find pages and files in the websites you’re connected to.

To complete the Choose File on Website dialog box:

  1. Select a file by doing one of the following:
    • If the file is in a folder on the website you are currently browsing, then select a file.
    • If the file is not in a folder on the current website, use the Look In pop-up menu to navigate to the correct website folder, and then select a file.

      • Depending on the type of the file you select, a preview may appear so that you can confirm that you’re selecting the correct file.

  2. Click the folder icons as necessary:
    • Up One Level moves the selection up one level in the folder structure.
    • New Folder lets you add a folder to your website.

      • Tip: You can add new pages to folders you create when you publish the pages.

    • Delete Folder removes the selected folder from your website.

      • Note: You can delete folders only if they are empty. For information about removing pages from your website, see Deleting a web page.

  3. Click OK.

    4. The page or file appears in the Contribute web browser.


Completing the New Folder dialog box

To add a new folder to your website:

  • Enter a name for the folder; then click OK.


Setting up access to commonly used pages

Contribute lets you keep a list of bookmarks for pages that you visit frequently. You can add a bookmark for any page--not just pages in websites you’re connected to.

When you add a page as a bookmark in Contribute, it appears in your list of bookmarks. You can have up to 1000 bookmarks.

In Windows, Contribute also includes your Internet Explorer bookmarks (up to 2000 bookmarks) in the Other Bookmarks list under your Contribute bookmarks.

This section covers the following topics:

  • Viewing pages in your bookmarks list
  • Adding a page to your bookmarks
  • Deleting a page from your bookmarks


Viewing pages in your bookmarks list

You can select pages in your list of bookmarks to quickly view those pages.

To add a page to your bookmarks, see Adding a page to your bookmarks. To delete a page from your bookmarks, see Deleting a page from your bookmarks.

To view a page in your list of bookmarks, do one of the following:

  • To view a Contribute bookmark, select Bookmarks, and then select a bookmark from the list.
  • (Windows only) To view an Internet Explorer bookmark, select Bookmarks > Other Bookmarks, and then select a bookmark from the list.


Adding a page to your bookmarks

You can add any web page--not just pages in websites you’re connected to--to your bookmarks list.

To view bookmarks, see Viewing pages in your bookmarks list. To delete a page from your bookmarks, see Deleting a page from your bookmarks.

To add a page to your list of bookmarks:

  1. Browse to the page you want to add to your bookmarks list.
  2. Select Bookmarks > Add Bookmark from the menu.

    3. The Add Bookmark dialog box appears.

  3. If you want to change the name of the bookmark, enter a new name in the Name text box.

    4. This is the name that appears in your bookmarks list.

  4. If you want to add the page to a folder, click an existing folder name or click New Folder to add a folder.
  5. Click OK.

    6. Contribute adds the page to your bookmarks list in the Bookmarks menu.


Completing the New Folder dialog box

To add a new folder to your list of bookmarks:

  • Enter a name for the folder; then click OK.


Deleting a page from your bookmarks

You can delete any page from your bookmarks list, or you can delete a bookmarks folder.

To view bookmarks, see Viewing pages in your bookmarks list; to add a page to your bookmarks, see Adding a page to your bookmarks.

To delete a bookmark:

  1. Select Bookmarks > Delete Bookmark.

    2. The Delete Bookmark dialog box appears.

  2. Select the name of the bookmark or the folder you want to delete.
  3. Click Delete.

    4. Contribute removes the page from your bookmarks list in the Bookmarks menu.

  4. If you want to delete another bookmark or folder, select it, and then click Delete again.
  5. Click Close when you finish deleting bookmarks.


Setting Contribute preferences

You use the Preferences dialog box to set your user preferences for Contribute. You can set preferences for general editing, file editors, firewall settings, invisible elements, and password security.

To edit user preferences:

  1. Select Edit > Preferences (Windows) or Contribute > Preferences (Macintosh).

    2. The Preferences dialog box appears.

    Preferences dialog box

  2. Select a category from the list on the left:
    • Select General to set general Contribute options such as how Contribute handles table editing, or to select a spelling dictionary. Windows users can also set options for inserting Microsoft Office documents. For information about General options, see Setting general preferences.
    • Select File Editors to select primary application editors by file type (seeSetting file editor preferences).
    • Select Firewall to add or change settings for your firewall (see Setting firewall preferences).
    • Select Invisible Elements to hide or show invisible elements (see Setting invisible element preferences).
    • Select Security to set up a Contribute startup password (see Setting security preferences.


Setting general preferences

In the Preferences dialog box, you can set editing options. If you are using the Windows version of Contribute, you can also determine how Contribute handles Microsoft Office documents when you insert them in a page.

To set the General preferences:

  1. Select Edit > Preferences (Windows) or Contribute > Preferences (Macintosh), and then select General from the category list on the left.
  2. Select the options you want to set:
    • Select or deselect Faster table editing.
When this option is enabled, Contribute does not always redraw a table as you edit it. Selecting this option might improve performance when you edit large tables. When you want Contribute to redraw the table, click outside the table, switch to another draft or the browser, or publish the draft.
  • Select or deselect Enable screen reader support.
When this option is enabled, Contribute disables offscreen rendering of pages so that a screen reader can be used.
  • Select a dictionary from the Spelling dictionary pop-up menu.
  1. (Windows Only) In the Microsoft Office documents section, select an option to specify the default action Contribute performs when you insert a Microsoft document in a draft.

    2. Insert the contents of the document into the current draft copies the content of the selected document into the draft.

    Insert document as FlashPaper into the current draft converts the document to a Flash movie file and inserts it in the draft.

    Create a link to the document inserts a link to the selected document.

    Ask whenever I insert a Microsoft Office document into Contribute lets you select how you want to insert the document.

  2. Click OK.


Setting file editor preferences

When you need to edit web page content, such as an image, in an external application, Contribute launches the application for you. You can use the Preferences dialog box to select or change your primary editing applications for each type of file you edit.

Before you set file editor preferences, make sure to close the application you want to set as a file editor.

To change the editor for a file type:

  1. Select Edit > Preferences (Windows) or Contribute > Preferences (Macintosh), and then select File Editors from the category list on the left.
  2. Select a file type in the left pane.

    3. Associated editors appear in the right pane. If the application you want to select is in the pane, skip to step 5.

  3. Click the Plus (+) button above the right pane.

    4. The Select External Editor dialog box appears.

  4. Navigate to the application you want to add, and click Open.

    5. The application name appears in the right pane.

  5. Select the application you want Contribute to launch for the selected file type, and then click the Make Primary button.

    6. The word Primary appears beside the application name.

  6. Click OK.

To add a file type and associate an editor:

  1. Select Edit > Preferences (Windows) or Contribute > Preferences (Macintosh), and then select File Editors from the category list on the left.
  2. Click the Plus (+) button above the left pane, and then type the file type.
  3. Click the Plus (+) button above the right pane.

    4. The Select External Editor dialog box appears.

  4. Navigate to the application you want to associate with the new file type, and click Open.

    5. The application appears name appears in the right pane.

  5. Click OK.

To delete a file type or associated editor:

  1. Select Edit > Preferences (Windows) or Contribute > Preferences (Macintosh), and then select File Editors from the category list on the left.
  2. Select a file type in the left pane or an application in the right pane.
  3. Click the Minus (-) button above the pane.

    4. The file type or application name disappears from the pane.

  4. Click OK.


Setting firewall preferences

If you use a firewall, use the Preferences dialog box to enter or change your host and port.

To set firewall preferences:

  1. Select Edit > Preferences (Windows) or Contribute > Preferences (Macintosh), and then select Firewall from the category list on the left.
  2. In the Firewall host text box, enter the name of the firewall host.
  3. In the Firewall port text box, enter the network port number through which FTP access is enabled.
  4. Click OK.


Setting invisible element preferences

You can turn invisible elements, such as section anchors, on or off in the Preferences dialog box. For more information about section anchors, see Linking to a specific place in a page.

To make section anchors visible or invisible:

  1. Select Edit > Preferences (Windows) or Contribute > Preferences (Macintosh), and then select Invisible Elements from the category list on the left.
  2. Select or deselect the Show section anchors when editing a page check box.
  3. Click OK.


Setting security preferences

You can create a Contribute startup password to prevent other people with access to your computer from making changes to your Contribute websites. When you require a password, anyone using Contribute on your computer must provide the correct Contribute startup password in order to edit, add, or delete pages in your website.

In addition to securing access to your websites, enforcing the password requirement causes Contribute to use a stronger encryption method when it stores your FTP information on your computer.

Note: Be sure to keep your password information secure and not to lose it. If you lose your password you will have to remove all of your Contribute website connections before you can use Contribute to make changes in your websites.

For information about entering the startup password when launching Contribute, see Entering a Contribute startup password. For information about disabling the startup password requirement, see Disabling a Contribute startup password.

To set a Contribute startup password:

  1. Select Edit > Preferences (Windows) or Contribute > Preferences (Macintosh).
  2. In the Preferences dialog box, select Security.
  3. Select Require Contribute startup password.
  4. In Password, type a password for the site.
  5. In Confirm Password, type the password again.
  6. Click OK.

    7. Note: If the passwords do not match, you see an error message asking you to retype and confirm the password.

    An alert appears warning you about the consequences of losing your password.

  7. Click OK to close the alert box, or click Cancel if you do not want to set a password.

    8. Contribute confirms that your password is saved.

  8. Click OK.


Changing the Contribute startup password

You can change your Contribute startup password as often as you like. Before you can change the startup password, you must first successfully enter the current Contribute startup password and launch Contribute.

To change the Contribute startup password:

  1. Select Edit > Preferences (Windows) or Contribute > Preferences (Macintosh).
  2. In the Preferences dialog box, select Security.
  3. In Password, type the new password.
  4. In Confirm Password, type the new password again.
  5. Click OK.


Disabling a Contribute startup password

If the Require Contribute startup password option is selected in the Contribute Preference dialog box, you must enter the correct password to log in to Contribute and edit pages in a website. If you forget or don’t know the Contribute startup password, you can’t use Contribute to edit pages unless you disable the Contribute startup password requirement. Before you can change the startup password preference, you must remove all your existing website connections.

You may have to cancel any unpublished drafts before removing the website connections.

To disable a Contribute startup password:

  1. In Contribute, select Edit > My Connections (Windows) or Contribute > My Connections (Macintosh).
  2. Under Website Name, select a website connection, and then click Remove.
  3. Repeat step 2 until you remove all website connections.
  4. Click Close.
  5. Select Edit > Preferences (Windows) or Contribute > Preferences (Macintosh).
  6. In the Preferences dialog box, select Security.
  7. Deselect the Require Contribute startup password option.
  8. Click OK.


Setting browser encoding (Windows only)

To specify how a page should appear in the Contribute browser, you can set the browser encoding for that page. You might need to set encoding if characters aren’t displayed properly in the Contribute browser.

To change browser encoding:

  1. In the Contribute browser, right-click in the page.
  2. Do one of the following:
    • Select a browser encoding from the pop-up menu.
    • Select More from the pop-up menu, then select a browser encoding.


Using Contribute accessibility features

Accessibility refers to making websites and web products usable by people with visual, auditory, motor, and other disabilities. Contribute provides features that make it accessible to users with disabilities.

This section covers the following topics:

  • Using screen readers with Contribute
  • Using operating system accessibility features
  • Using the keyboard to navigate Contribute
  • Authoring for accessibility


Using screen readers with Contribute

A screen reader recites text that appears on the computer screen. It also reads nontextual information, such as button labels or image descriptions.

You can use a screen reader when you edit your web pages. The screen reader starts reading at the upper left corner of the application.

Contribute supports the following screen readers:

  • JAWS for Windows, from Freedom Scientific
  • Window Eyes screen readers, from GW Micro


Using operating system accessibility features

Contribute supports the Windows operating system high-contrast setting. You activate this setting through the Windows Control Panel.

When high contrast is on, Contribute responds as follows:

  • Dialog boxes and panels use system color settings.

    • For example, if you set the color to White on Black, then all Contribute dialog boxes and panels appear with a white foreground color and black background.

  • The Contribute editor uses the background and text colors you set in Format > Page Properties so that your pages render colors as a website visitor’s browser will render them.


Using the keyboard to navigate Contribute

While you are editing, you can use the keyboard to navigate the Contribute workspace, dialog boxes, and tables without a mouse.

You can also use keyboard shortcuts to open some dialog boxes and perform some commands. For a list of shortcuts, see Windows Keyboard shortcuts.

This section covers the following topics:

  • Navigating the workspace
  • Navigating dialog boxes
  • Navigating tables


Navigating the workspace

You can use keyboard shortcuts to navigate the Contribute workspace--that is, to select commands from the menus and to switch between the Contribute browser and editor. For a complete list of Contribute keyboard shortcuts, see Windows Keyboard shortcuts.

All the items in the Pages panel and toolbar are accessible through the menus. To view task information in the How Do I panel, use Contribute Help (Help > Macromedia Contribute Help).

To use the keyboard to navigate dialog boxes and tables, see Navigating dialog boxes and Navigating tables.

To use the keyboard to switch from the Contribute browser to the editor, do one of the following:

  • Press Control+Shift+E (Windows) or Command+Shift+E (Macintosh), to edit the current page.

    • Note: This has the same effect as clicking the Edit Page button in the toolbar.

  • (Windows Only) Press Alt+F, press Alt+F again, and then use the arrow keys to select a current draft or new page from the pop-up menu.

    • The drafts and new pages listed in the Pages panel appear in this list.

To use the keyboard to switch from the Contribute editor to the browser:

  • Press Control+Shift+B (Windows) or Command+Shift+B (Macintosh).

    • Note: This has the same effect as clicking Browser in the Pages panel.


Navigating dialog boxes

You can use the keyboard to navigate dialog boxes.

To navigate the workspace, see Navigating the workspace. To navigate tables, see Navigating tables.

To navigate a dialog box:

  • To move through dialog box options, press Tab.

    • On the Macintosh, pressing Tab moves the insertion point from one text field to the next.

  • To accept a choice and exit the dialog box, press Enter or Return.
  • To close the dialog box without making any changes, press Escape or Alt+F4 (Windows).
  • (Windows Only) To move through choices for an option, use the arrow keys.

    • For example, if an option has a pop-up menu, move focus to that option, then use the Down Arrow key to move through the choices.

  • (Windows Only) To move through a category list, press Control+Tab to shift focus to the category list, then use the arrow keys to move up or down the list.

    • To see an example of a category list, select Edit > Preferences.

  • (Windows Only) To shift to the options for a category in a category list, press Control+Tab.


Navigating tables

After you select a table, you can use the keyboard to navigate through it.

To navigate the workspace, see Navigating the workspace. To navigate dialog boxes, see Navigating dialog boxes.

To navigate a table:

  1. In the Contribute editor, do one of the following to select the table:
    • If the insertion point is to the left of the cell, press Shift+Right Arrow.
    • If the insertion point is to the right of the cell, press Shift+Left Arrow.
  2. Press the Down Arrow key to position the insertion point in the first cell.
  3. Use the arrow keys or press Tab to move to other cells as necessary.

    4. Tip: Pressing Tab in the rightmost cell of a row adds another row to the table.

  4. To select a cell, press Control+A (Windows) or Command+A (Macintosh) while the insertion point is in the cell.
  5. To exit the table, use the Select Table Cell command (Control+A) or Command+A (Macintosh); then press the Up, Left, or Right Arrow key.


Authoring for accessibility

It’s important to make your web pages accessible to all your website visitors.

The U.S. government and other organizations have established accessibility legislation and guidelines. For more information about two significant initiatives, see the World Wide Web Consortium Web Accessibility Initiative and Section 508 of the Federal Rehabilitation Act.

Also, as you edit your pages, remember that some visitors will be using screen readers. Contribute helps you make your images and tables more accessible in the following ways:

  • You can add text that screen readers will recite to describe images in your pages. Your website administrator can have Contribute prompt you for descriptive text whenever you insert an image. For more information, talk to you website administrator or see Setting page editing and paragraph permissions.
  • You can include table headings to be recited by screen readers. To insert tables with headings, see Inserting a table on a page.

    • Note: Screen readers do not read boldface headings centered in a row or column.

Previous


Working with Pages

Macromedia Contribute lets you edit existing pages on your website, including pages based on templates. You can cancel your edits or cancel a new page if you need to. If you have permission, you can delete pages and other files on your website. You can also export a page to an HTML file.

Note: For information about creating new pages, see Creating or copying a page on your website.

If you need to edit content such as an image or a file of another type on a web page, you can use Contribute to open the file in an external editing application.

You can also use Contribute without a network connection to edit pages. Using the work offline feature, you can work on an airplane, at home, or wherever, and publish your pages when you reestablish your network connection.

Contribute updates the existing page on your website with your edited page when you publish the draft (see Publishing Your Page).

This chapter contains the following sections:

  • Editing existing web pages
  • Saving drafts
  • Working with pages based on Dreamweaver templates
  • Using Contribute to work offline
  • Editing content in an external application
  • Canceling a draft or new page
  • Deleting a web page
  • Exporting a Page
  • Printing a page
Next


Editing existing web pages

You can edit any pages on your website, as long as you have permission and someone else is not currently editing the page.

This section covers the following topics:

  • About editing
  • Opening a page for editing
  • Undoing mistakes

For information about changing properties of an existing page, see Setting page properties. For information about adding keywords or a description for an existing page, see Adding keywords and a description for a page.


About editing

You can edit pages on websites that you’re connected to (see Connecting to a website) and have permission to edit. You cannot edit a page if the page is locked--that is, if someone else is currently editing it. When you browse to a page, the message area under the toolbar indicates whether you can edit that page.

While you edit a page, Contribute saves it as a draft, and the draft title appears in the Pages panel in the sidebar.

Image of the Pages panel

For more information, see Opening a page for editing. For information about working with drafts, see Saving drafts.

Note: If you want to edit a Microsoft document that you’ve linked to on your website, see Editing content in an external application.

There might be restrictions on which parts of a draft you can edit. Your website administrator can create a template with locked regions or can set up editing constraints that restrict editing to text only.

Note: If you do not have permission to edit a page or part of a page that you need to edit, talk to your website administrator or see Managing User Settings and Permissions.


Opening a page for editing

To open a page for editing, simply browse to the page or use the Contribute workspace to quickly open special pages (see Navigating to web pages). For information about drafts, see Saving drafts.

To edit a page:

  1. Browse to a page you want to edit.
  2. Do one of the following:
    • Click the Edit Page button in the toolbar.

      • Image of the Edit Page button

    • Select File > Edit Page.

      • The page appears in the Contribute editor as a draft, and the draft title appears in the Pages panel.


Undoing mistakes

In Contribute, as in most applications, you can undo individual mistakes as you make them. You can also redo an edit if you decide that you don’t want to undo it.

Note: In Contribute, you can also discard changes, after you publish your draft, by reverting to a previously published version of a page. For more information, see Rolling back to a previous version of a page.

To undo an edit:

  • Select Edit > Undo.

To redo an edit:

  • Select Edit > Redo.


Saving drafts

You can save a draft while you work (see Saving a draft while you work), or you can save a draft and switch to another draft or to the browser (see Saving a draft until later).


Saving a draft while you work

Contribute automatically saves a copy of the draft when you switch to the browser, switch to another draft, publish the draft, or exit Contribute; but you can also periodically save your work if you want. When you edit a page (see Editing existing web pages), Contribute automatically saves the page as a draft, and the draft title appears in the Pages panel in the sidebar.

To save a draft and continue working:

  • Select File > Save.

Note: When you save a new page for the first time, you do not give it a filename; you select a filename when you publish the new page.


Saving a draft until later

You can save a draft you’re editing and work on another draft, switch to browsing, or close Contribute. Contribute saves your draft whenever you leave it and keeps the draft in the Pages panel until you publish (see Publishing Your Page) or cancel (see Canceling a draft or new page) it.

To save a draft until later:

  1. Do one of the following to leave your draft:
    • Click Browser in the sidebar to switch to the browser.
    • Select View > Browser to switch to the browser.
    • Click the Save for Later button in the toolbar to close the draft and switch to the browser.
    • Click another draft or new page in the Pages panel to edit that page.
    • Close Contribute.
  2. If you closed Contribute, restart the application.
  3. Click the draft title in the Pages panel to return to the draft you were previously editing.

    4. The draft appears in the Contribute editor for you to continue editing.


Working with pages based on Dreamweaver templates

A Macromedia Dreamweaver template is a special type of page that contains a preset page layout and includes elements such as text and images. In Contribute, you can create a page based on a template. You can also edit a template-based page or edit the template properties of the page.

This section covers the following topics:

  • About templates
  • Editing a template-based page
  • Setting template properties

For information about creating a page based on a template, see Creating a page based on a template.


About templates

A Dreamweaver template contains a preset page layout and includes elements such as text and images. A template gives you a starting point for new web pages and can ensure that the pages on your website have a consistent look.

For example, the company employee template might contain basic elements and provide sections for employee information. Suppose the template has the company logo and address, and blank sections for the employee’s name, department, phone number, and picture. Any new employee page based on the company employee template would inherit the same page layout.

In a template, the designer creates regions to control which elements of a template-based page you can edit. There are editable regions in a template, which you can edit, and locked regions, which you can’t edit. In the employee template example, the company logo and address might be in a locked region. The employee information sections would be editable regions.

Image of a template page identifying a locked region, template tab, and editable region


Editing a template-based page

In a page based on a Dreamweaver template (a template-based page), there are editable regions, where you can add or edit content, and there are locked regions, where you cannot add or edit content.

Note:
Image of the locked region icon

If you try to edit a locked region in a document based on a template, the pointer changes to indicate that you can’t click in a locked region.

When you view a template-based page, you see outlines around the editable regions. The editable regions each have a tab at the upper left giving the name of that content area. The tabs show you where you can add or update content on the page.

For example, a product template-based page might have a Title region, for the product title, and a Description region, for a product description. You add content to the appropriate sections.

You can edit the editable regions of a template-based page as you would edit any other web page.

To edit a template-based page:

  1. Browse to the template-based page you want to edit.
  2. Do one of the following:
    • Click the Edit Page button in the toolbar.
    • Select File > Edit Page.

      • The page appears as a draft in the Contribute editor. You can make edits in the editable regions.


Setting template properties

The Dreamweaver template designer might make it possible for you to show or hide parts of the page. You control this content in the Template Properties dialog box. In pages based on a template, there might also be editable attributes of the page, such as background color, which you can edit in template properties.

To modify template properties:

  1. Browse to a template-based page; then click the Edit Page button in the toolbar.
  2. Select Format > Template Properties.

    3. The Template Properties dialog box opens.

    Template Properties dialog box

  3. In the Name list, select a property.

    4. Contribute updates the bottom of the dialog box to show the label of the selected property and its assigned value.

  4. In the field to the right of the property label, edit the value to modify the property.
  5. Click OK.


Closing the unlinked page warning

Contribute displays this warning message when you try to publish a draft that is not linked on your website.

To close the unlinked page warning:

  1. Select Don’t warn me again if you do not want Contribute to warn you when you are publishing a draft that is not linked from another page.

    2. Website visitors can’t navigate to a new page on your website if you do not insert a link in an existing page to the new page.

  2. Do one of the following:
    • Click Yes to publish the new page without linking to it.
If you click Yes, be sure to add a link to the new page after you publish it (see Linking to a draft or recently published page on your website). Website visitors can’t navigate to a new page on your website if you do not add a link.
  • Click No if you do not want to publish the page without linking to it.
If you click No, browse to an existing page to insert a link to the new page (see Linking to a draft or recently published page on your website); then publish the page with the link (which also publishes the new page at the same time).


Using Contribute to work offline

Contribute gives you the freedom to edit web pages without a network connection. Using the work offline feature of Contribute, you can work on an airplane, at home, or anywhere.

While you are working offline, you can edit drafts, but you cannot use the Contribute browser (see Working offline in the Contribute editor). Contribute remains offline--even if you establish a network connection--until you switch to working online (see Switching between working online and working offline).

To launch Contribute to work offline:

  1. Start Contribute without a network connection.

    2. The Connection Failure dialog box appears.

  2. Select Work Offline.
  3. Click OK.

    4. The Contribute browser displays the Working Offline page. Click a draft title in the Pages panel to start editing.


Switching between working online and working offline

If you start Contribute offline without a server connection, or switch to working offline during an online Contribute session, then you can switch to working online whenever you establish a server connection.

Note: Contribute does not reestablish the connection to your web server. You must connect to the server before you switch to working online in Contribute.

To switch from working online to working offline:

  • Select File > Work Offline (Windows) or Contribute > Work Offline (Macintosh).

    • Switching to working offline does not disconnect your network connection.

To switch from working offline to working online:

  1. Restore your network connection, if necessary.
  2. Do one of the following:
    • Select File > Work Offline (Windows) or Contribute > Work Offline (Macintosh).
The check mark next to this menu command disappears.
  • Click the Work Online button in the toolbar.


Working offline in the Contribute editor

When you’re working offline, the Contribute browser displays information about what you can do offline. You cannot browse to other pages or websites when you are offline.

You can edit current drafts in the Pages panel or create new pages while you’re offline. Some Contribute editor functions are not available when you’re offline. For example, you can’t publish pages until you are online again.

Tip: Before you work offline, be sure to save any pages you want to edit as drafts. You cannot access home pages or recently published pages while you are offline.

To edit a draft while working offline:

  • Click a draft or new page title in the Pages panel of the sidebar.

    • The draft opens in the Contribute editor.

To create a new page while working offline:

  • Select File > New Page.

    • The new page opens in the Contribute editor, and its title appears in the Pages panel.

To delete a new page while working offline:

  1. Open any new page that you created while working offline.

    2. Note: You can delete only those pages that you created while working offline. You cannot cancel changes to a draft while working offline.

  2. Click the Cancel button in the toolbar or select File > Cancel Draft.

    3. Contribute removes the new page from the Pages panel and opens the Contribute Working offline page.


Editing content in an external application

If you want to edit images, Microsoft Word documents, Macromedia Fireworks content, or files of other types on your website, you need to edit that content in the application in which it was created. Use Contribute to edit the file in the appropriate application.

Note: You need to use Contribute to edit the file; changes you make to the local, original source file do not appear on your website.

Before you can use Contribute to launch an external application editor, you may need to associate an editor with the type of the file you intend to edit (see Setting file editor preferences). Contribute has preassigned editors for common file types.

To edit content in an external application:

  1. To find the content you want to edit, do one of the following:
    • Browse to the page or file that contains the content you want to edit.
    • Click the Choose button in the toolbar, navigate to the file you want to edit, and click OK.
    • Enter the path for the file you want to edit in the Address text box, and click Go.
  2. If the Contribute browser cannot display the page or file you’ve selected, you’ll see the File Placeholder page.

    3. To edit the page or file, you need to associate a file editor with this file type (see Setting file editor preferences).

  3. Select the content you want to edit, if necessary.

    4. For example, if you want to edit an image on a page, select the image. If you want to edit the page (a Word page, for example), you do not need to select content.

  4. Click the Edit button in the toolbar or select File > Edit.

    5. Note: To edit an image on a draft, select File > Edit Image or right-click the image, and select Edit Image.

    Contribute displays the External Application Editing page and launches an external editing application.

    Note: To change your default editor, see Setting file editor preferences.

  5. If you are editing an image in Macromedia Fireworks, click No in the Find Source dialog box to indicate that you do not want to edit the source file for this image; you want to edit the image for your website only.
  6. In the external application, make changes as necessary; then save your changes and close the application.

    7. Note: If you are editing in Fireworks, click the Done button in the editing window.

  7. In Contribute, click the Publish button in the toolbar to publish your changes to the website.

    8. Note: If you need to make additional edits before you publish, click the Launch button on the External Application Editing page to open the content in the external editor.

    The updated content appears in Contribute.


Canceling a draft or new page

When you are editing a draft of an existing page, you can decide to discard all changes and retain the currently published version of the page. When you are editing a new page that you created, you can discard the new page.

Also, if your administrator has given you permission, you can delete pages that are published on your website. For more information, see Deleting a web page.

To cancel changes to a draft of a published page:

  • In your draft, click the Cancel button in the toolbar.

    • The published version of the page appears in the Contribute browser, without any edits.

To cancel a new page:

  • In the new page you’re editing, click the Cancel button in the toolbar.

    • Contribute discards the new page.


Deleting a web page

You can delete pages from your website if your website administrator has given you permission. In addition to deleting pages, you can delete files of any type on your website, including image files.

Note: If you do not have permission to delete a page that you need to delete, talk to your website administrator or see Setting folder and file access permissions.

You do not need special permission to delete a new page that you created and haven’t published yet. For more information, see Canceling a draft or new page.

To delete a page or file:

  1. Do one of the following to find the page or file:
    • Browse to the page or file you want to delete.
    • Click the Choose button in the toolbar; then select a file and click OK.

      • Note: If Contribute cannot display the page or file you browse to, you’ll see the File Placeholder page. You can still delete the page or file, even though you can’t view it.

  2. Select File > Delete Page.

    3. Note: This menu item is disabled if you do not have permission to delete pages on your website.

    An alert appears.

  3. Click Yes to confirm that you want to delete the file.

    4. Contribute deletes the page and displays the last page you viewed in the browser.


Exporting a Page

Contribute lets you export a page from Contribute to an external HTML file. You can save the file anywhere you choose on your computer or network.

If you export a new page with images--that is, a page you haven’t published yet--you’ll see the images in your exported page. If you edit an existing page--a previously published page--you might not see all of the images in your exported page. This is because the new page references local versions of the images, and the existing page references images that are saved on your website.

To export a page:

  1. Browse to the page you want to export; then click the Edit Page button in the toolbar.
  2. Select File > Export.

    3. The Export dialog box appears.

  3. Select a location to save the exported file.
  4. Enter a filename.
  5. Click Save.

    6. The exported file appears in the folder you selected.


Printing a page

You can browse to a page and print it, or you can print a page you are editing to check your changes.

To preview a page:

  1. Do one of the following:
    • Select File > Print Preview (Windows).
    • Select File > Print Preview; then click the Preview button (Macintosh).

      • The page appears in a browser window.

  2. If you want to print the page, click Print.
  3. Click Close to close the preview when you finish viewing it.

To print a page:

  1. Select File > Print.

    2. Note: In the Contribute browser you can also right-click, then select Print (Windows).

    The Print dialog box appears.

  2. Click Print or OK.

    3. Your default printer prints the page.
Previous


Adding Pages and Documents

With Macromedia Contribute you can add pages to your website. You can create a copy of a page, create a blank page, create a copy of a sample page, or create a page based on a template. After you create a page, you can change its properties, or even add keywords or a description for the page so that website visitors can use a search engine to find the page.

In addition to creating web pages, you can add content from existing documents to your website. If you are using Contribute for Windows, the easiest way for you to add any printable document to your site is to convert it to Macromedia FlashPaper. FlashPaper documents load quickly, are cross-platform and can be viewed in any browser that supports Flash. You can easily exchange documents without having to worry about whether your site visitors have the same applications or can open your posted documents. For information about creating a FlashPaper document, see Converting a document to FlashPaper (Windows only).

As a Microsoft Windows user you can also import the content of a Microsoft Word or Excel document directly into a Contribute draft. Contribute converts the content to HTML and retains the style elements of the original document. For information about importing the content of Microsoft Office documents in a page, see Adding Word or Excel content to a page (Windows only)

All Contribute users can create links to external documents, such as Microsoft Office documents, text files, or PDF files that your website visitors can download and view. For information about creating a link to a document, see Linking to a file on your computer.

Contribute makes the new page or document live on your website when you publish it (see Publishing Your Page).

This chapter contains the following sections:

  • Creating or copying a page on your website
  • Setting page properties
  • Adding keywords and a description for a page
  • Converting a document to FlashPaper (Windows only)
  • Adding Microsoft Word and Excel documents to a website
Next


Creating or copying a page on your website

You can create or copy any of the following types of pages:

  • Copy of Current Page
  • Blank Web Page
  • Sample Web Page
  • Template

Note: If your website administrator has restricted the types of new pages you can create, you won’t see all of these options when you create or copy a page (see your website administrator or Setting permissions for new web pages).


Copying a page on your website

You can create a copy of the page you are currently viewing on your website. You must be viewing the page in the Contribute browser. You cannot create a copy of a page that is a draft in the Contribute editor. Also, you cannot copy a page from one website to another website.

Note: You cannot create a copy of a page that contains frames.

You must create the new page first, and then link it later. You cannot create the copy and add a link to it at the same time.


Creating a blank web page

There are two ways to add a blank web page to your website:

  • Create a new page and a link to the page at the same time. (Recommended)

    • For example, suppose you are updating your home page, and you want to add a link to a contact information page that you haven’t created yet. From the home page, you can insert a link and create the contact page at the same time.

  • Create the new page first, and then link to it later.

    • For example, suppose you create a page for a new product. After you create the page, you can go to the Products Overview page and add a link to the new product page.


Copying a sample web page

Contribute comes with built-in sample web pages that you can copy and use on your website. Use any of these pages as a starting point for your web page. Samples include a Meeting Note, Contact Page, Home Page, Favorite Links Page, and sample pages for text and images.

There are two ways to copy a sample web page to your website:

  • Create a new page and a link to the page at the same time. (Recommended)

    • For example, suppose you are updating your home page, and you want to add a link to a contact information page that you haven’t created yet. From the home page, you can insert a link and create the contact page at the same time.

  • Create the new page first, and then link to it later.

    • For example, suppose you create a page for a new product. After you create the page, you can go to the Products Overview page and add a link to the new product page.


Creating a page based on a template

You can create a new page based on a template, which can help you maintain a consistent look in your web pages. In Contribute there are two types of templates:

  • A template created in Macromedia Dreamweaver (see Dreamweaver Help > Using Dreamweaver). A Dreamweaver template is a template that a designer creates for you with editable and locked regions.
  • A page that your website administrator designated as a template. Your website administrator can designate any page on your website as a template.

You can create a copy of either type template, which you can use as a starting point for your new page. The only difference is that a Dreamweaver template has editable and locked regions (see Working with pages based on Dreamweaver templates), and a page designated as a template by your website administrator might not.

There are two ways to add a page based on a template to your website:

  • Create a new page and a link to the page at the same time. (Recommended)

    • For example, suppose you are updating your home page, and you want to add a link to a contact information page that you haven’t created yet. From the home page, you can insert a link and create the contact page at the same time.

  • Create the new page first, and then link it later.

    • For example, suppose you create a page for a new product. After you create the page, you can go to the Products Overview page, and add a link to the new product page.


Creating a new page and a link to the page

It’s a good idea to create a link to a new page when you create the new page. This way, you don’t have to remember to link to the page later, and you ensure that users can navigate to your page when you publish it.

From an existing page, you can insert a link to a new page, which Contribute creates at the same time that it inserts the link.

After you create your page, you can set page properties (see Setting page properties) or add search keywords and a description of the page (see Adding keywords and a description for a page).

To create a new page and a link:

  1. Browse to an existing page where you want to insert a link to a new page; then click the Edit Page button in the toolbar.
  2. Do one of the following to indicate where the link will appear:
    • Place the insertion point in the draft.
    • Select text in the draft.
    • Select an image in the draft.
  3. Do one of the following to open the Insert Link dialog box:
    • Click the Link button in the toolbar, and then select Create New Page.
    • Select Insert > Link > Create New Page.
    • Right-click, and then select Insert Link.

      • The Insert Link dialog box appears.

      Insert Link dialog box

  4. Click the Create New Page button at the top of the dialog box, if it is not already selected.
  5. Enter link text in the Link text text box, if you did not select text or an image in your draft.

    6. This is the text a website visitor clicks to go to the new page.

    Note: This text box is not available if you selected text or an image in the draft.

  6. If you have multiple websites and want to create the new page in a website other than the current one, select another website in the Create new page from section.

    7. Note: If you don’t have permission to edit files in the folder you select, then Contribute saves the new page in the first folder you can edit for that website. If you cannot edit any folders in the website, then you cannot create a new page for that website.

  7. In the Create new page from section, select the type of page you want to create:
    • Select Blank Web Page to create a blank page.
    • Select a page in the Sample Web Pages folder to create a copy of a built-in sample page provided with Contribute.
    • Select a page in the Templates folder to create a new page based on a Dreamweaver template or on a website page that your administrator has designated as a template.

      • When you select a page type, a preview and a description appear.

      Note: If your website administrator has restricted the types of new pages that you can create, or you do not have permission to edit this website, you won’t see all of these options (see your website administrator or Setting permissions for new web pages).

  8. Enter a title for the new page in the New Page title text box.

    9. This title appears in the browser title bar when a website visitor views the page; it does not appear on the page itself.

  9. To set advanced options, do one of the following to expand the dialog box; then set the options you want.
    • In Windows, click the Advanced button
    • On the Macintosh, click the expander arrow in front of Advanced options

      • Note: For information about the advanced settings, see Setting the advanced linking options.

  10. Click OK.

    11. Contribute adds the link to the draft, and then opens the new page in the Contribute editor. To return to the draft where you added the link, click the draft title in the Pages panel.

    Note: Contribute creates the new page in the same folder as the page that links to it (unless you selected another website in step 6). When you publish your draft, Contribute also publishes the new page; you can change its folder location then if you need to.


Creating a new page without linking to it

You might want to create your new page and add content before you create the link to it. If so, remember to add a link to the page before you publish; otherwise, website visitors cannot navigate to the page.

Note: It’s a good idea to create the new page and the link at the same time (see Creating a new page and a link to the page).

After you create your page, you can set page properties (see Setting page properties) or add keywords and a description of the page (see Adding keywords and a description for a page).

To create a new page:

  1. In the Contribute browser, click the New Page button in the toolbar or, in the browser or editor, select File > New Page.

    2. The New Page dialog box opens.

    New Page dialog box

  2. If you have multiple websites and want to create the new page in a website other than the current one, select another website in the Create new page from section.

    3. Note: If you don’t have permission to edit files in the folder you select, then Contribute saves the new page in the first folder you can edit for that website. If you cannot edit any folders in the website, then you cannot create a new page for that website.

  3. In the Create new page from section, select the type of page you want to create:
    • Select Blank Web Page to create a blank page.
    • Select Copy of Current Page to create a copy of the website page that you are currently viewing.
You cannot create a copy of the current page if the page contains frames or if the page is a draft in the Contribute editor. You cannot copy a page from one website to another website.
  • Select a page in the Sample Web Pages folder to create a copy of a built-in sample page provided with Contribute.
  • Select a page in the Templates folder to create a new page based on a Dreamweaver template or on a website page that your administrator has designated as a template.

    • When you select a page type, a preview and description appear.

    Note: If your website administrator has restricted the types of new pages that you can create, or you do not have permission to edit this website, then you won’t see all of these options when you create a page (see your website administrator or Setting permissions for new web pages).

  1. Click the Refresh Templates button to update your list of templates, if necessary.
  2. Enter a page title in the Page title text box.

    3. This title appears in the browser title bar when a website visitor views the page; it does not appear on the page itself.

  3. Click OK.

    4. The new page opens in Contribute, ready for you to add content. Be sure to add a link to your new page before you publish it (see Creating text and image links).

    Note: Contribute creates the new page in the same folder as the page you were viewing when you created the page (unless you selected another website in step 2). You can change the folder location when you publish the new page, if you need to.


Setting page properties

You can change the following basic page properties: page title, margins, color (of the background, text, and links), background image, and document encoding method.

Note: If you are editing a draft based on a template, or if you are restricted to text-only editing by your website administrator, then you can change only the page title. For more information, contact your website administrator or see Setting page editing and paragraph permissions.

To set page properties:

  1. Browse to the page you want to edit properties for, and then click the Edit Page button in the toolbar.
  2. Click the Page Properties button in the toolbar or select Format > Page Properties.

    3. The Page Properties dialog box appears.

    Page Properties dialog box

  3. Make changes to any of the following options:

    4. Title specifies the page title that appears in the title bar of the website visitor’s browser; the title does not appear on the page itself.

    Giving a page a title is not the same as giving it a filename. For information about filenames, see Publishing a page to your website.

    Background image enables you to browse to select a background image for the page.

    Click the Browse button, and then select Images on My Computer or Images on Website to select an image.

    Left margin, Top margin, Right margin, and Bottom margin determine the size of page margins. If you do not want margins on the page, enter 0 for each margin.

    Tip: Margins are measured in pixels; there are approximately 72 pixels per inch.

    Background color sets the background color of the page. If you also select a background image for the page, website visitors do not see the background color (unless the image is transparent).

    Text color defines a color for text on the page.

    Document encoding specifies the encoding used for characters on the page. Select Western for English and Western European languages.

    Additional options include Central European, Cyrillic, Greek, Icelandic, Japanese, Traditional Chinese, Simplified Chinese, and Korean. If an option for the encoding you want is not available, select Other to create a page with the encoding your operating system is using. All Asian languages use double-byte encoding.

    Note: Click the Reload button only if Contribute opened the page for editing with the wrong encoding. Select the correct encoding for the page; then click Reload to reload the last saved version of the page with the correct encoding.

    Link color defines a default color for links on the page.

    Active links defines a default color for links as a user clicks them.

    Visited links defines a default color for links to pages that a website visitor has viewed.

  4. Click Apply to see changes without closing the dialog box or click OK to apply changes and close the dialog box.


Adding keywords and a description for a page

You can associate keywords and a description with your web page. Visitors who type one of your keywords in a search engine can find your page.

To add or change keywords and a description for a page:

  1. Browse to the page you want to add keywords and a description for, and then click the Edit Page button in the toolbar.
  2. Select Format > Keywords and Description.

    3. The Page Keywords and Description dialog box appears.

    Page Keywords and Description dialog box

  3. Enter or change keywords in the Keywords pane.

    4. Separate each keyword with a single space (for example, meeting minutes planning committee holiday party).

  4. Enter or change the page description in the Description pane.
  5. Click OK.


Converting a document to FlashPaper (Windows only)

By using the FlashPaper Printer utility that is automatically installed with Contribute, you can easily convert your documents, such as Microsoft PowerPoint, Word or Excel to a Flash movie file so they can be viewed in a browser. Flash movie files are typically much smaller than other document types and load faster when viewed in a browser. Content in your FlashPaper documents is also better protected as the content cannot be selected and copied.

The FlashPaper Printer works on Windows XP and Windows 2000 operating systems. The FlashPaper documents you generate are cross-platform and can be viewed in any browser that supports Flash.

You can use the Insert menu to convert a document to FlashPaper, or you can drag a document to your draft and then insert it as a FlashPaper document.

You cannot edit a FlashPaper document. If you need to update the document, you must make changes to the document you originally converted, then convert it again to a FlashPaper document.

You can convert a document to FlashPaper as you work in Contribute and also when you work in other applications. When you create a FlashPaper document in an external application, you can select the sections or pages of the document you want to convert to FlashPaper.

Related topics

Inserting a document as FlashPaper (Windows only)

Using the FlashPaper toolbar (Windows only)

Creating a FlashPaper document in an external application (Windows only)


Inserting a document as FlashPaper (Windows only)

You can save any printable document as a FlashPaper document and insert it in your web page.

Note: If you are inserting a Microsoft Excel document, and want to specify the area of the document to convert to FlashPaper, you should convert the document while working in Excel. For information about creating a FlashPaper document from other applications, see Creating a FlashPaper document in an external application (Windows only).

To create and insert a FlashPaper document:

  1. In the draft, place the insertion point where you want the FlashPaper document to appear.
  2. Select Insert > Document as FlashPaper.
  3. In the dialog box that appears, browse to the file you want to convert to a FlashPaper document, and then click Open.

    4. The FlashPaper Options dialog box appears.

  4. In the FlashPaper Options dialog box, select the options you want to apply to the document you are inserting.

    5. Note: For more information about the FlashPaper options, see Using the FlashPaper Options dialog box.

  5. Click OK.

    6. Contribute converts the document to FlashPaper and inserts it in your draft.

To delete a FlashPaper document from a draft

  1. In the draft, click the FlashPaper document to select it.
  2. Press Delete.


Using the FlashPaper Options dialog box

You use options in the FlashPaper Options dialog box to define the page size and orientation of the FlashPaper document. The document is scaled to these settings when it appears in your page.

FlashPaper Options dialog box

  1. In the FlashPaper Options dialog box, select the options you want to apply to the document you are inserting.
    • For Page Orientation, choose Portrait or Landscape.
    • For Page Size, do one of the following:
Select Standard, then in the pop-up menu select a predefined paper size for the document. Select Custom to set specific width and height dimensions for the document pages. Use the pop-up menu to define the size in inches or millimeters (mm).
  1. Click OK.

    2. Contribute converts the document to FlashPaper and inserts it in the page.

    Tip: You can choose Edit > Undo FlashPaper to remove the FlashPaper document you just inserted.


Using the FlashPaper toolbar (Windows only)

The FlashPaper toolbar contains options that let you resize the document for viewing, navigate the document pages, and print the document.

The FlashPaper controls are active whether you are editing or browsing the web page.

Image of the FlashPaper viewer with callouts of the print, resize, navigation controls, and scroll page options

To print the document:

  • Click the Printer icon.

To resize the document in the viewer, do one of the following:

  • Use the Zoom slider to dynamically resize the document. You can adjust the document magnification range from 25% to 250%. The Zoom text box also updates as you use the slider.
  • Enter a number in the Zoom text box to resize the document to a specific magnification.
  • Click the Fit in Viewer button to see the entire page in the viewer.
  • Click the Fit Width button to resize the document so that the width of the page fills the viewer.

To navigate or page through the document, do one of the following:

  • Enter a number in the Page text box to view a specific page.
  • Click the Next or Previous arrow to page forward or backward through a document.
  • Drag the page scroll bar to the right of document to scroll through the multiple-page documents.


Creating a FlashPaper document in an external application (Windows only)

You can convert any printable document type to a FlashPaper document. Converting documents to FlashPaper is useful for displaying documents that you cannot typically display in a web page. In some cases, you may find it easier to work in an application other than Contribute when you want to specify the area of a document that you want to save in a FlashPaper document. For information about setting the print area for a Microsoft Excel document, see Selecting a Microsoft Excel print area to convert to FlashPaper.

To convert a document to FlashPaper while working in a different application:

  1. In the application that you are using to convert a document to FlashPaper, select File > Print.
  2. For Printer Name, select FlashPaper Printer.

    3. FlashPaper Printer appears in the list of available printers.

  3. Set the printer options you want to apply to the converted document. For example, in some applications you can print a range of pages or the selected pages.
  4. Click Properties, if you want to specify the page orientation and page size of the FlashPaper document.
  5. Click OK.

    6. The document is converted to FlashPaper and appears in the FlashPaper viewer.

  6. Select File > Save to save the FlashPaper document in the desired location.

    7. Tip: You can insert the FlashPaper document in a Contribute draft by using the Insert > Flash Movie command.


Selecting a Microsoft Excel print area to convert to FlashPaper

You cannot define the print area, nor print multiple worksheets, when you convert a Microsoft Excel document to FlashPaper from Contribute. To specify which worksheets are converted, or to specify certain rows and columns to convert, you should open the document in Excel, and then convert it to FlashPaper.

To set the print area in Microsoft Excel:

  1. In the Microsoft Excel document, drag the pointer to select the region of the worksheet that you want to convert to FlashPaper.
  2. Select File > Print Area > Set Print Area.
  3. Select File > Print.
  4. In the Print dialog box, for Printer Name select FlashPaper Printer.
  5. If you want to set page layout properties for the document, click Properties to select page orientation or page size options.
  6. Click OK.

To select multiple worksheets to convert to FlashPaper:

  1. In the Microsoft Excel document, do one of the following to select multiple worksheets:
    • Click the worksheet tab of the first document you want to select, then Control-Click the tabs of other worksheets you want to select.
    • Press Control+A to select all of the worksheets.
  2. Select File > Print.
  3. In the Print dialog box, for Printer Name select FlashPaper Printer.
  4. If you want to set page layout properties for the document, click Properties to select page orientation or page size options.
  5. Click OK.


Adding Microsoft Word and Excel documents to a website

With Contribute you can easily add Word and Excel documents or content from those documents to your website.

For example, suppose you have a Word table that contains contact information for all of your sales representatives in North America. You don’t have to recreate the table on your web page--you can use Contribute to add it to your website.

There are three ways to add Word or Excel content to a web page:

  • Add the contents of a Word or Excel document to a new or existing web page (Windows only)
  • Insert a link to a Word or Excel document on an existing web page
  • Convert the document to FlashPaper and insert it in a web page (Windows only)

Tip: In Windows, you can set a user preference so that when you add a Word or Excel document, Contribute always either adds the contents of the document or inserts a link to the document. For more information, see Setting general preferences.


Adding Word or Excel content to a page (Windows only)

You can add the contents of a Word or Excel document to a new or existing web page.

When you add content to a page, Contribute converts it to HTML and copies it to your web page. You can edit the content in Contribute; changes you make to the original file on your computer do not appear on your website.

If the document you are converting to HTML is larger than 300K, Contribute advises that the file is too large to convert and gives you other options for inserting the document: converting the document to FlashPaper or inserting a link to the document. For information about these options, see Converting a document to FlashPaper (Windows only) and Inserting a link to a Word or Excel document.

Note: If you use Microsoft Office 97, you cannot add the contents of a Word or Excel document; you must insert a link to the document or convert the document to FlashPaper (Windows only).

To add the contents of a Word or Excel document to a new or existing web page:

  1. Do one of the following to select the page where you want the content to appear:
    • Browse to an existing web page, click the Edit Page button, and then place the insertion point in the draft where you want to add the content.
    • Create a new page (see Creating or copying a page on your website).
  2. Do one of the following to select the file:
    • Select Insert > Microsoft Office Document. In the Open dialog box, browse to the file you want to add, and click Open.
    • (Windows only) Drag the file from its current location to the Contribute draft where you want the content to appear. If the Insert Document dialog box appears, click Insert the contents of the document into this page, and then click OK.

      • The contents of the Word or Excel document appear in your draft.


Inserting a link to a Word or Excel document

You can insert a link to a Microsoft Word or Excel document in an existing page.

When you publish the page with the link, Contribute copies the document to your website and then links to that copy (not to the original file on your computer).

Note: To edit content in the linked page after you publish, see Editing content in an external application. Changes you make to the original file do not appear on your website.

To create a link to a Word or Excel document:

  1. Browse to an existing page where you want the link to appear, then click the Edit Page button in the toolbar.
  2. Do one of the following to select the file:
    • (Windows only) Drag the file from its current location to the Contribute draft where you want the link to appear. If the Insert Document dialog box appears, click Create a link to the document, and then click OK.
The link text is the name of the file you link to. To change link text after you create the link, see Changing link text and destination.
  • Place the insertion point in your draft where you want the link to appear, or select text or an image on the draft, then click the Link button in the toolbar and select File on My Computer. Enter link text, browse to the file you want to link to, and click OK.

    • A link to the document appears in your draft.


Using the Insert Microsoft Office Document dialog box (Windows only)

(Windows Only) This dialog box appears when you drag a Microsoft Office Document to your draft. You can insert the entire contents of a Word or Excel document. You can also insert the content in your draft as a FlashPaper document, or you can create a link to the document.

If the document you want to insert in the draft is over 300K, Contribute advises you that the document is too large to insert in the page and provides you with other options for adding the document to your website.

Insert Microsoft Office Document dialog box

To use the Insert Microsoft Office Document dialog box:

  1. Select a radio button to indicate whether to insert the content of the document in the draft (for smaller documents), convert the document to FlashPaper, or create a link to the document.

    2. Note: When you choose to insert a link, the link text is the name of the file you link to. To change link text after you create the link, see Changing link text and destination.

  2. Select Remember this setting and don’t ask again if you want Contribute to remember your preference for inserting content or a link when you drag a Microsoft Word or Excel document to your draft.
  3. Click OK.

    4. The content or a link to the content appears in your draft.
Previous


Working with Text

You can use Macromedia Contribute to add and format text, much as you do with a basic word processor. You’ll find a few differences in working with text in Contribute and a word-processing program, such as Microsoft Word, because Contribute formats your text using HTML behind the scenes.

This chapter contains the following sections:

  • Adding text to a web page
  • Formatting text
  • Creating lists
  • Checking spelling
  • Finding and replacing text

For information about working with text in tables, see Working with Tables. For information about aligning text around images, see Working with Images and Graphical Elements. For information about editing link text, see Working with Links.
Next


Adding special characters to a page

Adding text to a web page

You can add text to a web page by typing the text, copying and pasting text, or dragging text from another application or web page to your Contribute draft.

If you are using the Windows version of Contribute, you can add the entire contents of a Microsoft Word or Excel document to a web page. For more information, see Adding Microsoft Word and Excel documents to a website.

Tip: Your website administrator can specify the amount of space that Contribute adds between paragraphs when you press Enter. For more information, talk to your administrator or see Setting page editing and paragraph permissions.

To add the current date to your page, see Adding the current date to a page; to add special characters to a page, see Adding special characters to a page.

To add text to a draft, do one of the following:

  • Place the insertion point in the draft; then type text directly into your draft.
  • Select text in another application; then select Edit > Copy. Place the insertion point in your Contribute draft; then select Edit > Paste.

    • Tip: Leave Microsoft Excel running when you copy and paste Excel content to Contribute so that the pasted content retains its formatting.

  • Drag text from another application to your Contribute draft.

    • Note: Contribute might preserve text formatting applied in the other application.

Adding the current date to a page

You can add the current date to a page. The date can also include the day of the week and the time.

To add the date to a draft:

  1. Place the insertion point in your draft where you want the date to appear.
  2. Select Insert > Date.

    3. The Insert Date dialog box appears.

    Insert Date dialog box

  3. In the Day format pop-up menu, select the format in which you want the day of the week to appear.

    4. Select No Day if you do not want to include the day in the date.

  4. In the Date format pop-up menu, select the format in which you want the date to appear.
  5. In the Time format pop-up menu, select standard or military time.

    6. Select No Time if you do not want to include the time with the date.

  6. Select Update automatically on save if you want Contribute to update the date with the current date each time the draft is saved.
  7. Click OK.

    8. Contribute adds the current date to your draft.

Adding special characters to a page

You can add special characters, such as a copyright symbol or a pound sign, to your page.

Note: You can add special characters only to pages that use Western (Latin 1) encoding. For more information about setting page encoding, see Setting page properties.

To add a special character to a draft:

  1. Place the insertion point in your draft where you want the character to appear.
  2. Do one of the following:
    • Select Insert > Special Characters, and then select a character from the pop-up menu.
    • Select Insert > Special Characters, and then select Other. In the Insert Other Character dialog box, click the character you want to insert, and then click OK.

      • Insert Other Character dialog box

      The character appears in your draft.


Changing text font and size

Formatting text

Contribute lets you format text--characters and entire paragraphs--quickly and easily. You can use menu options or use the toolbar to change text with one click.

text formatting options in the Contribute editor toolbar

Note: If your website administrator has restricted editing to text only, some formatting options are not available. Also, options might be disabled if a Cascading Style Sheet has been applied to a text selection.

The section covers the following topics:

  • Changing text font and size
  • Changing text style
  • Applying text color
  • Applying styles to text
  • Aligning text
  • Indenting text

Changing text font and size

You can change the appearance of text by changing its font or size. Select a font or size from the available options; you cannot enter a custom size.

Most browsers can render the fonts in the Contribute font list. It’s good web-design practice to use fonts that are generally available to your website visitors.

Each font in the list actually represents a font combination list. To edit your list of available fonts, see Editing the font list.

To change text size:

  1. In your draft, select the text you want to change.
  2. Do one of the following:
    • Select a size from the Font Size pop-up menu in the toolbar.
    • Right-click, select Size, then select a size from the pop-up menu.
This option is not available if you are working in a table.
  • Select Format > Size, then select a size from the pop-up menu.

To change text font:

  1. In your draft, select the text you want to change.
  2. Do one of the following:
    • Select a font from the Font pop-up menu in the toolbar.
    • Right-click, select Font, then select a font from the pop-up menu.
This option is not available if you are working in a table.
  • Select Format > Font, then select a font from the pop-up menu.


Indenting text

Editing the font list

Font combinations in the Contribute font list determine how a browser displays text in your web page. Each font you see in the Font menu represents the first font in that font combination. You can edit the font combinations in Contribute.

A browser uses the first font in a font combination that is installed on the website visitor’s computer. If none of the fonts in the combination are installed, the browser displays the text as specified by the visitor’s browser preferences.

To edit the font list:

  1. In your draft, select Format > Font > Edit Font List, or select Edit Font List from the Style pop-up menu in the toolbar.

    2. The Edit Font List dialog box appears.

    Edit Font List dialog box

  2. Select a font combination in the Font list section.

    3. The fonts in the selected combination appear in the Chosen fonts section. The Available fonts section lists fonts that are installed on your computer.

  3. Choose from the following options:
    • To add or remove a font combination, click the Plus (+) and Minus (–) buttons above the Font list.
    • To move a font combination up or down in the list, click the arrow buttons above the Font list.
    • To add or remove fonts from a font combination, click the arrows button (<< or >>) between the Chosen fonts and the Available fonts.
    • To add a font that is not installed on your system, type the font name in the text box below Available fonts, then click the add arrows button (<<) to add it to the combination.
Adding a font that is not installed on your computer is useful, for example, for specifying a Windows-only font when you are developing pages on a Macintosh.
  1. Click OK when you finish editing the font list.

Changing text style

You can change text style to bold, italic, or underlined. Other text styles include strikethrough, emphasis, strong, and fixed width.

Note: Emphasis and Strong apply the same style as Italic and Bold, but use different HTML tags. Your website administrator determines which tag Contribute actually inserts.

To make text bold, italic, or underlined:

  1. In your draft, select the text you want to change.
  2. Do one of the following:
    • Click the Bold or Italic button in the toolbar.
    • Right-click, then select Bold, Italic, or Underline.
This option is not available if you are working in a table.
  • Select Format > Bold, Format > Italic, or Format > Underline.
It is not good practice to use the underline style in web pages because website visitors might mistake underlined text for link text. You should use a style other than underline to emphasize text.

To make text strikethrough, emphasized, strong, or fixed width:

  1. In your draft, select the text you want to change.
  2. Do one of the following:
    • Right-click, select Other, and then select one of the options from the pop-up menu.
This option is not available if you are working in a table.
  • Select Format > Other; then select one of the options from the pop-up menu.

Applying text color

You can change the color of text or you can highlight text.

To change text color:

  1. In your draft, select the text you want to change.
  2. Do one of the following:
    • Click the Text Color button in the toolbar.
    • Right-click, and then select Color from the pop-up menu.
This option is not available if you are working in a table.
  • Select Format > Text Color.

    • The color selector or the Text Color dialog box appears.

  1. Do one of the following:
    • If you clicked the Text Color button, select a color, and the color selector closes.
    • If you selected Format > Text Color or right-clicked and used the context menu, select a color, and then click OK to close the dialog box.

      • The text color changes in your draft.

To highlight text:

  1. In your draft, select the text you want to highlight.
  2. Click the Highlight button in the toolbar or select Format > Highlight Color.

    3. The color selector or the Highlight Color dialog box appears.

  3. Do one of the following:
    • If you clicked the Highlight Color button, select a color, and the color selector closes.
    • If you selected Format > Highlight Color, select a color, and then click OK to close the dialog box.

      • The text is highlighted in your draft.

Applying styles to text

The Contribute Styles menu has a few built-in HTML styles that you can apply to a paragraph or heading in your text. For example, you might apply a preset heading style to differentiate headings from other content.

Note: You will not see HTML styles if your website administrator has disabled them.

In addition to the Contribute styles, you might see Cascading Style Sheet (CSS) styles provided by your website administrator or designer. If these styles are available, you should use them instead of the built-in styles provided by Contribute.

Note: You cannot attach a Cascading Style Sheet to a page in Contribute to add more styles; use Macromedia Dreamweaver to attach a style sheet. To enable or disable CSS styles in Contribute, talk to your website administrator or see Setting style and font permissions.

When you press Enter after text that has a style applied, Contribute applies the same style to the next line, unless the previous text was a heading. When you press Enter after a heading, the next line of text is in paragraph style.

To change the text style:

  1. In your draft, select the text you want to change or place the insertion point within the text.
  2. Do one of the following:
    • Select a style from the Style pop-up menu in the toolbar.
    • Select Format > Style; then select a style from the pop-up menu.

      • The text you selected, or the entire paragraph where the insertion point is, changes to the new style.

      Note: If you select a built-in heading style, and then the entire paragraph changes to that style, even if you selected specific text in the paragraph.

To clear the current text style:

  1. In your draft, select the text you want to change, or place the insertion point within the text.
  2. Select Normal from the Styles pop-up menu in the toolbar.

    3. Note: You can also select Format > Style, then select Remove Paragraph Breaks. This option clears the style and removes any paragraph tags around the selection.

Aligning text

You can choose any of four text alignment options: Left, Center, Right, and Justify.

To change text alignment:

  1. In your draft, select the text you want to change, or place the insertion point within the text.

    2. Note: Contribute applies alignment to the entire paragraph, even if you select specific text in the paragraph.

  2. Do one of the following:
    • Click one of the alignment buttons in the toolbar.
    • Select Format > Align, then select an alignment from the pop-up menu.

      • The text alignment changes in your draft.

Indenting text

In Contribute you can use the toolbar to indent or outdent text. You can indent or outdent text multiple times, further increasing or decreasing the space at the beginning of the text. This feature indents or outdents the entire paragraph, not just the first line of the paragraph.

To indent or outdent text:

  1. In your draft, select the text you want to change or place the insertion point within the text.
  2. Do one of the following:
    • Click the Indent or Outdent button in the toolbar.
    • Select Format > Indent or Format > Outdent.

      • The text indention changes in your draft.


Setting list property options

Creating lists

You can create numbered lists, bulleted lists, and definition lists in Contribute. You can also create sublists within your lists.

This section covers the following topics:

  • Creating numbered lists
  • Creating bulleted lists
  • Creating definition lists
  • Creating sublists
  • Setting list property options

Creating numbered lists

You can use numbered lists for information organized as a sequence or progression. You can apply numbering as you create the list, or you can add numbering to an existing list.

To create a numbered list:

  1. Place the insertion point in your draft where you want to add the list, and then do one of the following:
    • Click the Numbered List button in the toolbar.
    • Select Format > List > Numbered List.
  2. Type the first list item.
  3. Press Enter to type another item, then repeat for each item.
  4. When you finish typing the list, do one of the following to turn off numbering:
    • Press Enter twice.
    • Press Enter, then click the Numbered List button in the toolbar.

To create a numbered list from existing text:

  1. In your draft, select multiple lines of existing text.
  2. Do one of the following:
    • Click the Numbered List button in the toolbar.
    • Select Format > List > Numbered List.

Creating bulleted lists

Use bulleted lists to organize information that is related but in no particular sequence. You can apply bullets as you create the list, or you can add bullets to an existing list.

To create a bulleted list:

  1. Place the insertion point in your draft where you want to add the list, then do one of the following:
    • Click the Bulleted List button in the toolbar.
    • Select Format > List > Bulleted List.
  2. Type the first list item.
  3. Press Enter to type another item, then repeat for each item.
  4. When you finish typing the list, do one of the following to turn off the bullets:
    • Press Enter twice.
    • Press Enter, then click the Bulleted List button in the toolbar.

To create a bulleted list from existing text:

  1. In your draft, select multiple lines of existing text.
  2. Do one of the following:
    • Click the Bulleted List button in the toolbar.
    • Select Format > List > Bulleted List.

Creating definition lists

A definition list is a series of items, each with an indented sub-item.

To create a definition list:

  1. Place the insertion point in your draft where you want to create the list.
  2. Select Format > List > Definition List.
  3. Type the first list item.
  4. Press Enter to type the indented definition.
  5. Press Enter to type the next list item, then repeat as necessary.
  6. When you finish typing the list, do one of the following to turn off the indenting:
    • Press Enter twice.
    • Press Enter, then select Format > List > Definition List.

To create a definition list from existing text:

  1. In your draft, select multiple lines of existing text.
  2. Select Format > List > Definition List.

Creating sublists

You can change the level of a numbered or bulleted list item to create a nested list. For example, you might have a bulleted list where one of the bullets has a sublist of bullets.

The nested list does not have to be of the same type as the parent list. For instance, you can nest a bulleted list in a numbered list. You can have multiple nested lists within your list.

Web page which contains a list and a sublist of items

To create a sublist:

  1. In your draft, place the insertion point at the end of the line within an existing list where you want to create the sublist.
  2. Press Enter.
  3. Do one of the following:
    • Click the Indent button in the toolbar.
    • Press Tab.
This option is not available for template-based pages or in tables.
  • Select Format > Indent.

    • Contribute indents the number or bullet of the new line.

  1. If you want the sublist and parent list to be of different types, click the Numbered List or Bulleted List button in the toolbar, as appropriate.
  2. Type the list item, and then press Enter to enter more items in the sublist.
  3. To leave the sublist, press Enter twice or click the Outdent button in the toolbar.

Setting list property options

You can change the appearance of an entire list, or change the look of an individual list item in a bulleted or numbered list.

To set list properties for an entire list:

  1. In your draft, select the entire list or select two or more list items to apply properties to the entire list.
  2. Do one of the following:
    • Select Format > List > Properties.
    • Right-click, select List, then select Properties.
This option is not available for template-based pages or in tables.

The List Properties dialog box appears.

List Properties dialog box

  1. In the List properties section, change options for the list:
    • List type specifies whether the list is a bulleted, numbered, directory, or menu list.
Depending on the list type you select, different options are enabled or disabled in the dialog box.
  • Style determines the style of numbers or bullets used for a numbered or bulleted list.
Contribute applies this style to all items unless you specify a new style for individual items in the list.
  • Start at number sets the value for the first item in a numbered list.
  1. Click OK.

    2. Contribute applies your changes to the list. It also applies the new style automatically to any items you add to the list.

To set list properties for a list item:

  1. In your draft, place the insertion point in the bulleted or numbered list item you want to change.

    2. Note: If you select multiple items, list properties will be applied to the entire list.

  2. Do one of the following:
    • Select Format > List > Properties.
    • Right-click, select List, then select Properties.
This option is not available for template-based pages or in tables.

The List Properties dialog box appears.

  1. In the Selected item section, change options for the list:
    • Style specifies a style for the selected list item.
Options in the pop-up menu are specific to the list type, either bulleted or numbered.
  • Reset to number sets a specific number from which to number list item entries.
  1. Click OK.

    2. Contribute applies your changes to the list item.


Checking spelling

It’s a good idea to use the Check Spelling command to check the spelling in your draft after you add or edit text.

To check and correct spelling in your draft:

  1. Click the Check Spelling button in the toolbar or select Format > Check Spelling.

    2. If Contribute encounters an unrecognized word, the Check Spelling dialog box appears.

  2. Select the appropriate option based on how you want Contribute to handle the discrepancy:
    • Click Add to add the unrecognized word to your personal dictionary. You can add any word, and Contribute will ignore it in the future.
    • Click Ignore to ignore this instance of the unrecognized word.
    • Click Change to replace this instance of the unrecognized word with text that you type in the Change to text box or with the selection in the Suggestions list.
    • Click Ignore All to ignore all instances of the unrecognized word.
    • Click Change All to replace all instances of the unrecognized word in the same manner.
  3. When you finish checking spelling, click the Close button in the Check Spelling dialog box, or click OK in the Spelling Check Completed message box.


Finding and replacing text

You can search the draft you’re editing for specific text. You can also search for and replace text in drafts.

Note: You can search for text in a page in the browser, but the Search and Replace dialog box varies according to your default web browser.

To search for text:

  1. In your draft, select Edit > Find.

    2. The Find and Replace dialog box appears.

  2. In the Search for text box, type the text you want to find.
  3. Select Match case to limit the search to text that exactly matches the case of the text you type in the Search for text box.

    4. For example, if you type the brown derby in the text box, you will not find The Brown Derby.

  4. Click Find next, then repeat until you finish searching the draft.
  5. When you finish, click Close.

To search and replace text:

  1. In your draft, select Edit > Find.

    2. The Find and Replace dialog box appears.

  2. In the Search for text box, type the text you want to find.
  3. In the Replace with text box, type the replacement text.
  4. Select the Match case option to limit the search to text that exactly matches the case of the text you type in the Search for text box.

    5. For example, if you type the brown derby in the text box, you will not find The Brown Derby.

  5. Click Find Next.
  6. For each occurrence, select one of the following:
    • Replace replaces the current instance with the replacement text.
    • Replace All replaces all instances with the replacement text.
    • Find Next finds the next instance without changing the current instance.
  7. When you finish, click Close.
Previous


Working with Images and Graphical Elements

Macromedia Contribute makes it easy for you to edit, add, or delete images on your web pages. You can also add Macromedia Flash movies as easily as you add an image to a page.

For information about converting a document to a Flash movie, see Inserting a document as FlashPaper (Windows only).

This chapter contains the following sections:

  • Adding an image to a page
  • Editing an image
  • Resizing an image
  • Moving and aligning images
  • Inserting a Flash movie
  • Adding and deleting a horizontal rule

For information about making an image a hyperlink (also known as a link), see Creating text and image links.
Next


Adding an image to a page

There are three ways you can add an image to your web page:

  • Use the Insert menu or the Image button to add an image from your computer or website.
  • Drag an image from another source to your Contribute draft.
  • Copy and paste an image from another source on your Contribute draft.

For more information about inserting images, see About inserting images. For information about changing image properties, such as alignment, see Changing image properties. For information about editing an image, see Editing an image.


About inserting images

You can add images from several different sources, including your computer, local network, website, e-mail, Microsoft Internet Explorer web browser, or another application, such as Microsoft Word or Excel.

Note: Images that you add to your page should be in one of the following web-ready formats: JPG, GIF, or PNG (16). If the image you want to add is in another format, you can use an image-editing tool, such as Macromedia Fireworks, to convert the image to a web-ready format.

When you add an image to a page, it’s a good idea to add descriptive text about the image so that the image is accessible to people with disabilities. Your website administrator can enforce the image-accessibility option so that a dialog box prompts you for a description whenever you add an image.

Note: For more information, talk to your website administrator or see Setting page editing and paragraph permissions.


Using the Insert menu or Image button to add images to a page

You can use the Insert menu or Image button in the toolbar to add an image from your computer or website to a page. If you have already inserted an image in a page in a Contribute website, and you want to reuse the image, use the Insert > Image > From Website command.

You can add images from other sources by dragging them to the page (see Dragging images to a page), or by copying and pasting them on the page (see Copying and pasting images).

To add an image using the Insert menu or Image button:

  1. Place the insertion point in your draft where you want the image to appear.
  2. Do one of the following:
    • Click the Image button in the toolbar.
    • Select Insert > Image.
  3. Select From My Computer or From Website from the pop-up menu.

    4. The Select Image or Choose Image from Website dialog box appears.

  4. Browse to and select the image, then click the Select or OK button.
  5. If the Image Description dialog box appears, enter text to describe the image for people with disabilities or for people with their browsers set to display text only, then click OK.

    6. The image appears on your draft.

    If the image is from your computer, Contribute copies the image to an images folder on your website when you publish the draft. You cannot edit the image in Contribute until you publish the draft. If the image is from your website, you can edit the image in Contribute before you publish. For more information, see Editing an image.

Tip: After you insert the image, select the image, then click the Image button and select either option from the pop-up menu to change image properties. For more information, see Changing image properties.


Dragging images to a page

You can drag an image from another source to your Contribute page.

You can also add images by using the Insert menu or Image button (see Using the Insert menu or Image button to add images to a page), or by copying and pasting them on the page (see Copying and pasting images).

To add an image by dragging:

  1. Reduce the size of the Contribute application window so that you can also see the application that contains the image you plan to drag.
  2. In the other application, select the image.
  3. Drag the image to your Contribute draft where you want the image to appear.

    4. Tip: You can’t drag an image from a web browser if the image has a link attached to it. Save the image to your computer first, then drag the image to your Contribute draft, or you can copy and paste the image.

  4. If the Image Description dialog box appears, enter text to describe the image for people with disabilities or for people with their browsers set to display text only, and click OK.

    5. The image appears on your draft, and Contribute copies the image to an images folder on your website, if it’s not already there.

    If the image is from your website, you can edit the image in Contribute before you publish the draft. If the image is from another source, you cannot edit the image in Contribute until you publish. For more information, see Editing an image.


Copying and pasting images

You can copy an image from another source, then paste it on your Contribute page.

You can also add images by using the Insert menu or Image button (see Using the Insert menu or Image button to add images to a page) or by dragging them to the page (see Dragging images to a page).

To add an image by copying and pasting:

  1. In the application that contains the image you want to copy, select the image.
  2. Select Edit > Copy.
  3. Place the insertion point in your Contribute draft where you want the image to appear.
  4. Select Edit > Paste.
  5. If the Image Description dialog box appears, enter text to describe the image for people with disabilities or for people with their browsers set to display text only, and click OK.

    6. The image appears on your draft, and Contribute copies the image to an images folder on your website, if it’s not already there.

    If the image is from your website, you can edit the image in Contribute before you publish the draft. If the image is from another source, you cannot edit the image in Contribute until you publish. For more information, see Editing an image.


Completing the Image Description dialog box

Use the Image Description dialog box to describe the image for people with disabilities or for people with their browsers set to display text only.

To complete the Image Description dialog box:

  1. Enter text to describe the image.
  2. Click OK.


Changing image properties

After you add an image to a page (see Adding an image to a page), you can change its properties. Image properties include image source, size, padding, alignment, border, and alternate text.

To change image properties:

  1. In your draft, select the image you want to modify, and do one of the following:
    • Double-click the image.
    • Click the Image button in the toolbar, then select either option from the pop-up menu.
    • Select Format > Image Properties.
    • Right-click the image, and then select Image Properties from the pop-up menu.

      • The Image Properties dialog box appears.

      This is a screenshot of the Image properties dialog box.

  2. Make changes as necessary to the following options:
    • Image file is the location of the image source file.
Click the Browse button, and then select Images on My Computer or Images on Website, to change the image source.
  • Width is the width of the image.
You can enter size in pixels or as a percentage of the original image size.
  • Height is the height of the image.
You can enter size in pixels or as a percentage of the original image size.
  • Reset size returns the image to its original height and width.
This option acts like an undo button for changes to image size.
  • Constrain proportions keeps the proportions of height and width constant.
For example, if you double the height with this option enabled, then Contribute also doubles the width. If possible, do not change the width and height of your image or you might reduce its quality. If you must resize the image, it is a good idea to use an image-editing program such as Fireworks.
  • Horizontal padding is the amount of empty space, in pixels, on the right and left of the image.
The number you enter represents the amount of space on each side of the image. For example, if you select 4 pixels for Horizontal padding, then 4 pixels of empty space appears on the right of the image, and 4 pixels of space appears on the left of the image.
  • Vertical padding is the amount of empty space on the top and bottom of the image.
The number you enter represents the amount of space above and below the image. For example, if you select 4 pixels for Vertical padding, then 4 pixels of empty space appears on top of the image, and 4 pixels of space appears below the image.
  • Alignment refers to the location of the image on the page in relation to any text that appears around the image.
When you select an alignment option, a graphic indicates how the image will align in relation to elements around the image.
  • Border is the width, in pixels, of the border around the image.
  • Description (ALT text) describes the image for people with disabilities or for people with their browsers set to display text only.
  1. Click OK.

    2. Contribute applies your changes to the image.


Editing an image

You can use Contribute to launch an external image-editing application. For information about setting or changing the external image editor, see Setting file editor preferences. Setting an image editor enables you to edit images that you’ve added to your web pages. The image you’re editing should be on a published page on your website or in one of your website folders.

To update the image on your website you should select it either in the draft or from the Images folder in your website. If you edit the image file you originally copied to your website from your computer, the changes you make to the original file will not appear on your website.

To edit an image in Contribute:

  1. In the Contribute browser, do one of the following:
    • Browse to the page with the image you want to edit, and click the Edit Page button. Select the image, then select File > Edit Image or right-click the image and select Edit Image.
    • Click the Choose button in the toolbar, then select the image you want to edit (it must be an image that is published on your website) and close the dialog box.

      • Contribute launches an external editing application.

      Note: To change your default external image editor, see Setting file editor preferences.

  2. If you are editing an image in Fireworks, click No in the Find Source dialog box to indicate that you do not want to edit the source file for this image.

    3. By clicking No, you will edit the image for the website only.

  3. In the external application, make changes as necessary, then save your changes and close the application.

    4. Note: If you are editing in Fireworks, click the Done button in the editing window, then close the application.

  4. In Contribute, click Publish to publish your changes to the website.

    5. Note: If you need to make additional changes to the image before you publish, in Contribute click Launch to open the content in the external editor again.

    The updated content appears in Contribute.


Resizing an image

You can change the size of an image by dragging the selection handles or by entering a specific height or width in the Image Properties dialog box.

To avoid distorting your image, you can constrain proportions when you resize an image. This means that you change the height and width of the image by the same percentage.

To change the size of an image in a draft, do one of the following:

  • Select the image, then drag one of the selection handles to the desired image size.

    • Image shows selection handles on an image.

    Tip: Hold the Shift key, then drag the corner selection handle to constrain proportions so that the image is not distorted as you drag.

  • Double-click the image, then change the height or width in the Image Properties dialog box.

    • Tip: Select Constrain proportions in the dialog box to maintain the image aspect ratio, so that the image is not distorted.

  • Right-click the image, then select Image Properties (or Reset Size if you’ve previously changed the image’s size) from the pop-up menu. Enter a new height and width in the Image Properties dialog box, then click OK.

    • Tip: Select Constrain proportions in the dialog box to maintain the image aspect ratio, so that the image is not distorted.


Moving and aligning images

You can easily move an image to a new location on a web page. If there is text (or other elements) around the image, you can change how the image aligns with surrounding elements.

To move an image on a draft, do one of the following:

  • Drag the image to a new location.
  • Select the image, then copy (or cut) and paste the image in a new location.

To change alignment of an image on a draft, do one of the following:

  • Double-click the image, then select an alignment from the Alignment pop-up menu in the Image Properties dialog box.
  • Right-click the image, then select an alignment from the Alignment pop-up menu.

Note: For more information about alignment options, see Changing image properties.

Contribute aligns the image in relation to surrounding elements, such as text.


Inserting a Flash movie

Many websites contain Flash assets such as navigation buttons or a banner. You can use the Insert menu to add Flash content to a page. You can insert a movie from your computer or from your website. When you publish a page that contains a Flash movie, the movie file is automatically copied to your website. You can reuse the Flash movie by using the Insert > Flash Movie > From Website command.

For information about converting a document to FlashPaper, see Inserting a document as FlashPaper (Windows only).

To insert a Flash movie from your computer:

  1. Place the insertion point in your draft where you want the movie to appear.
  2. Select Insert > Flash Movie > From My Computer or From Website.

    3. The Select File dialog box appears.

  3. In the Files of type pop-up menu, select All Files.
  4. Navigate to the Flash movie file (.swf) you want to insert and click Select.

    5. The Flash movie object appears in your draft.

To insert a Flash movie from your website:

  1. Place the insertion point in your draft where you want the movie to appear.
  2. Select Insert > Flash Movie > From Website.

    3. The Choose Image from Website dialog box appears.

  3. Navigate to the Flash movie file (.swf) you want to insert
  4. Click the flash file to select it, and then click OK.

    5. The Flash movie object appears in your draft.


Setting Flash movie properties

You can set properties for Flash movies that you insert in your web pages.

To set Flash movie properties:

  1. In your draft, select the Flash movie object
  2. Select Format > Flash Movie Properties.

    3. The Flash Movie Properties dialog box appears.

    Flash Movie Properties dialog box.

  3. Select Start playing the movie when the page loads if you want the Flash movie to automatically begin playing when the page appears in a website visitor’s browser.
  4. Select Loop the movie continuously if you want the Flash movie to automatically start playing again each time it ends.
  5. Click OK.


Adding and deleting a horizontal rule

You can add horizontal rules to your pages to help organize content. For example, you can use rules to group text and other elements into topic areas.

Image shows a web page where horizontal rules are used to separate the content.

For information about changing the look of a horizontal rule, see Changing properties of a horizontal rule.

To insert a horizontal rule:

  1. Place the insertion point in your draft where you want the horizontal rule to appear.
  2. Select Insert > Horizontal Rule.

    3. Contribute inserts the horizontal rule. Content before the insertion point appears above the line, and content after the insertion point appears below the line.

To delete a horizontal rule:

  1. In your draft, click the horizontal rule to select it.
  2. Press Delete.


Changing properties of a horizontal rule

You can customize the height, width, and shading applied to a horizontal rule on a page. By default, a horizontal rule in Contribute is 1 pixel high, expands to the width of the page or table cell in which it is inserted, and has a small drop shadow (or shading) applied.

For information about adding and deleting horizontal rules to a page, see Adding and deleting a horizontal rule.

To set horizontal rule properties:

  1. In your draft, click the horizontal rule to select it, then do one of the following:
    • Right-click the horizontal rule, then select Properties.
    • Select Format > Horizontal Rule Properties.

      • The Horizontal Rule Properties dialog box appears.

      Horizontal Rule Properties dialog box

  2. Change any of the following options:
    • Width indicates the length of the line.
To set a specific line width for a horizontal rule, enter a number in the Width text box, then select Pixels. To set a line width that expands or contracts depending on the width of a viewer’s browser window, enter a number between 1 and 100 in the Width text box, then select Percentage.
  • Height indicates the height of the line.
  • Use Outline Shading indicates that the line appears as an outline, not a solid line.
  1. Click OK.

    2. Contribute changes the horizontal rule properties.
Previous


Working with Tables

A table is a powerful tool for presenting tabular data. For example, you might add a table to a web page that lists all your sales reps in one column, with their contact information in another column.

In Macromedia Contribute, you can add text and images to table cells the same way that you add text and images to a page (see Working with Text and Working with Images and Graphical Elements). After you create a table you can easily modify both its appearance and structure.

This chapter contains the following sections:

  • Inserting a table on a page
  • Selecting table elements
  • Resizing tables, rows, and columns
  • Aligning tables
  • Cutting and copying table cells
  • Adding, deleting, and merging table rows and columns
  • Modifying table appearance
  • Sorting tabular data
Next


Inserting a table on a page

You can insert a table anywhere on a page, including within another table (see Inserting a table within a table). You can quickly insert a standard table with three rows and three columns, or you can modify options to insert a custom table.

When you insert a table, it’s a good idea to apply headings, if you need them. Using headings makes the table more accessible to people with disabilities. Do not create headings for rows or columns by making text in the first row or column bold and centered. Screen readers read only those headings that you apply as a table property.

For information about a table-rendering option that might improve performance when you’re editing large tables, see Setting general preferences.

Tip: After you insert a table and start adding content to it, use the Preview in Browser feature to see exactly how the table will appear in the browsers of your website visitors (see Previewing a page in your default browser).

To insert a table:

  1. Place the insertion point in your draft where you want the table to appear.
  2. Do one of the following to open the Insert Table dialog box:
    • Click the Insert Table button in the toolbar.
    • Select Insert > Table.
    • Select Table > Insert > Table.

      • The Insert Table dialog box appears.

      Insert Table dialog box

  3. Enter the number of rows and columns you want, or accept the defaults for a table with three rows and three columns.
  4. Change table properties as desired:

    5. Table width indicates how wide the table is.

    Select Default width if you want the width of the table columns to change as you add content. Select Specific width if you want a fixed table width. Enter a number, and use the pop-up menu to indicate whether the number represents a number of pixels or the percentage of the page the table will occupy.

    Border thickness is the thickness of the border around the table and between cells.

    Tip: Enter 0 if you do not want a table border.

    Cell padding indicates the amount of space, in pixels, between the edge of the table cell and the content of the cell.

    Note: If you do not enter a value, Contribute sets cell padding to the default value, which is 1 pixel.

    Cell spacing indicates the amount of space, in pixels, between each table cell.

    Note: If you do not enter a value, Contribute sets cell spacing to the default value, which is 3 pixels.

  5. Click a button in the Header section to indicate whether you want a header; select from the following options:

    6. None indicates no header.

    Left indicates a header column.

    Top indicates a header row.

    Both indicates a header column and a header row.

    Tip: Screen readers read headings of rows or columns that have one of these header types applied; they do not read headings that you create by entering bold and centered text.

  6. Click OK.

    7. The table appears in your draft.

Tip: After you insert the table, select it, and then click the Table button again to change table properties. For information about changing header properties, see Modifying row or column properties.


Inserting a table within a table

You can insert a table within an existing table on a page.

To insert a table within a table:

  1. In your draft, place the insertion point in the table cell where you want the table to appear.
  2. Do one of the following to open the Insert Table dialog box:
    • Click the Insert Table button in the toolbar.
    • Select Insert > Table.
    • Select Table > Insert > Table.

      • The Insert Table dialog box appears.

  3. Change options as necessary.
  4. Click OK.

    5. The table appears in the table cell where you placed the insertion point.


Selecting table elements

You can select an entire table, row, or column, or you can select a contiguous block of cells within a table:

  • To select an entire table, row, or column, see Selecting an entire table, row, or column.
  • To select a cell, block of cells, or nonadjacent cells, see Selecting a cell, block of cells, or nonadjacent cells.

After you’ve selected a table or cells, you can modify the appearance of the selection (see Modifying table appearance) or of the text contained in the selection (see Cutting and copying table cells).


Selecting an entire table, row, or column

You might select an entire table, row, or column because you want to paste it into another page (see Cutting and copying table cells) or want to change the background of all the cells in the selection at once (see Modifying table appearance).

To select an entire table, do one of the following:

  • Click the upper left corner of the table or click anywhere on the right or bottom edge.
  • Click in a table cell, then select Table > Select Table.

    • Selection handles appear on the selected table’s lower and right edges.

    Image shows table selection handles

To select rows or columns:

  1. Position the pointer to point at the left edge of a row or the top edge of a column.
  2. When the pointer changes to a selection arrow, click to select the row or column, or drag to select multiple rows or columns.

    3. Image shows a row selection arrow


Selecting a cell, block of cells, or nonadjacent cells

You might want to select a cell or group of cells because you want to paste it into another page (see Cutting and copying table cells) or you want to change the background of all the cells in the selection at once (see Modifying table appearance).

When you select a block of cells, the block must form a rectangle. When you select multiple nonadjacent cells in a table, you can only modify the properties of those cells. You cannot copy or paste sets of nonadjacent cells.

To select a single cell, do one of the following:

  • Click in the cell, then drag to select the cell.
  • Click in the cell, then select Edit > Select All.

    • Tip: Select Edit > Select All again to select the entire table.

To select a line or a rectangular block of cells, do one of the following:

  • Drag from one cell to another cell.
  • Click in one cell, then Shift-click another cell.

    • All of the cells within the linear or rectangular region defined by the two cells are selected.

    Image shows selected table cells

To select nonadjacent cells:

  • Control-click the cells, rows, or columns you want to select.

    • Note: If a cell, row, or column you Control-click isn’t already selected, it’s added to the selection. If it is already selected, it’s removed from the selection.


Resizing tables, rows, and columns

You can resize an entire table or individual rows and columns. When you resize an entire table, all the cells in the table are resized proportionately.

To resize a table:

  1. In your draft, select the table you want to resize (see Selecting table elements).
  2. Do one of the following:
    • To resize the table horizontally, drag the selection handle on the right.
    • To resize the table vertically, drag the selection handle on the bottom.
    • To resize in both dimensions, drag the selection handle at the lower right corner.

To resize a column’s width, do one of the following in your draft:

  • Select the column, then drag the right border of the column.
  • Select the column, then click the Table button in the toolbar.

    • In the Table Column Properties dialog box, change the number in the Column width text box, then select Pixels or Percent for the width. Alternatively, select Fit to Contents to clear the set width and resize the columns to accommodate the content you add.

Note: If you select any column but the rightmost one, the width of the adjacent column also changes, and Contribute retains the original table width. If you select the rightmost column, the width of the entire table changes, and all the columns grow wider or narrower proportionately.

To resize a row’s height, do one of the following in your draft:

  • Select the row, then drag the lower border of the row.
  • Select the row, then click the Table button in the toolbar.

    • In the Table Row Properties dialog box, change the number in the Row height text box, then select Pixels or Percent for the height. Alternatively, select Fit to Contents to clear the set height and resize the rows to accommodate the content you add.


Aligning tables

You can indicate how a table aligns on the web page in relation to elements, such as text or images, around it on the page.

You cannot select an alignment option when you create a table. You must insert the table (see Inserting a table on a page), and then change the alignment option in table properties.

To change alignment for a table:

  1. In your draft, select the table you want to realign (see Selecting table elements).
  2. Do one of the following to open the Table Properties dialog box:
    • Click the Table button in the toolbar.
    • Right-click, then select Table Properties from the pop-up menu.
    • Select Table > Table Properties.

      • The Table Properties dialog box appears.

      Table Properties dialog box

  3. Select an alignment option from the Table alignment pop-up menu:

    4. Default aligns the table to the left of the page. Text or images do not flow around the table.

    Left aligns the table to the left side of the page. Text or images flow to the right of the table.

    Center aligns the table in the center of the page.

    Right aligns the table to the right side of the page. Text or images flow to the left of the table.

  4. Click Apply to see changes without closing the dialog box, or click OK to apply changes and close the dialog box.

    5. The table alignment changes in your draft.


Cutting, copying, and pasting cells

You can cut, copy, or paste a single table cell or multiple cells at once, preserving the cell formatting (see Cutting and copying table cells). You can paste cells at the insertion point or paste over a selection in an existing table (see Pasting table cells).

The selected cells must be contiguous and in the shape of a rectangle. For example, the selection in this illustration is a rectangle of cells, so the cells can be cut or copied.

Image shows a rectangle of table cells

The selection in this illustration is not a rectangle, so the cells can’t be cut or copied.

Image shows a non-rectangular selection


Cutting and copying table cells

You can copy a single cell or multiple cells, then cut the cells, or just the cells’ content, from the table. You can copy a single cell or multiple cells, then paste the cells in the same table or in another table (see Pasting table cells).

To copy table cells, rows, or columns:

  1. In your draft, select one or more cells, rows, or columns in the table (see Selecting table elements).
  2. Do one of the following:
    • Select Edit > Copy.
    • Right-click, then select Copy.

      • Contribute copies the selection to the Clipboard.

To cut table cells, rows, or columns:

  1. In your draft, select one or more cells, rows, or columns in the table (see Selecting table elements).
  2. Do one of the following:
    • Select Edit > Cut.
    • Right-click, then select Cut.

      • Contribute cuts the selection from the table and copies it to the Clipboard.

To remove a row or column from a table:

  1. In your draft, select a row or column (see Selecting table elements).
  2. Do one of the following:
    • Select Table > Delete > Row or Table > Delete > Column.
    • Press Delete.

      • Contribute removes the row or column from the table.

To remove cell content but leave the cells intact:

  1. In your draft, select one or more cells.

    2. Note: Do not select an entire row or column. If you do, then when you select Edit > Clear or press Delete, Contribute removes the entire row or column--not just its contents--from the table.

  2. Select Edit > Clear or press Delete.

    3. Contribute removes the contents of the cells you selected, but leaves the empty cells in the table.


Pasting table cells

You can copy cells (see Cutting and copying table cells), then paste them at the insertion point in a table or paste over a selection in an existing table.

When you paste multiple table cells, the contents of the Clipboard must be compatible with the structure of the table or the selected block where they will go. For example, if you copy a block that is two cells by two cells, you must paste it in a two-by-two block.

To paste table cells:

  1. In your draft, do one of the following to indicate where you want to paste the cells:
    • To replace existing cells with the cells you are pasting, select a set of existing cells with the same layout as the cells you copied.
For example, if you’ve cut or copied a three-by-two block of cells, select another three-by-two block in which to paste the cut or copied content.
  • To paste a full row of cells above a particular cell, click in that cell.
  • To paste a full column of cells to the left of a particular cell, click in that cell.
  • To create a new table with the pasted cells, place the insertion point outside the table.

    • Note: If you have less than a full row or column of cells in the Clipboard, and you click in a cell and then paste the cells from the Clipboard, the cell you clicked in and its neighbors (depending on its location in the table) might be replaced with the cells you are pasting.

  1. Do one of the following:
    • Select Edit > Paste.
    • Right-click, then select Paste.

      • Contribute pastes the cells from the Clipboard.


Adding, deleting, and merging table rows and columns

You can modify an existing table by adding or deleting rows or columns. You can also merge cells to accommodate data.

This section covers the following topics:

  • Adding rows and columns
  • Deleting rows and columns
  • Merging and splitting cells


Adding rows and columns

You can add a single row or column (see Adding a single row or column), or you can add multiple rows or columns at the same time (see Adding multiple rows or columns).


Adding a single row or column

You can add a single row or column to a table. To add multiple rows or columns, see Adding multiple rows or columns.

To add a single row to a table:

  1. In your draft, place the insertion point in a table cell, or select an entire row.
  2. Do one of the following:
    • Click the Insert Row button in the toolbar.

      • A new row appears below the insertion point or selection.

    • Select Table > Insert > Insert Row Above or Table > Insert > Insert Row Below.
    • Right-click, then select Insert Row Above or Insert Row Below.

To add a single column to a table:

  1. In your draft, place the insertion point in a table cell, or select an entire column.
  2. Do one of the following:
    • Click the Insert Column button in the toolbar.

      • A new column appears to the right of the insertion point or selection.

    • Select Table > Insert > Insert Column to the Left or Table > Insert > Insert Column to the Right.
    • Right-click, then select Insert Column to the Left or Insert Column to the Right.


Adding multiple rows or columns

You can add multiple rows or columns to a table at the same time.

To add multiple rows or columns to a table:

  1. In your draft, place the insertion point in a table cell.
  2. Do one of the following:
    • Select Table > Insert > Multiple Rows or Columns.
    • Right-click, then select Insert Multiple Rows or Columns.

      • The Insert Rows or Columns dialog box appears.

      Insert Rows or Columns dialog box

  3. Select a radio button to indicate whether to insert rows or columns.
  4. Enter the number of rows or columns to insert.
  5. Specify where the new rows or columns will go: above or below the insertion point (rows), or to the left or right of the insertion point (columns).


Deleting rows and columns

You can delete a single row or column, or you can delete multiple rows or columns at the same time.

To delete rows or columns from a table in your draft, do one of the following:

  • Select entire rows or columns, then press Delete or Backspace.
  • Select entire rows or columns or place the insertion point in a single row or column, right-click, then select Delete Row or Delete Column.
  • Select entire rows or columns, then select Table > Delete > Row or Table > Delete > Column.


Merging and splitting cells

You can merge any number of adjacent cells--as long as the entire selection is a line or a rectangle of cells--to produce a single cell that spans several columns or rows. You can split a cell into any number of rows or columns, regardless of whether it was previously merged.

To merge table cells:

  1. In your draft, select the cells you want to merge.

    2. Note: You must select at least two cells.

  2. Select Table > Merge Cells or right-click, then select Merge Cells.

    3. Contribute merges the content into a single cell.

To split table cells:

  1. In your draft, place the insertion point in the cell you want to split.

    2. Note: Contribute only splits one cell at a time, even if you select multiple cells.

  2. Select Table > Split Cell or right-click, then select Split Cell.

    3. The Split Cell dialog box appears.

    Split Cell dialog box

  3. Select a radio button to indicate whether to split the cell into rows or columns.
  4. Enter the number of new rows or columns in which to divide the cell.
  5. Click OK.

    6. Contribute splits the cell into multiple rows or columns.


Modifying table appearance

You can modify a table’s appearance by doing any of the following:

  • Changing properties for an entire table (see Modifying table properties)
  • Changing properties for individual cells, rows, or columns in a table (see Modifying row or column properties and Modifying cell properties)

    • Note: Before you start changing properties, it’s a good idea to understand how Contribute resolves formatting conflicts for cells, rows, and tables (see About conflicts in table formatting).

  • Applying a preset design scheme to a table (see Using a preset table format)


About conflicts in table formatting

When formatting tables, you can set properties for the entire table or for selected cells, rows, or columns in the table (see Modifying table appearance).

When a table property, such as background color or alignment, is set to one value for the entire table and another value for individual cells, cell formatting takes precedence over row formatting, which in turn takes precedence over table formatting.

The order of precedence for table formatting is as follows:

  1. Cells
  2. Rows
  3. Table

For example, if you set the background color for a single cell to blue, and then set the background color of the entire table to yellow, the blue cell does not change to yellow because cell formatting takes precedence over table formatting.

Note: When you set properties for a column, Contribute changes the attributes of the td tag corresponding to each cell in the column.


Modifying table properties

You can modify the alignment, width, border width and color, and background color of a selected table.

To modify table properties:

  1. In your draft, select the table you want to modify (see Selecting table elements).
  2. Do one of the following to open the Table Properties dialog box:
    • Click the Table button in the toolbar.
    • Right-click, then select Table Properties from the pop-up menu.
    • Select Table > Table Properties.

      • The Table Properties dialog box appears.

      Table Properties dialog box

  3. Make changes to any of the following options:

    4. Table alignment refers to the location of the table in relation to any elements (such as text or images) that appear around the table. Select from the following options:

    • Default aligns the table to the left side of the page. Text or images do not flow around the table.
    • Left aligns the table to the left side of the page. Text or images flow to the right of the table.
    • Center aligns the table in the center of the page.
    • Right aligns the table to the right side of the page. Text or images flow to the left of the table.

      • Table width specifies how wide the table is.

      From the pop-up menu, select Percent to specify the table width as a percentage of the total browser window, or Pixel to specify the width in pixels (a number between 1 and 800).

      Note: You can enter percentages greater than 100. For example, if you enter 150, then the table is one and a half times the size of the browser window. When the percentage is greater than 100, a scrollbar appears for the web page. You can enter a value up to 1000.

      Border thickness specifies how thick the border around the table and between the cells is.

      Tip: Enter 0 if you do not want a table border.

      Cell padding indicates the amount of space, in pixels, between the edge of the table cell and the contents of the cell.

      Note: If you do not enter a value, Contribute sets cell padding to the default value, which is 1 pixel.

      Cell spacing indicates the amount of space, in pixels, between each table cell.

      Note: If you do not enter a value, Contribute sets cell spacing to the default value, which is 3 pixels.

      Border color indicates the color of the border around the table and between cells.

      Note: The border color does not show if the border thickness is set to 0 for no border.

      Background color indicates the background color of all the cells in the table.

      If you do not select a color, the default background is transparent. In other words, the table background is white on a white page, green on a green page, and so on.

  4. Click Apply to apply changes without closing the dialog box, or click OK to apply changes and close the dialog box.

    5. Your table property changes appear in your draft.


Modifying row or column properties

You can modify horizontal and vertical alignment, background color, height or width, and text wrap for a selected row or column.

Note: To understand how Contribute resolves formatting conflicts for cells, rows, and tables, see About conflicts in table formatting.

To modify table row or column properties:

  1. In your draft, select the row or column you want to modify (see Selecting an entire table, row, or column).
  2. Do one of the following to open the Table Properties dialog box:
    • Click the Table button in the toolbar.
    • Right-click, then select Table Properties from the pop-up menu.
    • Select Table > Table Properties.

      • The Table Properties dialog box appears with the appropriate tab selected.

      Column tab in the Table Properties dialog box

  3. Make changes to any of the following options:

    4. Horizontal alignment specifies how content in the row or column is aligned horizontally. Options are Left, Center, and Right.

    Vertical alignment specifies how content in the row or column is aligned vertically. Options are Top, Middle, and Bottom.

    Background color indicates the background color of the selected row or column.

    Note: You can also click the Highlight Color button in the toolbar to change the color of the selected row or column.

    Row height specifies how tall the row is.

    Column width specifies how wide the column is.

    For a selected row or column, you can change the number in the Row height or Column width text box, then select pixels or a percentage for the width. Alternatively, select Fit to Contents to clear the set height or width and resize the rows or columns to accommodate the content you add.

    Wrap text, when selected, indicates that text wraps to a new line when it reaches the end of the cell. When not selected, text does not wrap, and the cell expands to accommodate the text.

    Header Row indicates that the selection is a header.

  4. Click Apply to preview your changes, or click OK to apply changes and close the dialog box.


Modifying cell properties

You can modify horizontal and vertical alignment, background color, and text wrap for a selected cell.

Note: To understand how Contribute resolves formatting conflicts for cells, rows, and tables, see About conflicts in table formatting.

To modify table cell properties:

  1. In your draft, select the cell or cells you want to modify (see Selecting an entire table, row, or column).
  2. Do one of the following to open the Table Properties dialog box:
    • Right-click, then select Table Cell Properties from the pop-up menu.
    • Select Table > Table Cell Properties.
    • Click the Table button in the toolbar.

      • The Table Properties dialog box appears with the appropriate tab selected.

      This is a picture of the feature being described.

  3. Make changes to any of the following options:

    4. Horizontal alignment specifies how cell content is aligned horizontally. Options are Left, Center, and Right.

    Vertical alignment specifies how cell content is aligned vertically. Options are Top, Middle, and Bottom.

    Background color indicates the background color of the cell.

    Note: You can also click the Highlight Color button in the toolbar to change the color of the selected cell.

    Wrap text, when selected, indicates that text wraps to a new line when it reaches the end of the cell. When not selected, text does not wrap, and the cell expands to accommodate the text.

  4. Click Apply to preview your changes, or click OK to apply changes and close the Table Properties dialog box.


Using a preset table format

You can apply a preset design to a table and select options to further customize the design.

Note: You can apply preset table designs only to a simple rectangular grid of cells. You can’t use these designs to format tables that contain merged cells or other unusual formatting.

To use a preset table design:

  1. In your draft, select a table to modify or place the insertion point in any cell in the table.
  2. Select Table > Format Table.

    3. The Format Table dialog box appears with the Basic tab selected.

    Format Table dialog box

  3. Select a design scheme from the list on the left.

    4. Contribute displays an example of the table design you select.

  4. Click the Advanced tab.
  5. In the Table properties section, enter a border width for the table.

    6. Tip: If you do not want a table border, enter 0 for the border.

  6. In the Left column section, select a text alignment and a text style for the left column of the table, which might contain row headings.
  7. In the Header row section, select a background color and a text color, then select a text alignment and a text style for the top row of the table, which might contain column headings.
  8. In the Other rows section, select a color to apply to rows, then indicate how frequently you want the colors to alternate. Click Color to select a second row color, if you choose to alternate row color.
  9. Click OK.

    10. Contribute formats your table with the design you selected.


Sorting tabular data

You can sort the rows of a table based on the contents of a single column. For example, if you have a Names column in a table, you can sort items in that column alphabetically.

You can also perform a more complicated table sort based on the contents of two columns. You cannot sort on a column that contains merged cells.

To sort a table:

  1. In your draft, select the table to sort or place the insertion point in any cell in the table.
  2. Select Table > Sort Table.

    3. The Sort Table dialog box appears.

    Sort Table dialog box

  3. From the Sort by pop-up menu, select the column whose values you want to sort.
  4. From the Order pop-up menu, specify whether to sort the column alphabetically or numerically, then specify whether to sort it in ascending order (A to Z, lower numbers to higher numbers) or descending order.

    5. Tip: When a column contains numbers, select Numerically. An alphabetic sort applied to 1, 2, 3, 10, 20, 30 yields the sequence 1, 10, 2, 20, 3, 30.

  5. From the Then by pop-up menu, select a secondary column to sort.
  6. From the Order pop-up menu, specify whether to sort the secondary sort column alphabetically or numerically, and whether to sort it in ascending order or descending order.
  7. In the Options section, select any of the following additional options:

    8. Sort includes first row specifies that the first row of the table is included in the sort. If the table has a header row, the header is the first row of the table.

    Sort header rows specifies to sort header rows using the same criteria as the body rows.

    Sort footer rows specifies to sort table footer rows using the same criteria as the body rows.

    Leave row colors in original positions specifies that table row colors should remain associated with the same content after the sort.

    For example, do not select this option if your table has rows of alternating colors and you want to preserve the alternating pattern in the sorted table. If the color denotes a type of content, then select this option to ensure that color remains associated with the content after the sort.

  8. Click OK.

    9. Contribute reorders the table.
Previous


Working with Links

A hyperlink, often called a link, creates a connection from one page to another page. In a web page, links are typically underlined and differentiated by color from the surrounding text. When a visitor to your website clicks a link in one page, another page opens.

Visitors use links to navigate your website. When you add a new page to a website, you have to add a link to the new page on an existing page. Then, users can click the link in the existing page to view the new page.

When you add a link to a page, the link is not live until you publish the page (see Publishing Your Page). Before you publish a page with a link, you should use the Preview in Browser feature to test the link and make sure it works.

This chapter contains the following sections:

  • Creating text and image links
  • Setting the advanced linking options
  • Editing links
  • Testing links
Next


Creating text and image links

In Macromedia Contribute, you can make text or images in your web page act as links. When a visitor to your website clicks a link--specified text or an image--the browser takes the visitor to another web page or file, or launches their e-mail application.

Your text or image can link to any of the following:

  • A current draft or a recently published page on your website
  • A new web page, which Contribute creates at the same time as the link
  • An existing web page on your website or on another website
  • An e-mail address
  • An existing file on your computer, such as a Microsoft Word or PDF file

For information, see Editing links and Testing links.


Linking to a draft or recently published page on your website

You can create a link on your page to a draft that you are currently editing or to a recently published page on your website. Contribute has a complete list of current drafts for you to link to, and stores a list of the last ten pages you published on your website.

For more information about linking to a website page that is not a current draft or was not recently published, see Linking to a page on your website or on another website.

To create a link to a draft or recently published page on your website:

  1. In your draft, do one of the following to indicate where the link will appear:
    • Place the insertion point in the draft.
    • Select text in the draft.
    • Select an image in the draft.
  2. Do one of the following to open the Insert Link dialog box:
    • Click the Link button in the toolbar, then select Drafts and Recent Pages.
    • Select Insert > Link > Drafts and Recent Pages.
    • Right-click (Windows) or Control+click (Macintosh), then select Insert Link.

      • The Insert Link dialog box appears.

      Link to drafts options in the Insert Link dialog box

  3. Click Drafts and Recent Pages (Windows) or Drafts (Macintosh) at the top of the dialog box, if it’s not already selected.
  4. Enter link text in the Link text text box, if you did not select text or an image in your draft.

    5. This is the text a website visitor clicks to go to another page.

    Note: This text box is not available if you selected text or an image in the draft.

  5. In the Select a page to link to section, select a web page from the list of drafts and recently published pages.

    6. A preview of the page you select appears in the dialog box so that you can confirm that this is the file you want to link to.

  6. To set advanced options, do one of the following to expand the dialog box, then set the options you want.
    • In Windows, click the Advanced button
    • On the Macintosh, click the expander arrow in front of Advanced options

      • Note: For information about the advanced settings, see Setting the advanced linking options.

  7. Click OK.

    8. The link appears in your draft.


Linking to a new page

You can create a link to a new web page on your website--that is, you can create a link to a new page that Contribute creates at the same time that it creates the link.

Note: The new page appears on your website when you publish the draft with the link.

For example, suppose you are working on a page listing your products and need to create a link to a product page that doesn’t exist yet. Contribute lets you create the new page and link to it before you add content to the page.

The preferred way to add a new page to your website is to create a link and the new page at the same time, and then add content later. (The other way to add a new page to your website is to create the page first, then link it later. For more information, see Creating or copying a page on your website).

It’s a good idea to create a link to a new page at the same time you create the new page. This way, you don’t have to remember to link to the page later, and you ensure that users will be able to navigate to the page on your website.

To create a link to a new page:

  1. In your draft, do one of the following to indicate where the link will appear:
    • Place the insertion point in the draft.
    • Select text in the draft.
    • Select an image in the draft.
  2. Do one of the following to open the Insert Link dialog box:
    • Click the Link button in the toolbar, and then select Create New Page.
    • Select Insert > Link > Create New Page.
    • Right-click (Windows) or Control+click (Macintosh), then select Insert Link.

      • The Insert Link dialog box appears.

      Create Web Page options in the Insert Link dialog box

  3. Click the Create New Page button (Windows) or New Page button (Macintosh) at the top of the dialog box, if it is not already selected.

    4. The bottom half of the dialog box changes.

  4. Enter link text in the Link text text box, if you did not select text or an image in your draft.

    5. This is the text a website visitor clicks to go to another page.

    Note: This text box is not available if you selected text or an image in the draft.

  5. If you have multiple websites, and want to create the new page in a website other than the current one, select another website in the Create new page from section.

    6. Note: If you don’t have permission to edit files in the folder you select, then Contribute saves the new page in the first folder you can edit for that website. If you cannot edit any folders in the website, then you cannot create a new page for that website.

  6. In the Create new page from section, do one of the following:
    • Select Blank Web Page to create a blank page.
    • Select a page in the Sample Web Pages folder to create a copy of a preexisting sample page. You can use this page as a starting point for your web page. Samples include a Meeting Note, Contact Page, Home Page, Favorite Links Page, and sample image pages and text pages.
    • Select a page in the Templates folder to create a new page based on a Macromedia Dreamweaver template (see Help > Using Dreamweaver in Dreamweaver MX), or based on a page on your website that the website administrator designated as a template. A template provides a starting point for your page and can provide a consistent look across your website.

      • When you select a page type, a page preview and a description appear.

      Note: If your website administrator has restricted the types of new pages that you can create, then you might not see all of these options when you create a page. For more information, see your website administrator or see Setting permissions for new web pages.

  7. Enter a title for the new page in the New page title text box.

    8. This title appears in the browser title bar when a website visitor views the page; it does not appear on the page itself.

  8. To set advanced options, do one of the following to expand the dialog box, then set the options you want.
    • In Windows, click the Advanced button
    • On the Macintosh, click the expander arrow in front of Advanced options

      • Note: For information about the advanced settings, see Setting the advanced linking options.

  9. Click OK.

    10. Contribute adds the link to your draft, then opens the new page in the Contribute editor.

    Note: Contribute automatically saves the new page in the same folder as the draft that links to it (unless you selected another website in step 5). When you publish your draft, Contribute also publishes the new page. You can change the folder location for the new page then if you need to.

    Tip: To return to the page where you inserted the link, click its title in the Pages panel.


Linking to a page on your website or on another website

You can create a link on a page to another page on your website or on another website. Use this option to link to any web page that is not a draft or recently published page.

If you want to link to a page on your website that was recently published or is a draft, see Linking to a draft or recently published page on your website.

To create a link to a page on your website or on another website:

  1. In your draft, do one of the following to indicate where the link will appear:
    • Place the insertion point in the draft.
    • Select text in the draft.
    • Select an image in the draft.
  2. Do one of the following to open the Insert Link dialog box:
    • Click the Link button in the toolbar, then select Browse to Web Page.
    • Select Insert > Link > Browse to Web Page.
    • Right-click (Windows) or Control+click (Macintosh), then select Insert Link.

      • The Insert Link dialog box appears.

      Browse to Web Page options in the Insert Link dialog box

  3. Click the Browse to Web Page button (Windows) or Browse button (Macintosh) at the top of the dialog box, if it is not already selected.
  4. Enter link text in the Link text text box, if you did not select text or an image in your draft.

    5. This is the text a website visitor clicks to go to the new page.

    Note: This text box is not available if you selected text or an image in the draft.

  5. Beside the Web address (URL) text box, click the Browse button to find the page you want to link to, and then click OK to close the dialog box.

    6. Tip: You can also copy and paste the web address in the text box from another source. If you click the Browse button, in the dialog box, you can click the Choose button if you prefer to browse the file structure or need to select a file that isn’t linked.

    When you select a page, a preview appears in the dialog box so that you can confirm that this is the page you want to link to.

  6. To set advanced options, do one of the following to expand the dialog box, then set the options you want.
    • In Windows, click the Advanced button
    • On the Macintosh, click the expander arrow in front of Advanced options

      • Note: For information about the advanced settings, see Setting the advanced linking options.

  7. Click OK.

    8. Contribute adds the link to your draft.


Using the Browse to Link dialog box

Use the Browse to Link dialog box to find a page. The browser in this dialog box functions just as the Contribute browser does.

To use the Browse to Link dialog box to find a page:

  1. Click links in the current page, or type a web address (URL) in the Address text box. Then click Go to find a page.
  2. Click the Choose button in the toolbar if you prefer to view your website directory structure to find the page.

    3. When you click the Choose button, you can view only those pages that are on websites you’re connected to.

  3. Click the navigation buttons in the toolbar in the dialog box as necessary:

    4. Note: On Macintosh, the navigation icons do not have labels. If you need help identifying an icon, position the pointer over the icon to see a tooltip.

    Back returns to the previous page.

    Forward advances a page.

    Stop cancels the page download.

    Refresh updates your view of the page.

    Home Pages lets you select the home page of a website you’re connected to.

  4. Click OK to select the page you are viewing.


Linking to an e-mail address

You can create a link to an e-mail address. The link can be text or an image. When a website visitor clicks the link, Contribute creates a new message, with the e-mail address you specified, in the visitor’s default e-mail application.

For example, you might create the text link "Contact us about our new products!" When a visitor clicks the link, Contribute launches the visitor’s e-mail application and creates an e-mail message to the Sales department.

To create a link to an e-mail address:

  1. In your draft, do one of the following to indicate where the link will appear:
    • Place the insertion point in the draft.
    • Select text in the draft.
    • Select an image in the draft.
  2. Do one of the following to open the Link dialog box:
    • Click the Link button in the toolbar, and then select E-mail Address.
    • Select Insert > Link > E-mail Address.
    • Right-click (Windows) or Control+click (Macintosh), then select Insert Link.

      • The Insert Link dialog box appears.

      E-mail Address options in the Insert Link dialog box

  3. Click the E-mail Address button (Windows) or E-mail button (Macintosh) at the top of the dialog box, if it is not already selected.
  4. Enter link text in the Link text text box, if you did not select text or an image in your draft.

    5. This is the text a website visitor clicks to send an e-mail message.

    Note: This text box is not available if you selected text or an image in the draft.

  5. Enter the e-mail address in the E-mail address text box.
  6. Click OK.

    7. Contribute adds the link to the page.


Linking to a file on your computer

To add content that you have saved on your computer to your website, create a link on a page on your website to a file on your computer or network.

For example, you might link to a Word document saved on your hard drive or an HTML page saved on your desktop. This essentially adds a new page to your website, with the content contained in the file.

When you publish the page with the link, Contribute copies the file into your website, then links to that copy--not to the actual file on your computer--to create the new page on your website.

Note: To edit content in the linked page after you publish, see Editing content in an external application. Changes you make to the original file do not appear on your website.

You can use the Insert Link dialog box to insert a link to a file on your computer, or you can drag the file to your page (see Inserting a link to a Word or Excel document).

To create a link to a file on your computer using the Insert Link dialog box:

  1. In your draft, do one of the following to indicate where the link will appear:
    • Place the insertion point in the draft.
    • Select text in the draft.
    • Select an image in the draft.
  2. Do one of the following to open the Insert Link dialog box:
    • Click the Link button in the toolbar, then select File on My Computer.
    • Select Insert > Link > File on My Computer.
    • Right-click (Windows) or Control+click (Macintosh), then select Insert Link.

      • The Insert Link dialog box appears.

      File on My Computer options in the Insert Link dialog box

  3. Click the File on My Computer button (Windows) or File button (Macintosh) at the top of the dialog box, if it is not already selected.
  4. Enter link text in the Link text text box, if you did not select text or an image in your draft.

    5. This is the text a website visitor clicks to go to another page.

    Note: This text box is not available if you selected text or an image in the draft.

  5. Beside the File to link to text box, click the Browse button to find the file you want to link to, then click Select (Windows) or Choose (Macintosh) to close the dialog box.
  6. To set advanced options, do one of the following to expand the dialog box, then set the options you want.
    • In Windows, click the Advanced button
    • On Macintosh, click the expander arrow in front of Advanced options

      • Note: For information about the advanced settings, see Setting the advanced linking options.

  7. Click OK.

    8. Contribute copies the file to create a new page on your website. A link to the new page appears in your draft.


Linking to a document on your web server

When you publish a page that contains a linked document, for example, a page that links to a Microsoft document, Contribute copies the document from your desktop to your website. You can easily create links from other pages in your website to the document you copied to your website.

For information about inserting an image that is already in your website, see Using the Insert menu or Image button to add images to a page.

To link to a file in your website:

  1. In your draft, do one of the following to indicate where the link will appear:
    • Place the insertion point in the draft.
    • Select text in the draft.
    • Select an image in the draft.
  2. Do one of the following to open the Insert Link dialog box:
    • Click the Link button in the toolbar, then select Browse to Web Page.
    • Select Insert > Link > Browse to Web Page.

      • The Insert Link dialog box appears.

  3. Under Web address (URL), click the Browse button.

    4. Contribute opens the website home page in the Browse to Link dialog box.

    Browse to Link dialog box

  4. Click the Choose File on Website button.
  5. In the Choose File on Website dialog box, navigate to the file you want to link to.

    6. Tip: Contribute automatically saves a copy of documents you link to, in a folder named Documents on your website.

  6. Click the document to select it, and then click OK.
  7. In the File Download dialog box, click Open to open the page in the browser.
  8. In the Browse to Link dialog box, click OK.
  9. In the Insert Link dialog box, click OK.


Setting the advanced linking options

The Insert Link dialog box has three advanced linking options: editing the link’s URL, setting a target, and linking to a specific place on a page.

This section covers the following topics:

  • Editing the URL for a link
  • Setting a target for your page
  • Linking to a specific place in a page


Editing the URL for a link

If you are familiar with creating links in HTML, you can use Contribute to edit a link’s URL.

When you link to a web page on a website, the link’s URL appears in the Web Address text box and also the HREF text box in the Advanced section of the Insert Link dialog box. Use this HREF text box to alter the URL that Contribute places in the page’s HTML.

Note: If the page is new, you’ll see (new) appended to the end of the URL. Contribute removes (new) when you publish the new page.

The Web Address text box always shows the full URL, and the HREF text box shows the URL that’s written in the page’s HTML. The HREF might be a different, usually shorter, version of the URL.

To edit a link’s URL:

  1. In your draft, select an existing link.

    2. Note: To insert a link, see Creating text and image links.

  2. Do one of the following to open the Insert Link dialog box:
    • Select Insert > Link, then select a page type for the link from the pop-up menu.
    • Right-click (Windows) or Control+click (Macintosh), then select Link Properties.
    • Click the Link button in the toolbar, then select a page type for the link from the pop-up menu.

      • The Insert Link dialog box appears.

  3. Click the Advanced button (Windows) or the expander arrow (Macintosh) to expand the dialog box, if it is not already expanded.
  4. Change the web address (URL) in the HREF text box.
  5. Click OK.


Setting a target for your page

You can specify where a linked page opens by creating a target for the link. For example, you can have your linked document open in a new window instead of the current window.

If you create a link in a document with frames, you can indicate which frame, or target, displays the new content. For more information about creating targets for frames, see Specifying a target frame for a link.

Note: You cannot control where an e-mail link opens. When an e-mail link is clicked, the default e-mail application is automatically launched.

You can specify the target when you create the link (see Setting a target for a new link), or you can edit an existing link to change or add the target (see Setting a target for an existing link).


Setting a target for a new link

You can specify the target for a link when you create the link.

To create a new link with a target:

  1. In your draft, create a link (see Creating text and image links).
  2. In the Insert Link dialog box, click the Advanced button (Windows) or the expander arrow (Macintosh) to expand the dialog box, if it is not already expanded.
  3. Select a target from the pop-up menu:

    4. Default opens the linked document in the current window. If the page contains frames, the linked page opens in the frame that contains the link.

    Image shows where a new page opens when Default target is selected

    Entire window opens the linked document in the current window. If the page contains frames, the linked page fills the entire window, not just the frame that contains the link.

    Image shows where a new page opens when Entire window is selected

    New window opens the linked document in a new browser window, instead of the current window.

  4. Click OK.

    5. Contribute adds the link to your draft.


Setting a target for an existing link

You can edit an existing link to change or add the target.

To specify a target for an existing link:

  1. Browse to the page that contains the link you want to edit, then click the Edit Page button in the toolbar.
  2. Select the link, then right-click and select Link Properties.

    3. The Insert Link dialog box appears.

  3. Click the Advanced button (Windows) or the expander arrow (Macintosh) to expand the dialog box, if it is not already expanded.
  4. Select a target from the pop-up menu:

    5. Default opens the linked document in the current window. If the page contains frames, the linked page opens in the frame that contains the link.

    Entire window opens the linked document in the current window. If the page contains frames, the linked page fills the entire window, not just the frame that contains the link.

    New window opens the linked document in a new browser window, instead of the current window.

    Note: If the page you’re linking from was in a frame, a list of frame names appears here. if you choose a frame or type a frame name, the linked page appears in that frame when the website visitor clicks the link.

  5. Click OK.

    6. Contribute modifies the existing link with the target information.


Linking to a specific place in a page

You can place an invisible marker, called a section anchor, on your page to mark a specific topic or place. You can then create links to the anchor, which take website visitors to the specified position on the page with the anchor.

For example, you might add an anchor to the company address and phone number on the Company Information page. Then you might add a link with the text "Contact Us!" to your home page. When a website visitor clicks this link, the Company Information page opens to the address and phone number section. This way, the user does not need to search the Company Information page to find the contact information.

This section covers the following topics:

  • Adding a section anchor
  • Linking to a section anchor
  • Editing section anchors


Adding a section anchor

You can add a section anchor to a page, and then link to that anchor from the same page or from another page. For more information about section anchors, see Linking to a specific place in a page.

To link to a section anchor, see Linking to a section anchor. To edit a section anchor, see Editing section anchors. To make section anchors visible or invisible, see Setting invisible element preferences.

To add an anchor to a page:

  1. In your draft, place the insertion point at the beginning of the section where you want the page to open when a website visitor clicks the link.
  2. Select Insert > Section Anchor.

    3. The Section Anchor dialog box appears.

    Section Anchor dialog box

  3. Enter a name for your anchor.

    4. The name cannot begin with a number and cannot contain any spaces. You cannot have two anchors with the same name on a web page.

  4. Click OK.

    5. Contribute inserts an anchor marker in your draft.

    Image of a section anchor marker

    Note: If you have invisible elements turned off, Contribute turns invisible elements on so that you can see the anchor marker. To turn invisible elements off again, select Edit > Preferences, then select Invisible Elements.


Linking to a section anchor

You can link to a section anchor when you create the link, or you can edit an existing link to indicate or change a section anchor. For more information on section anchors, see Linking to a specific place in a page.

To add a section anchor to a page, see Adding a section anchor. To edit a section anchor, see Editing section anchors.

To link to a section anchor:

  1. In your draft, create a link (see Creating text and image links).
  2. In the Insert Link dialog box, click the Advanced button (Windows) or the expander arrow (Macintosh) to expand the dialog box, if it is not already expanded.
  3. Select a named anchor from the Section anchor pop-up menu.

    4. Note: All anchors in the page you are linking to appear in the list.

  4. Click OK.

    5. Contribute adds the link to your draft.

To indicate an anchor for an existing link:

  1. Browse to the page with the link you want to edit; then click the Edit Page button in the toolbar.
  2. Select the link, then right-click and select Link Properties.

    3. The Insert Link dialog box appears.

  3. Click the Advanced button (Windows) or the expander arrow (Macintosh) to expand the dialog box, if it is not already expanded.
  4. Select a named anchor from the Section anchor pop-up menu, or type an anchor name.

    5. All anchors in the page you are linking to appear in the list.

    Image shows the advanced linking options

  5. Click OK.

    6. Contribute modifies the existing link.


Editing section anchors

After you create a section anchor, you can change its name or delete it.

Note: If you edit a section anchor, links to that anchor will be broken until you fix the link on the page that links to the section anchor.

To add a section anchor to a page, see Adding a section anchor. To link to section anchor, see Linking to a section anchor.

To edit a section anchor name:

  1. In your draft, select the anchor, then do one of the following:
    • Double-click the section anchor.
    • Right-click, then select Anchor Properties from the pop-up menu.
    • Select Format > Anchor Properties.

      • The Edit Section Anchor dialog box appears.

      Edit Section Anchor dialog box

  2. Change the anchor name.
  3. Click OK.

To delete a section anchor:

  • In your draft, select the section anchor, then press Delete.


Editing links

You can change the text or destination of a link, remove it, or change its properties.

This section covers the following topics:

  • Changing link text and destination
  • Removing a link
  • Changing link properties


Changing link text and destination

After you insert a link, you can later change link text or change the page that the link opens.

To change link text:

  1. In your draft, select the link text you want to change.
  2. Type new text.

To change link destination:

  1. In your draft, select the link you want to edit, then right-click and select Link Properties from the pop-up menu.

    2. The Insert Link dialog box appears.

  2. If you want to change the type of page you link to, click a button at the top of the dialog box; otherwise, skip this step.
  3. Select or browse to a new file.
  4. Click OK.


Removing a link

After you insert a link, you can easily remove the link from your text or image.

To remove a link:

  1. Browse to the page with the link, then click the Edit Page button in the toolbar.
  2. Select the link you want to remove.
  3. Do one of the following:
    • Select Format > Remove Link.
    • Right-click (Windows) or Control+click (Macintosh), then select Remove Link from the pop-up menu.
    • Press Delete.

      • The link text or image in the draft is no longer a link.


Changing link properties

You can change any of the following link properties:

  • Link text (see Changing link text and destination)
  • Linked file, web page, or e-mail (see Changing link text and destination)
  • Web address (see Setting the advanced linking options)
  • Anchor (see Linking to a specific place in a page)
  • Target (see Setting a target for your page)

To change link properties:

  1. In your draft, select the link you want to edit.
  2. Do one of the following:
    • Select Format > Link Properties.
    • Right-click, then select Link Properties.

      • The Insert Link dialog box appears.

  3. Make changes as necessary, and then click OK.


Testing links

Contribute enables you to preview a temporary copy of a draft in a web browser. Use the Preview in Browser feature to test links and view content before you publish a draft.

To test a link:

  1. In your draft, select File > Preview in Browser.

    2. Your page appears in your default web browser.

  2. Click the links to make sure they open the correct pages (or launch your e-mail application).
  3. Close the browser preview to return to the draft you’re editing.
Previous


Working with Pages with Frames

Framesets divide a browser window into multiple frames or regions, each of which can display different content. You design pages with frames in an HTML design application, such as Macromedia Dreamweaver. You can edit pages with frames in Macromedia Contribute.

Note: For more information about creating pages with frames in Dreamweaver, see Dreamweaver Help (Help > Using Dreamweaver).

This chapter contains the following sections:

  • About frames
  • Editing frame content
  • Saving and publishing a page with frames
  • Targeting frame content
Next


About frames

A web page designed with frames displays different content in different regions of a web browser. This design is typically used to display content that doesn’t change, such as a navigation bar, in one area and content that changes in the main content area.

For example, a web page might have one narrow frame on the left side that contains navigation links, one frame along the top that contains the logo and title of the website, and one large frame that takes up the rest of the page and displays the main content.

Web page with three frames: title and logo frame, main content frame and navigation frame

A page that contains frames is called a frameset. A frameset is an individual file that defines the layout and properties of all the frames on a page, including the number of frames, the size and placement of the frames, and the web address (URL) of the page that initially appears in each frame.

A frame is an organizational element of a frameset page. It’s easy to think of the page that’s currently displayed in a frame as an integral part of the frame, but each frame is just a container for a page. Pages that initially load in the frames are referenced by the frameset, but any page can be loaded in a frame.

The content that appears in each frame is saved in separate files. A page with three frames--navigation, logo, and main content--actually has four files: the frameset and three web pages, one for each frame. When a website visitor clicks a link in one frame, a new page can be loaded in another frame. There can be a different page for each link in a frame.

A frame can load pages from the same or different websites. So you might be able to edit content in some, but not all, frames.


Editing frame content

When you browse to a page with frames, you can use Contribute to change content in any of the frames, as long as you have permission. For more information about frames and framesets, see About frames.

To edit content in a frame:

  1. Browse to the page with frames that you want to edit, and then click the Edit Page button.

    2. The Select a Page to Edit dialog box appears, with a list of page titles and web addresses (URLs) for the frame pages.

  2. Select the frame you want to edit.

    3. When you select a frame, a border appears around that frame in the Contribute editor.

    Select a Frame dialog box and selection indicator in the draft

    Note: A lock icon appears beside the page name if you can’t edit it. The lock means that you do not have permission to edit that frame’s content or that another user is currently editing the page.

  3. Click OK.

    4. The page for the frame you selected appears in Contribute without the other frames.

  4. Make edits as you normally would.
  5. When you are ready to publish, see Saving and publishing a page with frames.


Saving and publishing a page with frames

A frameset is made up of individual web pages. When you edit a page that appears in a frame, you alter only the page you edit--not the frameset. Publishing a page that appears in a frameset is the same as publishing a page that isn’t in a frameset. Because you do not actually alter the frameset page, you do not need to publish it.

When you finish editing a frame page (see Editing frame content), you have the following options before you publish the page:

  • Click the Cancel button in the toolbar (see Canceling a draft or new page).

    • The individual frame in the frameset appears in Contribute without your changes. Click the Back button in the toolbar to return to the frameset page.

  • Select File > Preview in Browser (see Previewing a page in your default browser).

    • The individual frame showing your changes appears in a browser.

  • Select File > E-mail Review (see Using the e-mail review process for drafts).

    • Contribute sends the URL for a temporary copy of the individual frame. The frameset appears in Contribute without your changes.

To publish a page that appears in a frame:

  • In your draft, click the Publish button (see Publishing a page to your website).

    • Contribute displays the frameset with the updated page loaded in the correct frame.

    Note: If you publish changes to a frameset that is nested (a frameset within a frameset), then the child nested frameset that you changed appears in Contribute. If there are multiple nested framesets, only the first frameset containing the edited page appears.


Targeting frame content

In addition to editing a frame’s content, you can change the content that appears in a frame by creating links in one frame that open different pages in another frame (see Specifying a target frame for a link). For more information about targeting a frame, see About targeting a frame.


About targeting a frame

To use a link in one frame to open a new page in another frame, you must set a target for the link. Selecting a frame in which to open a page is called targeting a frame.

Each link in a frameset should have a target--a frame in which to open the page when the user clicks the link. For example, the main frame might be the target for multiple links, so that the content of the main frame changes each time the user clicks a link in the navigation frame.

Note: If you don’t specify a target for a link, Contribute uses the Default option and opens the new page in the frame that contains the link.

When you add a link to a page in a frameset, you can indicate a target frame for the page you’re linking to. The frameset designer should have given each frame a name so that you can select specific frames as targets. You can also change the target after you’ve inserted the link by editing the link properties (see Editing links).


Specifying a target frame for a link

You can specify a target frame for a link. For more information about targeting a frame, see About targeting a frame.

To insert a link and select a target frame for the linked page:

  1. Browse to the page with frames that you want to edit, then click the Edit Page button.

    2. The Choose a Page to Edit dialog box appears.

  2. Select the frame in which you want to add a link that will open a new page in another frame, and click OK.

    3. The page for the frame you selected appears in Contribute.

  3. Place the insertion point in your draft where you want the link to appear or select text or an image.
  4. Do one of the following:
    • Select Insert > Link, then select a type of page from the pop-up menu.
    • Click the Link button in the toolbar, then select a type of page from the pop-up menu.

      • The Insert Link dialog box appears.

  5. Complete the dialog box.

    6. The options in the dialog box vary according to the type of page you are linking to.

    Note: For more information on completing the dialog box, see Creating text and image links.

  6. In the Insert Link dialog box, click the Advanced button to expand the dialog box, if it is not already expanded.
  7. In the Target frame pop-up menu, select the frame where you want the linked page to open. You can either enter a custom-named frame in the Target frame text box (which opens the page in that frame) or select one of the following frame targets:

    8. Default opens the page in the same frame as the current page.

    Entire Window replaces the frameset with the page.

    New Window opens the page in a new browser window.

  8. Click OK.

    9. The link appears in your draft.

    Note: If you created a link to a new page, then the new page draft appears and you need to return to the draft where you added the link.

  9. Click Publish.

    10. The frame page appears, with updated content in the frame you edited.
Previous


Publishing Your Page

Publishing a draft makes it live on your website, so that your website visitors can view the page.

Before you publish your draft, you can preview it in your browser. You can also make the draft available to others for review, to get approval or feedback, before you publish the draft. If you decide not to publish your draft, you can cancel it, leaving the published version of the page as is.

If the draft you’re publishing was already on your website, Macromedia Contribute replaces the existing page with your updated version. You can also make updates to an existing page, and then publish it as a new page without altering the original page.

If the draft you’re publishing is a new page that was not on your website, Contribute adds it to your website. For new pages, Contribute asks you to name the file for the page before you publish. You need to use a filename that doesn’t include any spaces or special characters.

After you publish a draft, if you realize that you need to unpublish the draft, don’t worry--you can revert to a previous version of the page, if your website administrator has enabled the Page Rollback feature.

This chapter contains the following sections:

  • Previewing a page in your default browser
  • Using the e-mail review process for drafts
  • Publishing a page to your website
  • Rolling back to a previous version of a page
Next


Previewing a page in your default browser

When you edit a draft in Contribute you can easily view your changes in a browser at any time, to ensure that your changes appear as you intend in the browser. Previewing your page also gives you an opportunity to test your links before you publish the page.

Tip: You can view the source code for a page when you preview it in the browser.

To preview a page in your browser, do one of the following:

  • Select File > Preview in Browser.
  • Press the F12 key.


Using the e-mail review process for drafts

Before you publish your draft, you can make the draft available for others to review--even if they don’t have Contribute or Macromedia Dreamweaver MX. Use the Contribute e-mail review process to share your draft with others before you publish it.

Note: On the Macintosh, Contribute works with the following default e-mail applications: Mail, Eudora, and Entourage.

To learn more about how e-mail review works, see Understanding the e-mail review process. To use the e-mail review process, see Making your draft available for review.


Understanding the e-mail review process

When you use the e-mail review process, Contribute uses your default e-mail application to create a message containing a web address where reviewers can see a temporary copy of your draft. Contribute automatically creates the temporary copy on the same server where you publish your website. The recipient clicks the web address (URL) link in the e-mail message to view your draft.

Note: If the page to be reviewed is in a frameset, the web address is for the single page that you edited, not the entire frameset.

When you send an e-mail review request, Contribute displays a message under the toolbar to alert you that you sent the draft for review; the message includes the date you sent the review request. You can then save the draft for later, until you get feedback from your reviewer.

After reviewing your draft, the reviewer can send you feedback by e-mail. The reviewer cannot edit the review draft. You can make changes to your draft and then publish the draft, or request another review. When you cancel or publish the draft, Contribute removes the temporary copy of the draft that it placed on the server for the reviewer.

The diagram shows the e-mail review process.

E-mail review process


Making your draft available for review

When you are ready to have others review your draft, you can send a request for review and make the draft available online. For more information about the e-mail review process, see Understanding the e-mail review process.

Note: On the Macintosh, Contribute works with the following default e-mail applications: Mail, Eudora, and Entourage.

To use the e-mail review process:

  1. In your draft, select File > E-mail Review.

    2. Contribute creates a new e-mail message in your default e-mail application.

    Note: If Contribute does not find a default e-mail application or cannot launch your e-mail application, you can create the e-mail message by clicking the Click here link in the message area under the toolbar. Copy the web address (URL) for the draft that appears in the browser window and paste the address in an e-mail message to send to reviewers.

  2. In the message’s To text box, enter the reviewer’s e-mail address.
  3. In the body of the message, add a message if you want.

    4. Contribute includes a message with the web address of the temporary copy of the draft.

  4. Send the e-mail message.
  5. In Contribute, work on another draft or switch to the Contribute browser until you receive feedback from the reviewer.
  6. When you receive feedback from the reviewer, click the draft title in the Pages panel to return to the draft and update it.

    7. Note: When you cancel or publish the draft, Contribute removes the temporary copy of the draft that it placed on the server for the reviewer.


Publishing a page to your website

After you finish editing and reviewing a draft, you are ready to publish it to your website. When you publish a draft, Contribute makes it live on your website--and, if the page was previously published, Contribute replaces the existing page with the updated page.

You can publish any of the following types of pages to your website:

  • Updates to an existing page
  • New page, not previously published
  • Existing page as a new page


Publishing updates to an existing page

When you publish updates to an existing page, Contribute replaces the currently published version of the page on your website with the new version.

When Contribute publishes your draft, it also publishes any new pages that your draft links to (but not pages that link to your draft). Contribute prompts you to name any linked pages that haven’t been published before. Publishing all new pages that are linked from the draft helps ensure that you do not have broken links in your website.

Note: If you need to replace an existing page on your website with a page with the same filename, delete the existing page on your website (see Deleting a web page), then publish the replacement page. If you do not have permission to delete pages, contact your website administrator.

To publish updates to an existing page:

  1. In your draft, click the Publish button in the toolbar.

    2. If the draft does not contain links to any new, unpublished pages, then Contribute publishes the draft.

    If the draft contains links to any new pages, then the Publish New Linked Pages dialog box appears.

    Publish New Linked Pages dialog box

  2. For each unpublished linked page, click the page name to select it, change the filename and folder location if you want, and then click Publish All.

    3. The filename appears at the end of the web address for the web page. The web address is the location where Contribute saves the page on your website.

    Contribute publishes the draft (and any new pages it links to) to your website, and then displays it in the Contribute browser.


Publishing a new page

When you publish a new page to your website, Contribute asks you to name the file for the page and any new pages that the page links to. Then Contribute publishes the new page, and any pages that the new page links to, on your website. Publishing all pages that are linked from the new page helps ensure that you do not have broken links on your website.

If you haven’t added a link on an existing page to your new page, website visitors won’t be able to view the page. Remember to go to an existing web page before (or just after) you publish a new page and add a link to the new page (see Linking to a draft or recently published page on your website).

Tip: You can create a link to the page at the same time that you create the page. For more information, see Linking to a new page.

To publish a new page:

  1. In the new page you’re editing, click the Publish button in the toolbar.

    2. The Publish New Page dialog box appears.

    Publish New Dialog box

  2. Change the filename, if you want.

    3. The filename appears at the end of the web address for the page.

  3. Click the Choose Folder button beside the filename if you want to save this page in another location on your website.

    4. Note: The current folder location appears in the web address under the filename.

  4. Click Publish or Next.

    5. If your page does not link to any new pages, Contribute publishes the new page to your website, and then displays it in the Contribute browser.

    Note: Contribute warns you if you have not linked the new page from an existing page. After you publish the new page, be sure to create a link to it (see Linking to a draft or recently published page on your website).

    If your page links to any new pages, the Publish Linked New Files dialog box appears.

  5. For each unpublished linked page (click the page name to select it), change the filename and folder location if you want, then click Publish All.

    6. The filename appears at the end of the web address for the web page. The web address is the location where Contribute saves the page on your website.


Publishing an existing page as a new page

Contribute enables you to update an existing page, then publish it as a new page without overwriting the original page. This feature is similar to the Save as feature in other applications.

For example, suppose you open the product page for men’s cargo pants and start updating the page with information about women’s cargo pants. Then you realize that you forgot to make a copy of the existing page before you made edits. As long as you don’t click Publish, the original page is unchanged. Use the Publish as New Page feature to publish the modified page as a new page on your website.

This is possible because when you click Edit Page for an existing page, Contribute creates a copy of the page (known as a draft) for you to edit. Saving changes to the draft does not alter the page on your website.

To publish an existing page as a new page:

  1. Browse to an existing page, then click the Edit Page button.
  2. Make changes to the draft.
  3. Select File > Publish as New Page.

    4. Note: Contribute warns you if have not linked the new page from an existing page. After you publish the new page, be sure to create a link to it (see Linking to a draft or recently published page on your website).

    The Publish as New Page dialog box appears.

    Publish as New Page dialog box

  4. Change the page title for the draft, if you want.

    5. The page title appears in the title bar of the browser when a visitor views the page; it does not appear in the page itself.

  5. Change the filename for the draft, if you want.

    6. The filename appears at the end of the web address for the web page.

    Note: Contribute automatically saves the file with the same name as the page title.

  6. Click the Choose Folder button beside the filename to save this draft in another location on your website, if you want.

    7. Note: The current folder location appears in the web address under the filename.

  7. Click Publish or Next.

    8. If your draft does not link to any new pages, Contribute publishes the draft to your website, then displays it in the Contribute browser.

    If your page links to any new pages, the Publish Linked New Files dialog box appears.

  8. For each unpublished linked page (click the page name to select it), change the filename and folder location if you want, then click Publish All.

    9. The filename appears at the end of the web address for the web page. The web address is the location where Contribute saves the page on your website.


Completing the Page Modified warning

This warning appears when you try to publish a page that has changed on your website since you started editing. The page could have been modified by another user.

To complete the Page Modified warning:

  1. Select one of the following options:
    • Publish your draft as a new page.
When you select this option, Contribute publishes the page on your website, but leaves the current published version of the page unchanged. This means that there will be two versions of this page on your website. For more information, see Publishing an existing page as a new page.
  • Publish your draft, overwriting the changes the other person made.
When you select this option, Contribute replaces the current published version of this page on your website with this version of the page. This means that any changes made by another user while you were editing this page will be lost.
  1. Click OK to publish the page, or click Cancel if you do not want to publish the page.


Rolling back to a previous version of a page

To provide an extra degree of safety in publishing, Contribute enables you to use the page Rollback feature to undo any page you publish.

Note: The Rollback feature is not available if your website administrator has disabled it.

For more information, see About rollbacks. For information about using the feature to roll back a page, see Using the page Rollback feature.


About rollbacks

You can use the Rollback feature to revert to a previous version of any published page. You do not have to roll back to the last published version; you can select any version that Contribute has saved as a rollback file.

When you roll back to a previous version of a page, Contribute reverts to the previous text contained in the version of the page you select. However, any assets imported into the page may or may not be recovered. For example, suppose you update an image file outside of Contribute, then replace the original image with another image using the same filename. In this case, Contribute cannot roll back to the previous version of the image because Contribute does not manage assets outside the web pages it creates.

Contribute does, however, maintain the older version of an image if you use Contribute to edit the image in an external application. Contribute considers images, Microsoft Word documents, and other content that you edit in an external application as assets. You can roll back assets that you’ve edited through Contribute the same way that you roll back pages.

For example, suppose you roll back from version C of a page to version A, and you used Contribute to edit an image in version B. When you roll back to version A, you will not see the current version of the image. You need to also roll back the image, independently of the page rollback.

To use the page Rollback feature, see Using the page Rollback feature.


Using the page Rollback feature

You can use the page Rollback feature to revert to a previous version of a published page. For more information, see About rollbacks.

Note: The Rollback feature is not available if your website administrator has disabled it. For more information, see your website administrator or see Enabling and disabling rollbacks.

To roll back to a previous version of a page or asset:

  1. Browse to the page that you want to roll back.
  2. Select File > Roll Back to Previous Version.

    3. The Roll Back Page dialog box appears.

    Roll Back Page dialog box

  3. Select a previous version of the published page from the list of available pages.

    4. Note: The list of previously published pages displays up to 99 previous versions of the page, depending on the setting your website administrator chooses.

    Contribute displays the page in the Preview section.

  4. If the page you selected is the one you want to publish, click the Roll Back button. If the page is not the one you want to publish, select another page from the list, then click Roll Back.

    5. Contribute replaces the currently published version of the page with the previously published version that you selected. The version you selected becomes the current version on the website.

    Note: The page you replace with the selected rollback page appears in the Roll Back Page dialog box the next time you open the dialog box so you can roll back to that version if you need to.
Previous


Windows Keyboard shortcuts

The following sections contain tables listing the Windows operating system keyboard shortcuts for Macromedia Contribute.
Next


File menu

The following table lists the keyboard shortcuts for performing File menu actions in Contribute.

Action | Shortcut
Create a new page | Control+N
Edit page | Control+Shift+E
Publish | Control+Shift+P
Save without publishing | Control+S
Save for later | Control+Shift+L
Preview in browser | F12
Print | Control+P
Exit/Quit | Control+Q


Edit menu

The following table lists the keyboard shortcuts for performing Edit menu actions in Contribute

Action | Shortcut
Undo | Control+Z
Redo | Control+Y
Cut | Control+X
Copy | Control+C
Paste | Control+V
Paste as text | Control+Shift+V
Clear | Delete
Select all | Control+A
Find | Control+F


View menu

The following table lists the keyboard shortcuts for performing View menu actions in Contribute.

Action | Shortcut
Open or close sidebar | F4
Open the browser | Control+Shift+B
Back | Alt+Left
Forward | Alt+Right
Refresh browser | F5
Go to web address | Control+O
Choose file on website | Control+Shift+O


Insert menu

The following table lists the keyboard shortcuts for performing Insert menu actions in Contribute.

Action | Shortcut
Insert an image from your computer | Control+Alt+I
Insert table | Control+Alt+T
Insert link | Control+Alt+L
Insert a section anchor | Control+Alt+A
Add a line break | Shift+Enter
Add a non-breaking space | Control+Shift+Space


Format menu

The following table lists the keyboard shortcuts for performing Format menu actions in Contribute.

Action | Shortcut
Check spelling | F7
Make selected text bold | Control+B
Make selected text italic | Control+I
Underline selected text | Control+U
Set left alignment | Control+Alt+Shift+L
Set center alignment | Control+Alt+Shift+C
Set right alignment | Control+Alt+Shift+R
Set justified alignment | Control+Alt+Shift+J
Indent a paragraph | Control+Alt+]
Outdent a paragraph | Control+Alt+[
Add a keyword or description | Control+Alt+K
Set page properties | Control+J


Table menu

The following table lists the keyboard shortcuts for performing Table menu actions in Contribute.

Action | Shortcut
Select table | Control+T
Insert a table | Control+Alt+T
Merge selected cells | Control+Alt+M
Split selected cell | Control+Alt+S
Insert a row | Control+M
Insert a column | Control+Shift+A
Show table properties | Control+Shift+T


Working in templates

The following table lists the keyboard shortcuts for navigating template regions.

Action | Shortcut
Move to the next editable region | Control+Alt+E
Move to the previous editable region | Control+Shift+Alt+E


Editing text

The following table lists the keyboard shortcuts for editing text in Contribute.

Action | Shortcut
Create a new paragraph | Enter
Insert a line break <BR> | Shift+Enter
Insert a space | Spacebar
Insert a non-breaking space | Control+Shift+Space
Move text or object to another place in the page | Drag selected item to new location
Select a word | Double-click the word
Select a paragraph | Triple-click a word in the paragraph
Indent paragraph | Control+Alt+]
Outdent paragraph | Control+Alt+[
Align left | Control+Shift+Alt+L
Align center | Control+Shift+Alt+C
Align right | Control+Shift+Alt+R


Working in tables

The following table lists the keyboard shortcuts for performing table actions in Contribute.

Action | Shortcut
Select cell (with insertion point inside the cell) | Control+A
Move to the next cell | Tab
Move to the previous cell | Shift+Tab
Insert a row (above current) | Control+M
Add a row at end of table | Tab in the last cell
Insert a column | Control+Shift+A
Merge selected table cells | Control+Alt+M
Split table cell | Control+Alt+S


Working with images]

The following table lists the keyboard shortcuts for performing image actions in Contribute.

Action | Shortcut
Insert an image | Control+Alt+I
Change image properties | Double-click image


Getting help

The following table lists the keyboard shortcuts for accessing the online help system in Contribute.

Action | Shortcut
Open online help | F1
Open the Start Page | Alt+Home
Previous


Macintosh Keyboard shortcuts

The following sections contain tables listing the Macintosh operating system keyboard shortcuts for Macromedia Contribute.
Next


File menu

The following table lists the keyboard shortcuts for performing File menu actions in Contribute.

Action | Shortcut
Create a new page | Command+N
Edit page | Command+Shift+E
Publish | Command+Shift+P
Save without publishing | Command+S
Save for later | Command+Shift+L
Print | Command+P
Exit/Quit | Command+Q


Edit menu

The following table lists the keyboard shortcuts for performing Edit menu actions in Contribute.

Action | Shortcut
Undo | Command+Z
Redo | Command+Y
Cut | Command+X
Copy | Command+C
Paste | Command+V
Paste as text | Command+Shift+V
Clear | Delete
Select all | Command+A
Find | Command+F


View menu

The following table lists the keyboard shortcuts for performing View menu actions in Contribute.

Action | Shortcut
Open the browser | Command+Shift+B
Back | Option+Left
Forward | Option+Right
Refresh browser | Command+R
Go to web address | Command+O
Choose file on website | Command+Shift+O


Insert menu

The following table lists the keyboard shortcuts for performing Insert menu actions in Contribute.

Action | Shortcut
Insert an image from your computer | Command+Option+I
Insert table | Command+Option+T
Insert link | Command+Option+L
Insert a section anchor | Command+Option+A
Add a line break | Shift+Return
Add a non-breaking space | Command+Shift+Space


Format menu

The following table lists the keyboard shortcuts for performing Format menu actions in Contribute.

Action | Shortcut
Make selected text bold | Command+B
Make selected text italic | Command+I
Underline selected text | Command+U
Set left alignment | Command+Option+Shift+L
Set center alignment | Command+Option+Shift+C
Set right alignment | Command+Option+Shift+R
Set justified alignment | Command+Option+Shift+J
Indent a paragraph | Command+Option+]
Outdent a paragraph | Command+Option+[
Add a keyword or description | Command+Option+K
Set page properties | Command+J


Table menu

The following table lists the keyboard shortcuts for performing Table menu actions in Contribute.

Action | Shortcut
Select table | Command+T
Insert a table | Command+Option+T
Merge selected cells | Command+Option+M
Split selected cell | Command+Option+S
Insert a row | Command+M
Insert a column | Command+Shift+A
Show table properties | Command+Shift+T


Help menu

The following table lists the keyboard shortcut for accessing the Contribute Start page.

Action | Shortcut
Open the Start Page | Option+Home


Working in templates

The following table lists the keyboard shortcuts for navigating template regions.

Action | Shortcut
Move to the next editable region | Command+Option+E
Move to the previous editable region | Command+Shift+Option+E


Editing text

The following table lists the keyboard shortcuts for editing text in Contribute.

Action | Shortcut
Create a new paragraph | Enter
Insert a line break <BR> | Shift+Enter
Insert a space | Spacebar
Insert a non-breaking space | Command+Shift+Space
Move text or object to another place in the page | Drag selected item to new location
Select a word | Double-click the word
Select a paragraph | Triple-click a word in the paragraph
Indent paragraph | Command+Option+]
Outdent paragraph | Command+Option+[
Align left | Command+Shift+Option+L
Align center | Command+Shift+Option+C
Align right | Command+Shift+Option+R


Working in tables

The following table lists the keyboard shortcuts for performing table actions in Contribute.

Action | Shortcut
Select cell (with insertion point inside the cell) | Command+A
Move to the next cell | Tab
Move to the previous cell | Shift+Tab
Insert a row (before current) | Command+M
Add a row at end of table | Tab in the last cell
Insert a column | Command+Shift+A
Merge selected table cells | Command+Option+M
Split table cell | Command+Option+S


Working with images

The following table lists the keyboard shortcuts for performing image actions in Contribute.

Action | Shortcut
Insert an image | Command+Option+I
Change image properties | Double-click image
Previous


Administering Contribute

Learn how to configure Contribute to work with your organization’s websites, create and distribute site connections for users, help contributors get started using Contribute, and manage the website’s settings and user permissions.

This part contains the following chapters:


Learning to Administer Contribute

Macromedia Contribute lets content contributors create new web pages, edit existing pages, and publish content without having to learn complicated authoring tools or HTML coding.

This part describes how to configure Contribute to work with your organization’s websites, and how to help contributors to your websites get started using Contribute.

This chapter contains the following sections:

  • Intended audience
  • Typographical conventions
  • Learning to administer Macromedia Contribute
Next


Intended audience

This information is intended for:

  • Information technology (IT) staff responsible for maintaining your organization’s website and web servers
  • Independent users who want to use Contribute to manage their personal websites
  • Web professionals responsible for maintaining website content and appearance

If you will be responsible for deploying and administrating Contribute for your organization, you should be familiar with the setup and administration of websites and web servers, user permissions on the server hosting your website, and web page markup languages such as HTML and Cascading Style Sheets (CSS).

This information is also intended for users of Macromedia Dreamweaver who are responsible for overseeing the design and implementation of the website. Using Dreamweaver, these users can manage Contribute websites and create web page templates for use by Contribute users.


Typographical conventions

The following typographical conventions are used in the Contribute resources:

  • Menu commands are shown in this format: Menu name > Menu command. Commands in submenus are shown in this format: Menu name > Submenu name > Menu command.
  • Code font indicates HTML tag and attribute names as well as literal text used in examples.
  • Italic code font indicates replaceable items (sometimes called metasymbols) in code.
  • Bold roman text indicates menu selections, option names, button and icon names, and text for you to enter verbatim.


Learning to administer Macromedia Contribute

Contribute includes a variety of media resources to help you learn the program quickly. These resources include an online help system, a tutorial, a printed Quick Start guide, and the How Do I reference panel.

As an administrator, you have resources available to learn about Contribute. These resources are described in the following sections:

  • Contribute Quick Start
  • Contribute How Do I panel
  • Contribute Tutorial
  • Contribute Help
  • Contribute Support Center


Contribute Quick Start

The Contribute Quick Start guide helps you get started with Contribute. The guide provides instructions on installing Contribute, connecting to your website, and completing common Contribute tasks. Use this guide to learn the basics.

The Quick Start is a printed guide included with Contribute. You can also select Help > Quick Start Guide to access the guide.


Contribute Tutorial

The Contribute tutorial guides you through representative Contribute tasks, step by step. As you complete the tutorial, you’ll update the web pages of a sample website and quickly become familiar with Contribute features.

A link to information about the tutorial appears on the Start page when you first launch Contribute. The tutorial is available in the How Do I panel in the sidebar. Click the Contribute Tutorial link to start the tutorial.

When you install Contribute, the sample website for the tutorial is copied to your computer at: c:\\documents and settings\yourname\Application Data\Macromedia\Contribute\Content\Tutorial.


Contribute Help

The online help system has two sections: Using Contribute, for Contribute users, and Administering Contribute, for Contribute website administrators.

Contribute Help provides comprehensive information about all Contribute features, optimized for online reading. Contribute Help appears in the help viewer provided by your operating system: Microsoft HTML Help (Windows) or Help Viewer (Macintosh).

To use Contribute Help:

  1. Select Help > Macromedia Contribute Help or click the Help button in any dialog box for information specific to that dialog box.
  2. Use any of these features to find information in the help system:
    • Use the table of contents to see all the information organized by subject. Click top-level entries to view subtopics.
    • Use the index to look up specific terms or concepts. It is organized like a traditional book index.
    • Use the search feature to find instances of a term or topic. Type any character string in the Search text box to find that text anywhere in the help system.
    • Use the Previous and Next arrows to move through the topics in a section.


Contribute Support Center

The Contribute Support Center website is updated regularly with the latest information on Contribute, plus examples, tips, TechNotes, and other updates.
Previous


Contribute Administration Overview

Macromedia Contribute introduces a new model for website management and collaboration software. In this model, a website administrator is responsible for managing the website and controlling who has access to it, and contributors (also known as users) are responsible for providing and updating website content. Each contributor is a member of a group of users, known as a permission group, that has access to specified parts of the website.

This chapter contains the following sections:

  • About the Contribute website-editing model
  • Setting up Contribute
  • About the shared settings file
Next


About the Contribute website-editing model

Contribute is designed to be used in an environment where a system administrator or other web professional is responsible for managing and maintaining an organization’s website, and where groups of users need to publish information on the website.

Organizations often need to update information on both their external (publicly accessible) websites and their internal (intranet) websites. In the traditional model of website maintenance, this information is usually updated only by web professionals who understand HTML and other web-authoring languages. Using Contribute, people with little or no knowledge of web authoring languages can easily update web pages.

As a Contribute website administrator, you are responsible for determining who can connect to your website, creating connections to websites for users, and specifying which web page elements each group of users can modify.


Setting up Contribute

Your first tasks as an administrator for a Contribute website are to set up a connection to your website, create permission groups, set editing permissions for each group you create, and distribute a connection key that allows users to easily connect to your website.

To deploy Contribute:

  1. Install Contribute on your computer.
  2. Create a connection to your website. (See Creating and Managing Website Connections.)
  3. Decide who in your organization needs to be able to update the website’s content.
  4. Create groups of users, called permission groups, and specify what the members of each group can do. (See Managing User Settings and Permissions.)

    5. Depending on your organization’s needs, you may need to create only a single permission group; or you may need to create several groups, giving each group permission to edit a specific section of the website or to make certain kinds of changes. For example, you can give one group permission to edit only text, another group the ability to update image files, and so on.

  5. Distribute website connection keys to users. (See Sharing Website Connections.)

    6. A website connection key is a file that contains the network information a user needs to connect to the website using Contribute. These files are password encrypted so that you can safely distribute them without fear of their being misused. The website connection key is not required (because users can instead enter connection information by hand using the Connection Wizard), but the key makes it easier for a user to connect to the website and keeps connection information private.

  6. Verify that the users are able to connect to the website, and can modify and update web pages as required. If you encounter any difficulties in getting users connected, see Troubleshooting.


About the shared settings file

Contribute installs a file called a shared website administration settings file or shared settings file when a user becomes a website administrator. A different shared settings file is created for each website an administrator creates a connection to. The shared settings file contains information about each permission group defined within a website.

Storing the group settings on the website’s server makes it possible for you to change the permissions associated with a particular group without having to send new connection information to the group members.


Modifying shared settings

Contribute places the shared settings file in a folder labeled _mm at the root of the website connection you define. Do not manually alter the shared settings file using a text editor. You should always configure a website’s settings using the administrative controls in either Contribute or Dreamweaver. For more information, see Managing User Settings and Permissions.


Rollback files

Contribute lets you maintain copies of previously published files on your organization’s web server. These files, called rollback files, let users go back to previous versions if something goes wrong with the page they’re editing. The rollback files are stored in folders named _baks; each folder of your website contains a _baks subfolder containing previous versions of the files in that folder.

Note: Do not delete _baks folders, or any of the files they contain.

By default, Contribute maintains three versions of rollback files. If you don’t want rollback files to be created, you can disable the rollback capability for a website. For more information, see Enabling and disabling rollbacks.


Securing Contribute administrator folders

Special files created by Contribute are stored in folders whose names start with an underscore (such as _mm and _baks).

To enhance the security of your website, make sure that your web server is configured to prevent visitors from viewing these files. By default, most web servers allow visitors to view such files.

If you are using an Apache web server, you can explicitly disable the browsing of folders and files that begin with an underscore. If you know how to modify the httpd.conf file on your Apache server and have permission to do so, you can use a DirectoryMatch directive like the following to prevent visitors from viewing any file in a folder beginning with an underscore:

<DirectoryMatch ''/_.*''>
  Order Deny,Allow
  Deny from All
</DirectoryMatch>

If you’re not sure how to edit the httpd.conf file, or you don’t have permission to do so, ask your system administrator or ISP to do it for you. To learn more about limiting access to files and folders, and other security issues relevant to the Apache web server, see the documentation supplied with your Apache distribution.
Previous


Creating and Managing Website Connections

After you have installed Macromedia Contribute, you must create a connection to a website before you can begin to edit its pages or create new ones.

This chapter describes how to use the Contribute Connection Wizard (Windows) or Connection Assistant (Macintosh) to create a connection. It also describes how to set sitewide settings for a website, and how to rename and remove website connections after you set them up.

After you’ve created the website connection, you can create permission groups (see Managing User Settings and Permissions), and then export your connection information into a file, called a connection key, that you can e-mail to users (see Sharing Website Connections).

This chapter contains the following sections:

  • Preparing to connect to a website
  • Creating a Contribute website connection
  • Becoming an administrator of an existing Contribute website
  • About the Administer Website dialog box
  • Configuring sitewide settings
  • About advanced sitewide settings
  • Managing website connections
  • Managing Contribute sites using Dreamweaver MX
Next


Preparing to connect to a website

Before you begin, gather the following information:

  • Your user name and e-mail address

    • The user name and e-mail address identify users and the web pages they are working on. Contribute prevents multiple users from simultaneously editing the same web page. (Contribute uses a system much like the Macromedia Dreamweaver check in/check out system to avoid editing conflicts.)

    Tip: If you have multiple copies of Contribute, use a different user name for each copy. For example, Chris(laptop), and Chris(Mac). Using the same user name can cause problems because you can override checkouts you make on the other machine.

  • Web address (URL) of the website

    • A website’s Uniform Resource Locator (URL) is its address either on the Internet or on an organization’s intranet. Website URLs usually have the following form:

    http://www.mysite.com/

  • Network path to the website (for connecting to local networks)

    • The network path is the location of the website within your organization’s local network. The network path includes the name of the server on which the website is stored and the directory path of the website’s files on that server. For example, your network path might be \\mycomputer\wwwroot\ (Windows) or afp://server:volume: (Macintosh).

    Note: If you are a Mac OS X user, to create a LAN connection make sure to mount the network volume of the server you are creating a connection to on your computer desktop before you create your connection. In Finder, select Go > Connect to Server to mount the network to which you’ll connect.

  • FTP or SFTP connection information

    • File Transfer Protocol (FTP) provides a secure way to transfer files to your local or remote web server. If you will connect to your website from a remote location (for example, telecommuting from home or another office) you may need to connect to the website using FTP, to transfer files from a remote location across the Internet to your website (for example, if you don’t have a local network connection to the website).

    If you or your users will connect to your website using FTP or Secure FTP, you must know the address of the FTP server, as well as the user name and password to connect to the FTP server. For example, your FTP server’s address might be ftp.mysite.com.


Creating a Contribute website connection

The Contribute Connection Wizard (Windows) or Connection Assistant (Macintosh) guides you through the steps to create a new connection to a website, prompting you for the information needed to establish a website connection.

If you are a Macintosh user and have a .Mac account, you can easily create a connection to your .Mac account. In the Connection Assistant, select the .Mac check box. For information about choosing a folder to connect to in your .Mac website, see Creating a connection to a .Mac account.

To create a new website connection:

  1. Start Contribute.
  2. Select Edit > My Connections (Windows) or Contribute > My Connections (Macintosh).

    3. The My Connections dialog box appears. The options in this dialog box let you create and manage your Contribute connections.

    My Connections dialog box

  3. Click the New button.

    4. The Connection Wizard (Windows) or Connection Assistant (Macintosh) appears.

    Windows Connection Wizard and Macintosh Connection Assistant

    This wizard or assistant guides you through setting up a new website connection. As you complete each screen in the wizard or assistant, click Next (Windows) or Continue (Macintosh) to go to the next screen.

    Tip: Click Back or Go Back to return to a previous screen, if necessary. If you need more information about how to complete a screen, click the Help button.

  4. On the Summary screen, review the connection settings to verify that they’re correct and click Done (Windows) or Finish (Macintosh) to complete the connection.

    5. Contribute creates a connection to the website.

    After Contribute has successfully created a connection to the website, the Connection Wizard or Assistant closes, and the main page of the website appears in the Contribute browser.


Selecting a .Mac website folder to connect to

Creating a connection to a .Mac account

You can use Contribute with your .Mac account and seamlessly set up a connection to your website. This integration of Contribute and .Mac is available on Mac OS X 10.2 and later.

Note: On 10.1.X, you will need to mount your iDisk so that Contribute can detect your .Mac account. To mount your iDisk, in the Finder choose Go > iDisk.

If Contribute detects that you have an active .Mac account, you will be prompted to create a connection to your account when you start Contribute. If you dismiss the prompt, and later want to create a connection, use the Connection Assistant to create the connection to your account.

To create a connection to a .Mac account:

  1. Select Contribute > My Connections (Macintosh).

    2. The My Connections dialog box appears.

  2. Select Get connection information from my .Mac account.

    3. Contribute mounts your IDisk and creates the connection to the root folder of your website. For information about selecting a different folder to connect to see Selecting a .Mac website folder to connect to.

    Note: If Contribute does not detect your .Mac account you will be asked if you want to set up a .Mac account.

  3. Click Continue to go to the next screen; on the Summary screen click Finish to complete the website connection.

Selecting a .Mac website folder to connect to

When you select Get connection information from my .Mac account, Contribute automatically detects the path to your .Mac website’s root folder. If you want to create a connection to a subfolder of your .Mac website, you should let Contribute complete the path information, and then edit the path to the desired folder.

  1. Select Contribute > My Connections (Macintosh).

    2. The My Connections dialog box appears.

  2. Select Get connection information from my .Mac account.
  3. In the Connection Assistant, click Continue to add the .Mac connection information.
  4. In the Connection Assistant, click Go Back and deselect the Get connection information from my .Mac account check box so you can choose the path you want to connect to.

    5. The .Mac website connection information will not be deleted; you can make the changes you want in the Connection Assistant screens.

  5. Click Continue to update the settings as desired. On the Summary screen, click Finish to close the Connection Assistant.


Creating a connection with the Connection Wizard or Assistant

Each Connection Wizard or Connection Assistant screen asks for information about you or the website you want to connect to. When you finish entering the information in the Connection Wizard or Assistant, Contribute creates a website that you can update and modify.

To set up a website connection using the Connection Wizard:

  • Click Next or Continue to proceed to the User Information screen.
Related topics
  • Creating a Contribute website connection
  • Providing your name and e-mail address


Providing your name and e-mail address

The user name and e-mail address identify users and the web pages they are working on. This information appears to other users of your website when you’re working on pages in the website. If you become the first administrator of the website, the name you enter here is shown to users as the name of the website administrator.

Note: Your name and e-mail address are seen only by other users connecting to your website using Contribute or Macromedia Dreamweaver MX. This information is not sent to Macromedia or anywhere else, nor is it displayed on your website. External visitors to your website will not see the e-mail address you enter.

To provide your contact information:

  1. In the User Information screen, enter your name and e-mail address.

    2. If you have multiple copies of Contribute, use a different user name for each copy. For example, Chris(laptop), and Chris(Mac). Using the same user name can cause problems because you can override checkouts you make on the other computer.

    Connection Wizard User Information screen

Related topic
  • Providing your website’s URL


Providing your website’s URL

You enter information in the Website Home Page screen to provide information about the web address (URL) of your website. The web address you specify should be the root of the website; that is, the highest point in the directory structure that a user is allowed to edit. In some cases this may be the entire website (for example, www.mysite.com). However, in certain cases, if you are administering a website you may want to restrict a permission group to editing only a subsection of the website. For example, if a group will be able to edit web pages only in the marketing section of the website, the highest point you might give them access to may be www.mysite.com/marketing.

To provide your website’s web address:

  1. Enter the web address (URL) of the website you want to edit.

    2. If you aren’t sure of the exact web address of the website, click the Browse button and browse to the main page of your website.

    Connection Wizard Website Home Page screen

    Note: If the web address you enter cannot be verified, a dialog box prompts you to confirm that you are entering the correct address. You can use this dialog box to confirm a web address that does not yet exist but that you intend to create later (for example, you may not yet have created a subfolder under the site’s root).

Related topic
  • Selecting a connection method


Selecting a connection method

You use the Connection Information screen to select a connection method and to provide required information about your connection.

The connection method indicates how you connect to the website and transfer new and updated files between Contribute and the website. In general, users working within your organization’s offices use a local or network connection; users working remotely may need to use FTP or Secure FTP (SFTP) to transfer files to the web server.

To specify a connection method, select one of the following options from the pop-up menu:

  • Local/Network

    • Enter the network path of the web server and the folder (directory) containing the website’s files. Click the Browse button to browse the web server and the website’s folder. (You can type the path directly in the text box if you’re familiar with specifying local and network paths, but using the Browse button ensures that the path is accurate.)

    Note: The network path is not a path to the location where files will be stored locally on your computer; it’s a path to the location of the files on the web server.

    Connection Wizard Connection Information screen

  • FTP (File Transfer Protocol) or SFTP (Secure File Transfer Protocol)

    • If you choose to connect to the website using an FTP connection, you must supply login and password information about the connection.

Related topic
  • Providing FTP or SFTP information


Network paths can’t overlap

The network path you have entered conflicts with a path already in use by one of your website connections. If you need to access this site at a higher level, edit the path of your existing connection.

You cannot create a connection to a subfolder using this network path.


Providing FTP or SFTP information

If you choose to connect to the website using FTP (File Transfer Protocol) or SFTP (Secure File Transfer Protocol), you must enter the name of the FTP server, your FTP user name, and your FTP password.

Some organizations use a firewall, a system that prevents unauthorized access to an intranet from outside. If your organization has a firewall, you may need to configure Contribute to work with it. If so, you need to know whether your firewall supports passive FTP and whether you must provide a firewall host name and port number. If you are not sure how the firewall supports FTP access, consult your organization’s network administrator.

To provide FTP or SFTP information:

  1. Enter the FTP address of your server.

    2. Connection Wizard Connection Information screen

  2. Enter your FTP login name.

    3. Note: Your FTP login name and password may be different from your network user name and password.

  3. Enter your FTP password.
  4. If you need to configure FTP to work with a firewall, click the Advanced button. For more information, see Setting advanced connection settings.
Related topic
  • Becoming a website administrator


Setting advanced connection settings

You use the Advanced Connection Settings dialog box to set options for your organization’s FTP connection and firewall, and to apply additional security for accessing your website.

Advanced Connection Settings dialog box

To set advanced connection settings, select the options you want to apply:

Use passive FTP to connect to the server enables Contribute to initiate the FTP connection, rather than relying on the remote server to set it up. To use passive FTP, the firewall must be configured to allow the FTP client to set up the FTP connection.

Use firewall settings when connecting lets you specify a firewall host and the port number through which FTP access is allowed. If you select this option, or if you click the Firewall Settings button, the Firewall category of the Preferences dialog box appears; enter the name of the firewall host and the firewall port number through which FTP access is enabled.

Note: The Firewall category is part of the Contribute Preferences dialog box. The firewall host and port number are global settings for the entire application, not just for the website connection you are creating. You cannot create multiple Contribute website connections using different firewall settings.

Require Contribute startup password lets you protect access to websites from unauthorized users by requiring anyone using your computer to log in to Contribute. If you select this option, Contribute opens the Security Preference dialog box; type the login password you want users to enter and then confirm the password.

Note: The Security category is part of the Contribute Preferences dialog box. The Contribute startup password is a global setting for the entire application--not just for the website connection you are creating.

Related topic
  • Setting security preferences


FTP remote directory path

This dialog box appears if the Connection Wizard can’t automatically discover the proper path. The FTP path you enter must match the URL path. If this dialog box appears, ensure that the FTP path you entered matches the URL path containing your website’s files.

If you have correctly entered the FTP path, the folder you are attempting to connect to may not have appropriate read/write permissions. For more information, see LAN connection cannot locate the remote folder.

Related topic
  • Becoming a website administrator


Becoming a website administrator

Contribute lets you become the website administrator of any website that does not already have an administrator assigned. You or another member of your organization can become the Contribute website administrator at any time by selecting Edit > Administer Websites (Windows) or Contribute > Administer Websites (Macintosh). If you’re not sure whether you should be the administrator for the website, select the No option.

If you choose to become an administrator, you can control access to the folders in the website, assign permission groups and settings, and send connection keys to other Contribute users.

If the website already has an administrator, the wizard or assistant asks you to select a permission group. If you know the administrator password, you can connect to the Administrator permission group. For more information, see Selecting a permission group.

Note: (To administrators) Permission groups are not password protected. To force a user to use a specific group, send a connection key.

To become a website administrator:

  1. Select the Yes, I want to be the administrator option.

    2. Connection Wizard Administrator Information

  2. Enter an administrator password, and then enter it again to confirm.

    3. The password you enter protects access to the Administer Website dialog box. This prevents anyone other than a website administrator from changing the Contribute settings and user permissions.

Related topic
  • Selecting a permission group


Selecting a permission group

If the website already has a website administrator assigned to it, when you select Edit > Administer Websites (Windows) or Contribute > Administer Websites (Macintosh), Contribute prompts you to select a permission group. Select the permission group you want to be a member of.

The default permission group options are Administrator and User. You must know the administrator password to log in to the website as a member of that permission group.

Note: (To administrators) Permission groups are not password protected. To force a user to use a specific group, send a connection key.

Related topic
  • Reviewing the connection summary


Reviewing the connection summary

The final screen of the Connection Wizard or Assistant displays a summary of the connection information you have entered.

To review the connection summary:

  • Verify that the information is correct and click Done (Windows) or Finish (Macintosh).

    • Connection Wizard Summary screen


Becoming an administrator of an existing Contribute website

When you create a Contribute website connection, you have the option of becoming the administrator of the website you are creating a connection to. If you choose not to become the website administrator when you create the connection, you or another user can become the administrator at a later time.

You can become the website administrator of any website that does not have an administrator associated with it. The website administrator is responsible for setting website permissions and for being a point of contact for users who need assistance.

If someone inadvertently becomes the administrator for a website, or you forget the administrator password, you can reset the password and create a new administrative login. For more information, see Contribute freezes when sending a connection key.

To become the website administrator of a Contribute website:

  1. Select Edit > My Connections (Windows) or Contribute > My Connections (Macintosh) to display the My Connections dialog box, which lists all of the websites that you have a connection to, as well as the administrator (if any) assigned to each website.

    2. If a website does not have an administrator associated with it, the phrase No administrator appears in the Administrator column of the dialog box.

    My Connection dialog box

    If a website does not have an administrator, you can become the administrator by completing this procedure.

  2. Click Close to close the My Connections dialog box.
  3. Select Edit > Administer Websites (Windows) or Contribute > Administer Websites (Macintosh) and select the website you want to administer from the pop-up menu. A dialog box asks whether you want to become the administrator of the website. Click Yes to become the website administrator.

    4. Website Administrator dialog box

  4. In the Administrator Password dialog box, enter an administrative password for the website; enter the same password again to confirm it and click OK.

    5. Administrator Password dialog box

    After you assign an administrative password to the website, the Administer Website dialog box appears, allowing you to configure the website’s settings and permission groups.


About the Administer Website dialog box

You use this dialog box to specify Contribute settings that apply to the entire website, and to create or edit permission groups that determine which folders a user can access and what changes users can make. You can also use this dialog box to send connection keys to other Contribute users so that they can access the website.

Administer Website dialog box

For information about creating sitewide settings, see Configuring sitewide settings.

For information about creating Contribute permission groups, see Creating Contribute permission groups.

For information about sending connection keys to other Contribute users, see Sending a connection key.


Configuring sitewide settings

You can set settings that affect the whole website, such as the administrator’s contact or password information, the number of rollback versions of pages to save, and filename conventions for website default home pages.

To open the Sitewide Settings dialog box:

  1. Select Edit > Administer Websites (Windows) or Contribute > Administer Websites (Macintosh), then select the website you want to set options for.
  2. Enter the Administrator password, and then click OK.
  3. In the Administer Website dialog box, click Sitewide Settings.

    4. The Sitewide Settings dialog box appears.

    Sitewide Settings dialog box

  4. Set the options you want to apply, and then click OK.
Related topics
  • Changing the website administrator
  • Changing the administrator’s password
  • Enabling and disabling rollbacks
  • Specifying the number of rollback pages
  • Adding index page filenames
  • Specifying alternate web addresses


Changing the website administrator

You can change the administrator of a Contribute website by changing the e-mail address associated with the website. Users send e-mail to this address when they need to contact the website administrator for assistance.

Note: Changing the e-mail address of the website administrator does not change the administrator password. If you want to change the administrator password, see Changing the administrator’s password.

To change the administrator e-mail address:

  1. Select Edit > Administer Websites (Windows) or Contribute > Administer Websites (Macintosh) and select the website you want to administer from the submenu.
  2. Do one of the following:
    • If the Administrator Password dialog box appears, enter the administrator password and click OK.
    • If the site has no administrator, a dialog box asks whether you want to become the website administrator. Click Yes; then enter and confirm an administrator password for the website and click OK.

      • The Administer Website dialog box appears.

  3. Click Sitewide Settings.

    4. The Sitewide Settings dialog box appears.

  4. Enter a new e-mail address in the Administrator contact e-mail text box.
  5. Click OK.


Changing the administrator’s password

You can change the password used by the administrator.

To change the administrator password:

  1. Select Edit > Administer Websites (Windows) or Contribute > Administer Websites (Macintosh) and select the website you want to administer from the submenu.
  2. Do one of the following:
    • If the Administrator Password dialog box appears, enter the administrator password and click OK.
    • If the site has no administrator, a dialog box asks whether you want to become the website administrator. Click Yes; then enter and confirm an administrator password for the website and click OK.

      • The Administer Website dialog box appears.

  3. Click the Sitewide Settings button.

    4. The Sitewide Settings dialog box appears.

  4. Click the Change Password button.

    5. The Change Administrator Password dialog box appears.

    Change Administrator Password dialog box

  5. Enter your current password and the new password you want to use in the text boxes. You must enter the new password twice to confirm that you are entering it correctly.
  6. Click OK.


Enabling and disabling rollbacks

Rollback pages are backup versions of each web page published with Contribute. Enable Rollback is on by default. You can disable rollback or change the number of rollback versions. Each rollback page is a copy of the last published version of that page prior to the currently published version. For example, if you open a page for editing in Contribute, modify the content, and publish your changes without having previously updated and published that page, there is exactly one rollback version of the page (in this case the rollback version is the original page).

To enable and disable rollback pages:

  1. Select Edit > Administer Websites (Windows) or Contribute > Administer Websites (Macintosh) and select the website you want to administer from the submenu.
  2. Do one of the following:
    • If the Administrator Password dialog box appears, enter the administrator password and click OK.
    • If the site has no administrator, a dialog box asks whether you want to become the website administrator. Click Yes; then enter and confirm an administrator password for the website and click OK.

      • The Administer Website dialog box appears.

  3. Click Sitewide Settings.

    4. The Sitewide Settings dialog box appears.

  4. Select Enable rollbacks to activate rollbacks, or deselect to turn rollbacks off.
  5. Click OK to close the Sitewide Settings dialog box.
  6. Click OK to close the Administer Website dialog box.
Related topic
  • Specifying the number of rollback pages


Specifying the number of rollback pages

Contribute can maintain up to 99 rollback versions of each published page. When you specify the number of rollback pages, carefully consider the amount of disk space that will be consumed by storing the rollback pages. The pages are stored on the web server. The default number of rollback pages is three.

To specify the number of rollback pages:

  1. Select Edit > Administer Websites (Windows) or Contribute > Administer Websites (Macintosh) and select the website you want to administer from the submenu.
  2. Do one of the following:
    • If the Administrator Password dialog box appears, enter the administrator password and click OK.
    • If the site has no administrator, a dialog box asks whether you want to become the website administrator. Click Yes; then enter and confirm an administrator password for the website and click OK.

      • The Administer Website dialog box appears.

  3. Click Sitewide Settings.

    4. The Sitewide Settings dialog box appears.

  4. Enter the number of rollback versions to maintain in the Keep previous versions of each page text box, or use the arrow buttons to change the number. Contribute can maintain up to 99 rollback versions of each web page.
  5. Click OK.


About advanced sitewide settings

Depending on your web server configuration and the complexity of your website, Contribute may not be able to automatically detect all possible web server configurations. Contribute provides advanced configuration options that let you specify alternate configurations for your website’s index files and alternate web addresses.

Note: As with the general sitewide settings, the advanced sitewide settings apply to all users who connect to the website using Contribute.

  • Index files

    • An index page is the web page that is displayed by default when a visitor visits a website. For example, if you enter the address www.mysite.com/ into a web browser, the page that is displayed may actually have the URL www.mysite.com/index.html.

    Contribute includes a comprehensive list of possible index page names arranged in the order that they most commonly occur; however, you may need to specify exact page filenames and display order. For more information, see About web server index pages.

  • Alternate website addresses

    • Some websites have multiple web addresses (URLs) that point to the same web pages. These sites use Domain Name Service (DNS) aliases, which allow several web addresses to refer to a single website. For example, www.mysite.com and www.mysite.org are technically different website addresses, but could point to the same website. If your website uses more than one web address, you must configure Contribute to recognize all of the possible web addresses.

    If you don’t configure Contribute in this way, users may try to connect to a website using a different web address than the one defined in Contribute, which may cause inconsistent or unpredictable behavior when editing or publishing web pages. For more information, see About alternate website addresses.


About web server index pages

The index page for a website is the default web page that appears when a visitor enters a website (such as www.mysite.com) but doesn’t specify a page in the website. A web server can be configured to look for a page with a particular filename if no page is specified; the most common default index page filenames are index.htm, index.html, default.htm, and default.html. Consult your web server’s documentation if you are unsure of the index page filenames that your web server uses.

In addition to the primary index page filename, most web servers are configured with alternate index page filenames, specifying pages to be displayed if there is no page with the filename requested as the primary index page.

For example, a web server might look for the following index page names (in this order):

index.htm
index2.htm
404error.htm

If there is a page named index.htm, the server sends that page to the browser to be displayed; if there isn’t such a page, then the server sends index2.htm to the browser. If neither of those index pages is available, the server sends the 404error.htm page to the browser. Secondary pages such as these often provide an alternate entrance to the website, or inform the visitor that the website is unavailable.

Contribute includes a list of popular index page filenames, using most of the popular document type extensions (.htm, .html, .cfm, .asp, .jsp, .php, and so on). If the index page filename that you use for your website is listed in the Index files section of the Index and URL Mapping dialog box (index.cfm, for example), then you can most likely ignore this configuration option. If, however, your index page filenames are not included among those listed in the dialog box, you must add your index page filenames to the list, and arrange the names in the order in which your web server is configured to look for them.

For example, if your website uses a Macromedia ColdFusion application server that uses the document type extension .cfm, and the index page for your website uses the filename main.cfm, you need to add the filename main.cfm to the list of index pages in the Index and URL Mapping dialog box, and list it as the first page Contribute should look for in the website. The next section explains how to add an index page filename to your Contribute settings.


Adding index page filenames

You can add new index filenames to your sitewide settings that correspond to your website’s index files.

To add an index page filename:

  1. Select Edit > Administer Websites (Windows) or Contribute > Administer Websites (Macintosh) and select the website you want to administer from the submenu.
  2. Do one of the following:
    • If the Administrator Password dialog box appears, enter the administrator password and click OK.
    • If the site has no administrator, a dialog box asks whether you want to become the website administrator. Click Yes; then enter and confirm an administrator password for the website and click OK.

      • The Administer Website dialog box appears.

  3. Click Sitewide Settings.

    4. The Sitewide Settings dialog box appears.

  4. Click the Index and URL Mapping button.

    5. The Index and URL Mapping dialog box appears.

  5. Click the Add button.

    6. The Add or Edit Index Filename dialog box appears.

  6. Enter an index filename and click OK.

    7. The new index filename appears at the bottom of the list of possible index filenames.

    List of possible index filenames

  7. Using the arrow buttons, arrange the index pages in the order specified by your web server’s configuration. For example, if your web server is configured to use three index pages, index.htm, index2.htm, and 404error.htm, and the primary page is index.htm, then the designated order is:

    8. index.htm
    index2.htm
    404error.htm

    This is the order in which the web server retrieves and displays the index pages if one or more of the pages are unavailable.


Entering an index filename

This dialog box lets you add or edit a filename for an index page.

To enter or edit an index page filename, do one of the following:

  • Enter a filename for an index page that your website and web server use.
  • Change the filename in the Index filename text box.
Related topic
  • About web server index pages


Removing index page filenames

You can remove index page names from the default list supplied with Contribute. When deleting index page filenames, ensure that your Contribute sites don’t rely on the page names you are removing from the Index files list.

To remove an index page filename:

  1. Select Edit > Administer Websites (Windows) or Contribute > Administer Websites (Macintosh) and select the website you want to administer from the submenu.
  2. Do one of the following:
    • If the Administrator Password dialog box appears, enter the administrator password and click OK.
    • If the site has no administrator, a dialog box asks whether you want to become the website administrator. Click Yes; then enter and confirm an administrator password for the website and click OK.

      • The Administer Website dialog box appears.

  3. Click Sitewide Settings.

    4. The Sitewide Settings dialog box appears.

  4. Click the Index and URL Mapping button.

    5. The Index and URL Mapping dialog box appears.

  5. Select the filename you want to remove from the Index files list.
  6. Click Remove.

Note: You cannot select multiple index files from the list; you must select each file individually and click Remove.


About alternate website addresses

Web servers can be configured in a variety of ways to respond to varying user needs. One common part of web server configuration is the mapping of web addresses to either different IP addresses (often for either load balancing or localization issues), or multiple web addresses pointing to a single IP address. The following common web server configurations involve URL mapping.

Multiple DNS aliasing occurs when two or more domain name server (DNS) aliases point to a single server (for our purposes, a single server consists of a single IP address). When connecting to a server configured with multiple DNS aliases, Contribute views the defined website and the aliases as different websites, even though from the users’ perspective they are the same.

For example, if your server hosts the website www.carsonline.com, and you set up two additional web addresses that refer to that same website (for example, www.cars.com and www.mycars.com), you must configure Contribute to recognize these different web addresses as the same website.

Virtual server configurations have two or more DNS aliases pointing to the same server, but users view them as different websites. When a server configured in this way receives a request to retrieve a web page, it serves different pages depending on the address used in the request. There are two types of virtual server configurations:

  • DNS-based virtual servers use a single IP address that has two or more DNS aliases pointing to that address. In this configuration, the web server differentiates the page request based on the web address, serving different pages to the different addresses.
  • IP-based virtual servers use multiple IP addresses to differentiate web servers.

A common use of virtual server configurations is to provide localized content to different geographic locations. For example, a news website might provide different local information to users viewing the website based on their location.

Port numbers are often used to further divide a domain name into multiple websites. Often this is to allow the website to provide different software functionality based on a port that may be listening for incoming requests.

A web address that uses a different port number is considered to be a different website. However, this is not always the case. As with web server configurations using multiple DNS aliases, it’s important that you map host names using different port numbers to the correct website.

For example, if your organization’s website can be accessed through two different web addresses differentiated by port numbers, then you must add these web addresses to the Alternate addresses field. In this example, assume that your organization maintains the following web addresses:

www.cars.com
www.cars.com:8080

Both of these web addresses point to the same website, with the exception that those sites using port number 8080 read the browser’s cookie file to check whether the visitor is a new or returning user. If the user is already registered, the website appears without prompting for registration. If a user is new, a dialog box appears requesting the user to register to gain access to the website.


Specifying alternate web addresses

If Contribute users will visit a website using a different host name, different directory path, or different port number, you must configure Contribute to recognize these alternate web addresses and associate them with the appropriate website connection.

You need not configure Contribute to recognize all possible website aliases; only those that Contribute users will actually use to access the website.

To specify an alternate web address for a website:

  1. Select Edit > Administer Websites (Windows) or Contribute > Administer Websites (Macintosh) and select the website you want to administer from the submenu.
  2. Do one of the following:
    • If the Administrator Password dialog box appears, enter the administrator password and click OK.
    • If the site has no administrator, a dialog box asks whether you want to become the website administrator. Click Yes; then enter and confirm an administrator password for the website and click OK.

      • The Administer Website dialog box appears.

  3. Click Sitewide Settings.

    4. The Sitewide Settings dialog box appears.

  4. Click the Index and URL Mapping button.

    5. The Index and URL Mapping dialog box appears.

  5. Click the Add button.

    6. The Add or Edit Alternate Address dialog box appears.

  6. Enter an alternate URL and click OK.

    7. The new URL appears in the Alternate addresses list.

    List of alternate website addresses

  7. When you have entered all of the alternate web addresses, click OK to close the Advanced Sitewide Settings dialog box.
  8. Click OK to close the Sitewide Settings dialog box.
  9. Click OK to close the Administer Website dialog box.


Entering an alternate website address

Use this dialog box to enter an alternate URL for your website.

To enter or edit an alternate URL, do one of the following:

  • Enter a new alternate URL for your website.
  • Change the alternate URL in the Alternate website address (URL) text box.
Related topic
  • About alternate website addresses


Managing website connections

The My Connections dialog box lets you create and manage your website connections.

My Connections dialog box

See the following topics for information about using the options in this dialog box:

  • Creating a connection with the Connection Wizard or Assistant
  • Importing a website connection key
  • Editing website connections

    • If you used the Connection Wizard or Assistant to create a connection, you can update the connection information when server or network configurations are altered (for example, changing network paths or a website’s URL).

    Note: If you import a connection key, the only pieces of connection information you can edit are your name and your e-mail address.

  • Renaming a website connection

    • You can rename a website connection within Contribute to better identify it from other website connections you might maintain.

  • Removing website connections

    • You can delete an obsolete website connection from Contribute.

  • Disabling a website connection

    • You can disable website connections so that Contribute does not connect to the website if it is not accessible or being edited. Disabling websites can improve the performance of Contribute by reducing the number of active connections the application maintains.

  • Enabling a website connection

    • You can enable a website you have previously disabled.


Editing website connections

You can edit the connection information for any Contribute website. This allows you to modify a connection if any of its parameters change (for example, if you move a website to a different network location or change its URL).

In an imported connection, the only pieces of connection information you can edit are your name and your e-mail address.

Tip: If you have drafts open, you can’t change your name or e-mail address for the website those drafts are part of. To change that information, first close the open drafts.

To edit a website connection:

  1. Select Edit > My Connections (Windows) or Contribute > My Connections (Macintosh).

    2. The My Connections dialog box appears.

  2. Select a website from the list of connections.
  3. Click the Edit button.

    4. The Connection Wizard or Assistant appears.

  4. Navigate through the Connection Wizard or Assistant using the Next or Continue button and modify the necessary website connections settings.

    5. For more information on the Connection Wizard or Assistant website settings, see Creating a Contribute website connection.

  5. When you have modified the necessary connection settings and verified that they are correct, you will need to send a connection file to users containing the new connection setting information.

    6. For more information on sending a connection file to users, see Sharing Website Connections.


Renaming a website connection

You can rename a website as it appears in Contribute. The name you choose will appear in the Home Pages menu, the My Connections dialog box, and the Administer Websites submenu.

To rename a website as it appears in Contribute:

  1. Select Edit > My Connections (Windows) or Contribute > My Connections (Macintosh).

    2. The My Connections dialog box appears.

  2. Select the website connection you want to edit from the list of connections.
  3. Click the Rename button.

    4. The website connection name is highlighted by an editing box.

  4. Click inside the editing box and enter a new name for the website connection.
  5. Press Enter or Return to apply your changes.
  6. Click Close to save your changes and close the My Connections dialog box.


Removing website connections

You can remove Contribute website connections that are no longer needed. Removing a Contribute connection does not remove the website itself, it only removes the website connection information from your local computer. For information about removing unpublished drafts from a website, see Removing unpublished drafts in a disabled website.

To remove a website connection:

  1. Close any open drafts. Contribute does not remove a connection to a website in which you’re editing pages.
  2. Select Edit > My Connections (Windows) or Contribute > My Connections (Macintosh).

    3. The My Connections dialog box appears.

  3. Select a website from the list of connections.
  4. Click Remove.


Disabling a website connection

When Contribute starts, it verifies all the connections defined in the My Connections dialog box and opens a connection to each of the defined websites. If one or more of the websites are unavailable for any reason, Contribute can’t open connections to those websites. To avoid such problems, you can disable a connection when a website is unavailable.

Note: If Contribute is unable to connect to a website, Contribute may automatically disable the connection to that website.

Another reason to disable a site is that Contribute may run slowly when many sites are defined, because it must maintain multiple network connections over an extended period. To alleviate such performance problems, you can disable sites that you don’t frequently need to update.

To disable a Contribute website connection:

  1. Select Edit > My Connections (Windows) or Contribute > My Connections (Macintosh).

    2. The My Connections dialog box appears.

  2. Select the website connection you want to disable from the list of connections.
  3. Click the Disable button.

    4. A dialog box appears informing you that the connection has been disabled. Click OK to verify that this is the connection you want to disable. If you have inadvertently disabled the wrong connection, you can re-enable the connection; for more information, see Enabling a website connection.

  4. Click Close to save your changes and close the My Connections dialog box.
Related topic
  • Enabling a website connection


Removing unpublished drafts in a disabled website

In Version 1.0, you could not use Contribute to remove a disabled website that contained unpublished drafts. Typically, a website is disabled if the web address (URL) is no longer valid and selecting Enable does not restore the connection.

The current version of Contribute works differently. If you use the My Connections dialog box to remove a connection to a website that contains unpublished drafts, Contribute warns you that it will delete the connection and move any unpublished drafts to the Recycle Bin or Trash.

If you want to recover the unpublished drafts, in most cases you can locate them in the Recycle Bin or Trash. Contribute saves the drafts in a folder named for the removed website in the Recycle Bin or Trash.


Enabling a website connection

If you disable a website connection, or if Contribute automatically disables it because it can’t connect to the website, you can later re-enable it.

To enable the current website connection:

  • Click the Retry Connection button in the toolbar.

To enable any website connection:

  1. Select Edit > My Connections (Windows) or Contribute > My Connections (Macintosh).

    2. The My Connections dialog box appears.

  2. Select the website connection you want to enable from the list of connections. (Disabled connections are marked with a red slash.)
  3. Click the Enable button.
  4. Click Close to save your changes and close the My Connections dialog box.
Related topics
  • Disabling a website connection
  • Disabling your website at startup


Managing Contribute sites using Dreamweaver MX

If you are a web professional who uses Dreamweaver MX to design, update, and manage your organization’s website, you can also use Dreamweaver to connect to and manage Contribute sites. To use Dreamweaver to perform Contribute website-administrations tasks, you must install a Dreamweaver updater and then enable Contribute compatibility features in Dreamweaver.

Note: Dreamweaver does not require you to treat a website as a Contribute website; if you choose not to enable Contribute compatibility, you can still use Dreamweaver with the website. However, if you take this approach, be careful not to change anything that will prevent Contribute users from making changes to the website.

To obtain the Dreamweaver updater and learn how to enable Contribute compatibility, visit the Macromedia website.

For more information, see Dreamweaver Help.

Previous


Managing User Settings and Permissions

Macromedia Contribute lets you control the extent to which users can alter a website. To do so, you create permission groups for each website and define permissions for each group. After a website’s permissions are defined, Contribute creates a folder labeled _mm at the root of the website and places a shared settings file in this folder. The shared settings file contains all the website settings and permissions for Contribute website connections that you create. All Contribute users who connect to the website automatically inherit the settings defined for their group in the shared settings file.

This chapter contains the following sections:

  • Creating Contribute permission groups
  • Managing settings and permissions
  • Accessing the Permission Group dialog box
Next


Creating Contribute permission groups

When Contribute users connect to a website, they are prompted to indicate which group they belong to. For example, a Contribute user from the marketing team might choose the marketing group in their website Connection Wizard. Thereafter, while connected to that website, that user has whatever permissions you have configured for the marketing group.

To create a permission group:

  1. Select Edit > Administer Websites (Windows) or Contribute > Administer Websites (Macintosh) and select the website you want to administer from the submenu.
  2. Do one of the following:
    • If the Administrator Password dialog box appears, enter the administrator password and click OK.
    • If the site has no administrator, a dialog box asks whether you want to become the website administrator. Click Yes; then enter and confirm an administrator password for the website and click OK.

      • The Administer Website dialog box appears.

      Administer Website dialog box

      By default, Contribute creates two permission groups: Administrator and Users.

  3. Click the New button in the Permission groups section of the dialog box.

    4. The Permission Group Name dialog box appears.

  4. Enter a name for the group you want to create in the New permission group name text box and click OK.
  5. To create additional groups, repeat steps 3 and 4 for each group you want to add.
  6. At this point you can either choose to send a Contribute connection key to the group you have created or you can modify the website permissions for any group.

    7. Note: You can modify group permissions at any time, even after you have distributed a connection key. Connection information and website permissions are maintained separately.

    • To modify permissions assigned to the groups you have created, select the group whose permissions you want to modify and click the Edit Group button. The Permission Group dialog box appears. To learn more about the permissions you can modify, see Accessing the Permission Group dialog box.
    • To send the connection key to the users that make up the group, click the Send Connection Key button. The Export Connection Wizard appears. To learn how to export a connection key, see Sharing Website Connections.
  7. When you are satisfied with the groups you have created and have sent a connection key to the users in the group, click OK.


Understanding group permissions

Contribute lets you define user permissions ranging from file access to level of typographic control that Contribute users have when they edit web pages.

In most cases you can use the default values specified for these permissions and settings. However, if your website has certain design features that need to be preserved, you can configure Contribute to work with those design considerations.

If you are not familiar with such web page design elements as font and paragraph usage, CSS (Cascading Style Sheets) styles, and image file formats and size limitations, consult a web page designer or other web professional who is knowledgeable about your organization’s website.


Managing settings and permissions

Contribute lets you define the following categories of permissions and website settings in the Permission Group dialog box:

General lets you select a starting (home) page that users in the selected group see when they enter the website.

Folder/File Access limits a group’s access to the selected folder (or folders) and any subfolders they contain.

Editing lets you specify what content users can modify and determine how Contribute processes paragraphs, line spacing, and accessibility options.

Styles and Fonts specifies which font sets users have access to, and which users can apply style and formatting to text.

New Pages specifies whether Contribute users can create new, blank pages, and which (if any) Macromedia Dreamweaver MX templates they can use to create new pages. You can also specify which pages, if any, the user can copy. The options in this category determine what options users see in the New Page dialog box.

New Images lets you specify a maximum file size for images, as well as a folder in which to upload images to the website.

The following sections describe each of the permissions categories in more detail:

  • Setting general website permissions
  • Setting folder and file access permissions
  • Setting page editing and paragraph permissions
  • Setting style and font permissions
  • Setting permissions for new web pages
  • Setting permissions for new images


Accessing the Permission Group dialog box

The Permission Group dialog box lets you define different group home pages for users based on the group they belong to, limit groups to working in specific folders, and determine the modifications a group can make to a website.

For more information, see Creating Contribute permission groups.

To define permissions for a Contribute website:

  1. Select Edit > Administer Websites (Windows) or Contribute > Administer Websites (Macintosh) and select the website you want to administer from the submenu.
  2. Do one of the following:
    • If the Administrator Password dialog box appears, enter the administrator password and click OK.
    • If the website has no administrator, a dialog box asks whether you want to become the website administrator. Click Yes; then enter and confirm an administrator password for the website and click OK.

      • The Administer Website dialog box appears.

  3. Select a permission group from the list of permission groups and click the Edit Group button.

    4. The Permission Group dialog box appears.

    Permission Group dialog box


Setting general website permissions

The General permissions category lets you specify a starting (home) page that users in the selected group see on entering the website.

To set general website permissions:

  1. Click the General category on the left side of the Permission Group dialog box. (See Accessing the Permission Group dialog box.)
  2. When you initially defined the website, you specified the website’s home page. If you want users in the selected group to have a more specific home page within the website, enter the URL in the Group home page text box, or click the Browse button to locate the home page.

    3. You can choose to specify any page within the website as the home page for the specified group. For example, the home page of a website is typically www.mysite.com/index.htm. However, you might want to have members of a group directed to a page within the website, such as www.mysite.com/marketing/marcom.htm.

  3. In the Group description text box, enter a brief description of the website.

    4. This description appears when a user selects a group to join.

  4. You can either select another permissions category to modify, or click OK to apply your changes.


Setting folder and file access permissions

The Folder/File Access permissions category lets you limit a group’s access to selected folders (or directories) and any subfolders they contain, as well as determine whether users can delete web pages and related files.

Permission Group Folder Access settings

When setting file/folder access permissions for use with FTP, the FTP login associated with the website connection must have read/write access to the server’s file system. If the FTP login’s permissions do not allow full read/write access, the permissions you assign with Contribute will not work properly.

Related topics
  • Setting folder access permissions
  • Setting file-deletion permissions


Setting folder access permissions

You can choose to limit user access to specific folders within the website or to allow users to access all of the folders within the defined website.

To define folder access permissions:

  1. In the Permission Group dialog box, select Folder/File Access from the category list on the left. (See Accessing the Permission Group dialog box.)
  2. Select Allow users to edit files in any folder to let users access all folders and files within the website’s root, or Only allow editing within these folders to limit access to a specific subfolder or group of subfolders.
  3. If you’ve selected Only allow editing within these folders, specify folders by clicking Add Folder.

    4. The Select Folder dialog box appears.

    Select Folder dialog box

  4. The Select Folder dialog box displays all folders and files under the website’s root.

    5. You can preview pages in the website by selecting them. This allows you to see which pages you are restricting access to.

  5. Navigate to the folder you want to provide access to and click Select Folder.

    6. For example, if the website’s root is http://www.mysite.com and you want to specify that users can edit only those pages that are in the folder labeled marketing, click the marketing folder. The access path will appear as: http://www.mysite.com/marketing.

    The Select Folder dialog box closes, and the selected folder appears in the Folder access list. You can add folders to the Folder access list to give users access to multiple directories in the website.

  6. Click OK.

    7. When next connecting to this website, the Contribute user will be able to edit only those pages and files that are inside the listed folders.

To change access to a folder in the list, do one of the following:

  • To remove a folder from access, select the folder in the folder list, then click Remove.
  • To change a folder the user can access, select the folder in the folder list, then click Edit.


Setting file-deletion permissions

You can allow users to delete pages from the web server. When determining whether users should be able to remove a page from the website, carefully consider whether you want to maintain a backup copy of deleted pages.

If you do want to maintain backup copies, you must make sure that the Contribute rollback feature is enabled. To learn more about web page rollbacks, see Enabling and disabling rollbacks.

To let users delete files from the web server:

  1. In the Permission Group dialog box, select Folder/File Access from the category list on the left. (See Accessing the Permission Group dialog box.)
  2. Select Allow users to delete files they have permission to edit.
  3. You can also choose to remove any rollback files associated with a page by selecting Remove rollback versions on delete. Carefully consider whether you want to maintain backup copies of web pages before allowing users to delete both an active web page and any rollbacks versions of that page.
  4. You can either select another permissions category to modify or click OK to apply your changes.

Tip: If a user deletes a file, but not the rollback copies of the file, the file can be recovered from the rollback copy. For more information, see Replacing a deleted web page.


Setting page editing and paragraph permissions

The Editing category lets you specify what kinds of changes users can make to the website’s web pages, and how Contribute treats paragraphs and typographic elements.

To set page-editing permissions:

  • In the Permissions dialog box, select Editing from the category list on the left. (See Accessing the Permission Group dialog box.)

The Editing category provides options that let you specify which page-editing attributes Contribute will apply. When setting these permissions, carefully consider who the content contributors are and what page-editing capabilities they require.

Permission Group dialog box editing options

For more information about page-editing options, see:

  • Restricting editing of non-template pages
  • Specifying paragraph spacing
  • Other editing options


Restricting editing of non-template pages

The Non-template pages section of the Editing category in the Permission Group dialog box lets you specify what kinds of changes users can make to pages.

Note: These options apply only to pages that are not based on Macromedia Dreamweaver templates. A Dreamweaver template is a page created in Dreamweaver that has editable and noneditable regions. Dreamweaver templates apply their own restrictions and are not controlled by the following editing preferences.

Allow unrestricted editing lets users modify any page elements that Contribute supports. This includes editing text, editing tables, and inserting images.

Protect scripts and forms prevents users from deleting script tags, server-side includes, code tags (such as Macromedia ColdFusion, ASP, JSP, and PHP tags), form tags, and form elements.

This option is activated by default. Carefully consider whether the users editing your website’s content are experienced enough to modify code embedded in web pages. In general, tasks involving the modification of code and code tags are best left to web developers using Dreamweaver.

Only allow text editing and formatting specifies that users can only edit text, modify styles, and apply bullets or numbered lists. Users are not able to add or edit tables, images, or links, or delete server directives or plug-in content. Those tags are not editable.


Specifying paragraph spacing

The Paragraph spacing section of the Editing category in the Permission Group dialog box lets you specify how Contribute applies HTML paragraph tags, which determines whether blank lines appear between paragraphs as a user types.

One line, as in standard word processors applies inline CSS (Cascading Style Sheets) styles to each new p tag. The CSS styles defined for a website usually cause paragraphs to be rendered closer together. This style is often more familiar to users who have worked with desktop publishing applications, which provide greater typographic control. Users can include more space between paragraphs by pressing Enter twice to insert a standard HTML paragraph (p) tag.

Note: A trade-off to consider is that the use of inline CSS styles causes more complex mark-up tags to be inserted into the page. This can make the HTML structure of the page less clear to web designers who view the HTML tags.

Two lines, as in web page editors inserts standard HTML paragraphs using p tags. When a user presses the Enter key, Contribute inserts the HTML p tag; browsers display a blank line between paragraphs that use the p tag.

The following example illustrates how these two spacing schemes are rendered in a browser.

Image displays example of spacing differences between a word processor and a web page editor


Other editing options

  • Allow Multiple Consecutive Spaces (uses &nbsp;) lets the user insert multiple consecutive spaces between words. When this option is selected and a user inserts multiple spaces, Contribute inserts multiple nbsp entities (&nbsp;&nbsp;&nbsp;...), which causes browsers to display all of the spaces instead of only one space.
  • Enforce Accessibility Options (such as ALT text for images) specifies that Contribute should always prompt users for accessibility information so that the HTML generated by Contribute is more accessible to people with disabilities. For example, when inserting an image, Contribute prompts the user to enter alternative text to be displayed in the event a web page cannot display images, or the viewer of the page has visual disabilities.

    • Contribute cannot validate whether Flash content is accessible, and cautions users when Flash content is inserted.

  • Use <strong> and <em> in place of <b> and <i> specifies that, when users format text as bold or italic, Contribute should use the strong and em tags instead of the b and i tags. The b and i tags are considered deprecated in the latest the HTML specification.
  • Line break type pop-up menu lets you specify which character combination Contribute uses to denote line endings in the saved file.

    • The default is Windows, which uses a carriage return and then a line feed to denote a line break. This value should be set based on the host machine for the website--not the computer being used to edit the page.

For additional information on specifying paragraph types, see Specifying paragraph spacing.


Setting style and font permissions

The Styles and Fonts category in the Permission Group dialog box lets you control whether typographic styles and fonts appear in the Contribute toolbar and which kinds of typographical styles users can apply to text.

To set the style and font permissions for a website:

  • In the Permission Group dialog box, select Styles and Fonts from the category list on the left. (See Accessing the Permission Group dialog box.)

    • Permission Group dialog box, Styles and Fonts options


Setting style permissions

The Styles section of the Styles and Fonts category in the Permission Group dialog box determines whether users can apply styles, and if so, which styles they can use within the website. If the Allow users to apply styles option is selected, users can modify heading and paragraph styles using the Contribute editor toolbar or menu commands. If this option is deselected, the user cannot apply new paragraph styles.

Two options determine which styles appear in the editing toolbar’s Style menu:

Include HTML paragraph and heading styles in the Style menu specifies that the standard HTML Paragraph, Heading1, Heading2, Heading 3, Heading 4, Heading 5, and Heading 6 tags are available.

Include CSS styles in the Style menu specifies that any CSS styles defined for the page, whether they are inline or referenced in styles, appear in the Style menu.

Note: To prevent a CSS style from being available to Contribute users, the page designer can change the name of the style so that the name starts with "mmhide_" (without quotation marks). For example, if you use a style named Right_Justified in a page but you don’t want Contribute users to be able to use that style, rename the style to mmhide_Right_Justified. For more information, see Setting Up a Site for Use with Contribute in Dreamweaver MX 6.1 Updater Help.


Setting font permissions

The Fonts section of the Styles and Fonts category in the Permission Group dialog box lets you specify how users modify font styles.

Contribute has the following font permissions options:

Allow users to apply fonts and sizes activates the font and style menus in the Contribute editor toolbar. This lets users choose the fonts and font sizes to use in the page. If this option is not selected, Contribute uses the font styles and sizes defined in the page’s HTML source code.

HTML tags specifies that Contribute applies fonts using HTML font tags.

Inline CSS styles specifies that Contribute applies fonts using inline CSS font tags.

Apply sizes using lets you choose the unit of measure to display in the Contribute editor toolbar: points, pixels, or ems.


Setting permissions for new web pages

The New Pages category in the Permission Group dialog box lets you specify whether users can create new, blank pages or create duplicate pages by copying the current page. You can also define which Dreamweaver templates users are able to see and use.

Permission Group dialog box, New Pages options

When specifying the new page types that users are able to create, carefully consider the look and feel of the website. In many cases, it may be best to constrain users either to use copies of existing pages or to use only Dreamweaver templates, if they are available.

Contribute lets you control the types of new pages that users can create, and it lets you specify templates for creating new pages. The new page types include the following:

Create a blank page lets users create blank pages.

Use built-in sample pages lets users create and modify copies of preexisting sample pages that are provided with Contribute.

Create a new page by copying any page on the website lets users create and modify a copy of an existing page on the website.

Create a new page by copying a page from this list lets users create pages based on a set of pages that you specify.

Use Dreamweaver templates lets users create pages based on templates created in Dreamweaver, usually by a web page designer or other web professional, that have defined editable and noneditable regions. Such pages ensure a consistent look and feel throughout a website, and allow users to update only specific areas of text and specific images. Dreamweaver templates are stored as files with a .dwt filename extension, in a folder called Templates in the root folder of a website. For more information about Dreamweaver templates, see Dreamweaver Help. For more information about allowing Contribute users to use Dreamweaver templates, see Specifying Dreamweaver templates for contributors to use.


Specifying Dreamweaver templates for contributors to use

Contribute lets you choose what Dreamweaver templates users are able to see and use to create new web pages. You can choose to let users see all of the available templates, or only templates that you choose for users of that group.

To specify the Dreamweaver templates users can see and use:

  1. In the New Pages category of the Permission Group dialog box (see Accessing the Permission Group dialog box), select Use Dreamweaver templates and select one of the following:

    2. Show users all templates allows users to see all of the available templates.

    Only show users these templates displays only certain templates to users. If you select this option, you can select templates and use the Hide and Show buttons to move the templates between the Hidden templates list and the Only show users these templates list.

  2. Repeat until all of the templates you want to display to users of the group are visible in the Only show users these templates list.


Setting permissions for new images

You can use options in the New Images category of the Permission Group dialog box to limit the file size of images a user can add to a page. For information about opening the Permission Group dialog box, see Accessing the Permission Group dialog box.

Permission Group dialog box, New Images options

To set a maximum image file size, select one of the following options:

Unlimited allows image files of any size to be included in the document.

Limit to specifies the maximum size of an image file. Enter a value in kilobytes; Contribute will not allow users to insert an image greater than the specified size.
Previous


Sharing Website Connections

Using the Macromedia Contribute Export Connection Wizard (Windows) or Export Connection Assistant (Macintosh), you can easily set up connections to websites for other users. The wizard provides an efficient mechanism through which Contribute users can share website connections for collaboration. Contribute lets you share website connection information by embedding website information within a file that you can either e-mail to users, or save to your computer for users to download and import.

The Export Connection Wizard or Assistant lets you send a website connection to users in the form of a connection key file. Because the connection key is encrypted with a password, any network or File Transfer Protocol (FTP) login information you send in the file remains secure, and can be accessed only through Contribute. The connection key file uses the filename extension .stc. If you double-click the file, either on the desktop or as an e-mail attachment, Contribute starts and imports the connection.

For more information about sharing a website connection, see Sending a connection key.
Next


Sending a connection key

To send a website connection key to other users, you must create one or more Contribute website connections that you want to share. If you need to create a Contribute website connection, see Creating a Contribute website connection.

FTP and SFTP connection keys can be used across platforms; LAN connection keys are platform specific.

To create a website connection key to share with users:

  1. Select Edit > Administer Websites (Windows) or Contribute > Administer Websites (Macintosh) and select the website you want to administer from the submenu.
  2. Do one of the following:
    • If the Administrator Password dialog box appears, enter the administrator password and click OK.
    • If the website has no administrator, a dialog box asks whether you want to become the website administrator. Click Yes; then enter and confirm an administrator password for the website and click OK.

      • The Administer Website dialog box appears.

      Administer Website dialog box

  3. Click Send Connection Key.

    4. The Export Connection Wizard (Windows) or Export Connection Assistant (Macintosh) appears.

    Export Connection Wizard dialog box

  4. Follow the instructions in the wizard or assistant, and click Next (Windows) or Continue (Macintosh) to proceed to the next screen.
Related topics
  • Choosing the connection key settings


Choosing the connection key settings

The Export Connection Wizard (Windows) or Export Connection Assistant (Macintosh) lets you send your current connection information or customize your existing settings as needed for use by other permission groups. Select the radio button appropriate to the connection settings you want to send to users.

If you are using FTP or SFTP to connect to the website, you can select the Include my FTP login and password option so that users are prompted to enter their individual FTP user name and password.

If you choose to customize your connection settings, the next panel of the Export Connection Wizard lets you select the method users will use to connect to the website. If you choose to send your current (unaltered) connection settings, the next screen you see lets you select the permission group to send the connection to.

Related topics
  • Choosing a connection method
  • Selecting a permission group


Choosing a connection method

You must choose the method that users will use to connect to the website. Contribute lets users connect to the website through their local network or by transferring files (using FTP or SFTP) over a connection to their web server. The type of connection you choose determines the network information you need to enter.

If you want users to connect using FTP or SFTP, be sure you know the server name, user name, and password required to connect to the server.

Note: If users will be connecting to the website using FTP or SFTP and you’re not sending them your FTP or SFTP login information, make sure they understand how to enter their own login information. Many less experienced computer users don’t understand that FTP or SFTP login information is different from the user name and password they might use to log in to their local computer network.

Select one of the following website connection options:

Local/Network If you use a local/network connection, you must supply the network path of the web server and the folder containing the website files. You can either enter the path to the web server or click the Browse button to browse to the web server and the website folder. If you haven’t created a website root folder, you can use the default website root folder on the server. (The default varies between servers.)

Note: The network path for a Windows network always starts with two back slashes (\\) rather than with a drive letter.

Export Wizard Connection Information screen

FTP or SFTP If you connect to the website using FTP, enter the name of the FTP server, your FTP user name, and your FTP password. If you connect to a secure server that supports SFTP, select SFTP and then enter the name, user name, and password for your SFTP server.

Export Wizard Connection Information screen

You may need to configure Contribute to work with your organization’s firewall. If so, you will need to know whether your firewall supports passive FTP and whether you must provide a firewall host name and port number. If you are not sure how the firewall supports FTP access, consult your organization’s network administrator.

Advanced Connection Settings dialog box

Note: Firewall host and port information applies to all of a user’s connections; if you include this information in the exported connection key, firewall preferences for all connections are changed for Contribute users who use your connection key.

Related topics
  • Selecting a permission group
  • Setting security preferences


Selecting a permission group

You must choose a permission group to assign the website connection to.

To select a permission group:

  • In the Group Information screen, select a permission group to assign the website to.

    • Export Wizard Group Information screen

Related topic
  • Choosing an export method for the connection key


Choosing an export method for the connection key

You can send the connection key to users by e-mail, or you can save it to your local computer or to a file server on the network.

The method you use to send the connection key depends on whether you send it using web-based e-mail or another e-mail application:

  • If you use a web-based e-mail account (such as Hotmail or Yahoo!) to send the connection key, save the connection key as a file on your local disk and attach it manually to the e-mail message.

    • If you choose to save the key to disk, you can decide whether to save the connection key to your computer’s local disk or to a network location.

  • If you send the file to users through a non-web-based e-mail application, your e-mail application will start up when the Export Connection Wizard (Windows) or Export Connection Assistant (Macintosh) finishes running. The e-mail application then creates an explanatory e-mail message with the connection key attached.

Note: On the Macintosh, Contribute works with the following default e-mail applications: Mail, Eudora, and Entourage. For information about working with other e-mail clients, see Contribute freezes when sending a connection key.

To set the connection key export method:

  1. Select whether you want to send the connection key to users by e-mail, or save it as a file to your local computer, by selecting the appropriate option.

    2. Export Wizard Connection Key Information screen

  2. Enter a password or pass phrase to encrypt the connection key.

    3. To protect your website and ensure the safety of your network, connection keys are encrypted using a password or pass phrase that you select. (A pass phrase is like a password but can be longer than one word.) Be sure you send the connection key encryption password to the users who will be importing the website connection. Without knowing the correct password, users will be unable to import the website.

    Tip: Do not include the password you use to encrypt the connection key in the e-mail message with the connection key. Send the password in a separate message, or communicate it to users verbally.

Related topic
  • Reviewing the connection summary


Reviewing the connection summary

The final screen of the Export Connection Wizard (Windows) or Export Connection Assistant (Macintosh) displays a summary of the connection information you are exporting.

To review the connection summary:

  • Ensure that the connection settings are correct, then click Done (Windows) or Finish (Macintosh).

    • If you save the key to disk, a Save As dialog box prompts you to save the connection key to either your computer’s local disk or a network location.

    If you choose to send the file to users through a non-web-based e-mail application, your e-mail application will start up and create an e-mail message with the connection key attached. The message tells recipients how to open the connection key.
Previous


Troubleshooting

This chapter documents common problems that you may encounter as a Macromedia Contribute user and provides potential solutions.

This chapter contains the following sections:

  • Problems installing Contribute
  • Problems launching Contribute
  • Problems creating a connection
  • Problems editing a page
  • Problems canceling pages
  • Problems sending e-mail reviews
  • Problems publishing a page
  • Problems creating new documents from templates
  • Problems administering Contribute
  • Using Contribute with dynamic pages
Next


Problems installing Contribute

Contribute is designed to install and function properly on the Windows platform. Here are some common errors that can cause problems when installing the Contribute software:

  • Entering an invalid serial number
  • Entering the serial number incorrectly
  • Installing Contribute on a system that has restricted user permissions

If you encounter problems installing Contribute, verify that you are entering a valid and correct product activation serial number, and that the system on which you are installing the software has proper network and disk access for your user account.


Problems launching Contribute

The following sections describe problems you may encounter when launching Contribute:

  • Startup is slow or the application appears to freeze
  • The Connection Failure dialog box appears when connected to a network
  • Contribute doesn’t detect that it is disconnected from the network
  • The Dial-up dialog box is displayed when connected to the network
  • Contribute reports that the user is not in a valid permission group


Startup is slow or the application appears to freeze

When you start Contribute, it opens a connection to each website defined in the My Connections dialog box. If you have many Contribute websites defined, the application may be slow and unresponsive when launching. To alleviate this problem, consider disabling websites that you don’t update on a frequent basis. You can easily enable websites when you need to update them.

For more information, see the following sections:

  • Disabling a website connection
  • Enabling a website connection
  • Improving application performance by disabling websites


The Connection Failure dialog box appears when connected to a network

Occasionally, the Connection Failure dialog box appears even though you are connected to an active network connection. This sometimes occurs when Contribute is installed on a computer with other applications that regularly access the network.

Click OK to close the Connection Failure dialog box. If the Connection Failure dialog box continues to appear, verify that your computer is indeed connected to the network, or, if you are using a dial-up connection, that you have successfully established a dial-up connection.


Contribute doesn’t detect that it is disconnected from the network

In some instances, Contribute may be unaware that the network connection is either disconnected or otherwise unavailable. If this occurs, Contribute attempts to connect to the first of your website connections. If it fails and there are more websites to connect to, Contribute displays a dialog box that asks whether you want to continue trying to connect to your remaining websites. If you click Yes, Contribute displays the same dialog for each website (provided you click Yes each time). If you click No, Contribute disables the remaining websites.

Even if you click Yes, Contribute disables the website if it is unable to connect to it. When this occurs, Contribute does not display the Working Offline page, but instead lists each website as disabled. If you want to work offline, select File > Work Offline (Windows) or Contribute > Work Offline (Macintosh). If you want to connect to your websites, verify that your computer is connected to the network and that the network is operational.


The Dial-up dialog box is displayed when connected to the network

By default, the Microsoft Internet Explorer web browser is configured to automatically dial a network connection if a connection is not present. In some instances, when Contribute is launched, this can cause Contribute to attempt to dial the network connection.

To prevent this from occurring, you can update the Internet Explorer connection settings never to dial up a network connection.

To disable dial-up networking in Internet Explorer:

  1. If it is not already running, launch Internet Explorer.
  2. Select Tools > Internet Options.

    3. The Internet Options dialog box appears.

  3. Click the Connections tab.
  4. Under Dial-up settings, select either Never dial a connection or Dial whenever a network connection is not present.
  5. Click Apply.
  6. Click OK.


Contribute reports that the user is not in a valid permission group

This problem can occur if the permission group the user belonged to is deleted or changed by the administrator. If the user created the connection, he or she can launch the Connection Wizard (Windows) or Connection Assistant (Macintosh) to create a new connection, and then select a valid permission group to belong to. If the user imported a changed connection key, the administrator can send the user a new connection key containing a valid permission group to import.

For more information, see Creating a connection with the Connection Wizard or Assistant or Sending a connection key.


Problems creating a connection

The following sections describe problems you may encounter when creating a connection with Contribute:

  • Unable to view the My Connections dialog box
  • Can’t move to the next screen in the Connection Wizard
  • Connection Wizard can’t locate the remote folder
  • LAN connection cannot locate the remote folder
  • FTP dialog box fails to accept your user name and password


Unable to view the My Connections dialog box

If you cannot view the My Connections dialog box, or edit your connections, Contribute may be in offline mode. Click the Work Online button to connect to your server.


Can’t move to the next screen in the Connection Wizard

If you are unable to navigate to the next screen of the Connection Wizard (Windows) or Connection Assistant (Macintosh), you may have entered the connection information incorrectly. Verify that you have entered the correct website address URL, server name, user name, password, and network path. If these items are correct, verify that the website is online using your computer’s web browser.

For more information, see Creating a connection with the Connection Wizard or Assistant.


Connection Wizard can’t locate the remote folder

When you enter FTP or SFTP connection information into Contribute, the Connection Wizard verifies that the FTP folder is the same folder that contains your website’s files. If these folder paths don’t match, Contribute is unable to write to the page displayed by your browser. For this reason, your FTP folder must have proper read/write access.

On Unix servers, such as Apache, public-read bit is set for files and public-execute bit is set for web directories.

To ensure that the website and FTP folder are the same, Contribute uploads a temporary file using the FTP host information you provide. The Connection Wizard uses the website’s address to "guess" the FTP path. Contribute then attempts to read the temporary file through HTTP using the web address you provided. If Contribute succeeds in locating the temporary file, the paths match, and the Connection Wizard creates the connection.

If the paths don’t match, the Connection Wizard prompts you for the correct FTP path, because Contribute was unable to guess the path.

To ensure that you are entering the correct FTP path, use the Connection Wizard’s Browse button to locate and select the FTP folder. If the path to the folder is correct, ensure that the folder has the proper read/write permissions for the user. If you are creating an anonymous FTP account, the server must be configured to support delete, rename, and overwrite privileges for the anonymous user.

To learn how to check your server’s FTP and folder permissions, refer to the documentation supplied with your server operating system.

If you want to give specific permission groups access to subfolders of a read-only FTP root, you can do one of the following:

  • Write-enable the root folder.
  • Create a unique connection for each subfolder in the root folder, and write-enable these subfolders.


LAN connection cannot locate the remote folder

If the local area network can’t locate the remote folder containing your web pages, consider the following solutions:

  • The remote folder must be set to shared to be visible to the network and any clients attempting to connect to it.
  • The folder must have proper read, write, delete, overwrite, and change permissions.

To check whether a folder is visible to your local area network:

  1. Select Start > Run from the Windows Start menu.

    2. The Run dialog box appears.

  2. Enter the network path to the folder in the Open text box, and click OK.

    3. For example, enter \\MyServer\MyFolder.

    This is a picture of the feature being described.

  3. Verify that the folder is visible to the network and that you have proper file access permissions.


FTP dialog box fails to accept your user name and password

Ensure that you are entering the correct user name and password for the specified FTP or SFTP server. The FTP user name and password may be different from your computer’s login information.

Note: If you enter a user name and password many times without successfully logging in to the server, the FTP server may be configured to reject all future attempts. If this appears to be the case, you may need to exit the application and attempt to log in again or contact your administrator to unlock the account if it has been locked.


Problems editing a page

The following sections describe problems you may encounter when editing a page:

  • Edit Page button is not visible
  • The Edit button is disabled
  • Clicking the Edit button displays an error message
  • Clicking Edit Page displays a different page


Edit Page button is not visible

If the Edit Page button is not visible for a page you browse to, ensure that you have a connection to that website, and that you have permission to edit the displayed page. For more information, see the following sections:

  • Creating a Contribute website connection
  • Setting folder and file access permissions

If the website has alternate web addresses (for example, you are browsing to the page using an IP address instead of the website’s DNS name), you may need to configure Contribute to recognize these addresses. For more information, see Specifying alternate web addresses.

You may be experiencing a network or server abnormality. Try refreshing the page or using the Back and Forward buttons to navigate to the page a second time.


The Edit button is disabled

There are several reasons why the Edit button may be disabled for a certain page:

  • When you browse to a page, Contribute checks whether you have permission to edit that page in the website. Depending on network traffic and server response, this can take a few moments (during this time the Edit Page button is dimmed).
  • The page may be locked for editing by another user. Contribute should display a message that the file is locked and provide the contact information for the user who is editing the file.

    • In some instances you may need to remove a lock file to allow access to the page. For more information, see Overriding a file checkout in Contribute.

  • The user may not have write permission to either the server itself, the folder containing the web page, or the page itself. To learn how to check the server’s folder permissions, refer to the documentation supplied with the server operating system.
  • The specified URL may point to a directory listing, and not a specific page. Click a page to display it and navigate to the page you want to edit.
  • When you go to a website, Contribute will list the directory’s contents if there is no index file. Click a page to display it and navigate to the page you want to edit.
  • The file type may not be editable by Contribute.
  • The page may not exist, either because it has been deleted or because the user entered the wrong page filename.
  • The path to the file may exceed the system’s maximum character length.
  • The correct Contribute Startup password was not entered.
  • On Macintosh, the server volume is not mounted on the computer desktop.


Clicking the Edit button displays an error message

The user may not have proper read/write permissions on the server to edit the page, or the shared settings file may be corrupt or changed.

To learn how to check the server’s folder permissions, refer to the documentation supplied with the server operating system.

If the server’s read/write permissions are properly set, you may have a corrupt shared settings file. If this is the case you must delete the shared settings file from the web server and create a new shared settings file.

To delete the shared settings file:

  1. Connect to the server, either by mounting it on your desktop (Macintosh) or by logging in to it (using an FTP client, telnet, SSH or similar software).

    2. Note: You can’t perform this procedure from within a web browser.

  2. On the server, open the root folder of your Contribute website, then the _mm folder that’s inside the root folder.

    3. A typical Windows directory path for the _mm folder might be:

    \\myServer\wwwroot\mySite\_mm

    A typical UNIX directory path for the _mm folder might be:

    /myServer/webServer/mySite/_mm

    The shared settings file is an XML file (named contribute.xml) stored in the _mm folder.

  3. Delete the shared settings file.
  4. Using Contribute, select Edit > Administer Websites, and then select the website whose shared settings file you deleted.

    5. A dialog box appears informing you that the website has no administrator and asking whether you want to become the administrator for the website. Click Yes to become the website administrator.

  5. You are asked to enter an administrator password.

    6. Enter and confirm the new password, and click OK.

    The Administer Websites dialog box appears.

  6. Click Done or proceed to administer the website.


Clicking Edit Page displays a different page

If you click the Edit Page button and Contribute displays a page other than the one you want, the index page file mapping may be incorrectly configured in the Administration settings in Contribute. For example, check the Index and URL mapping (Administer Website > Sitewide Setting > Index and URL Mapping). To learn more, see About web server index pages.


Problems canceling pages

The following sections describe problems you may encounter when canceling pages in Contribute:

The Cancel button isn’t visible If the Cancel button isn’t visible when you are reviewing a draft, you may inadvertently be working offline. Select File > Work Offline (Windows) or Contribute > Work Offline (Macintosh) to reconnect to the server.

Clicking the Cancel button reports an error This occurs if the web server is unavailable, or if the user’s permissions on the server are not correctly set. Ensure that the web server is online, and that the server’s read/write permissions are properly set.


Problems sending e-mail reviews

In some situations, Contribute may not be able to find or launch your default e-mail application to create the e-mail review message.

Note: On the Macintosh, Contribute works with the following default e-mail applications: Mail, Eudora, and Entourage.

If Contribute cannot find or launch your default e-mail application, you can create the e-mail message by clicking the Click here link in the message area under the toolbar. Copy the web address (URL) for the draft that appears in the browser window and paste the address in an e-mail message to send to reviewers.


Problems publishing a page

The following sections describe problems you may encounter when publishing a page with Contribute:

Publish button isn’t visible If the Publish button isn’t visible when you are reviewing a draft, you may be working offline. Select File > Work Offline (Windows) or Contribute > Work Offline (Macintosh) to reconnect to the server.

Clicking the Publish button reports errors There are several reasons why the Publish button may be disabled for a certain page:

  • The server may be offline or otherwise unavailable.

    • Ensure that the web server is running by browsing to the website using your computer’s web browser.

  • The user’s permissions to either the server itself, the folder containing the web page, or the specific page may have changed.

    • Ensure that the user has the correct file and folder access permissions. To learn how to check the server’s file and folder permissions, refer to the documentation supplied with the server operating system.

  • The folder containing the page that the user wants to publish to may have been deleted, or does not exist.

    • Save the page to another folder in the website, or create an appropriate folder for the page.

  • Another user may have locked the page. This can occur if a user with Dreamweaver MX accesses the file and resets the lock file.

    • Check whether another user has the file checked out, or whether the lock file is invalid and needs to be forcibly removed. If you need to remove the lock file, see Overriding a file checkout in Contribute.


Problems creating new documents from templates

The following sections describe problems you may encounter when creating new pages from templates with Contribute:

  • Page templates don’t appear in Contribute
  • A new page has broken images or other missing elements


Page templates don’t appear in Contribute

If your web page templates don’t show up in Contribute, click the Refresh Templates button in the New Page dialog box to download templates. If this fails to fix the problem:

  • Ensure that they have been properly downloaded from the server. Sometimes the person downloading the templates clicks Cancel part way through the downloading process, canceling the entire file download.
  • The permission group the user belongs to may have restricted template access. For more information, see Setting permissions for new web pages.
  • Make sure the template file name contains the .dwt file extension.
  • Make sure that all the templates for the website reside in the "Templates" directory in the site root folder.


A new page has broken images or other missing elements

If a user creates a new page from a template that has images or other dependent files, and the links to those files appear broken, it may be that the user doesn’t have access to the directory storing those files. To correct this:

  • Ensure that the user has read access to any folders containing images or other referenced page elements (such as Macromedia Flash movies).
  • Check that the template itself doesn’t contain broken links or invalid syntax.
  • Check that the any file upload quotas set on the server have not been exceeded.
  • Verify that the server’s disk is not full.


Problems administering Contribute

The following sections describe problems you may encounter when administering Contribute:

  • The Administer Websites menu is deactivated
  • I forgot the administrative password
  • Contribute freezes when sending a connection key
  • Replacing a deleted web page
  • Users don’t see enough rollback copies of pages
  • Improving application performance by disabling websites
  • Removing a single user from a permission group
  • Overriding a file checkout in Contribute


The Administer Websites menu is deactivated

If the Administer Websites menu is deactivated, ensure that Contribute is working online by selecting File > Work Offline (Windows) or Contribute > Work Offline (Macintosh).

If websites within the Administer Websites pop-up menu are deactivated, they may be disabled. For more information, see Enabling a website connection.


I forgot the administrative password

If you forget the password assigned to the Contribute website administrator, you can reset the password by deleting the shared settings file from the website and creating a new shared settings file.

Note: If you delete the shared settings file, all of the group permissions you have previously created are lost; you must set up those permissions again.

To delete the shared settings file:

  1. Connect to the server, either by mounting it on your desktop or by logging in to it (using an FTP client, telnet, SSH, or similar software).

    2. Note: You can’t perform this procedure from within a web browser.

  2. On the server, open the root folder of your Contribute website, then the _mm folder that’s inside the root folder.

    3. A typical Windows directory path for the _mm folder might be:

    \\myServer\wwwroot\mySite\_mm

    A typical UNIX directory path for the _mm folder might be:

    /<path_to_the_web_server_doc_root/mySite/_mm/

    The shared settings file is an XML file (labeled contribute.xml) in the _mm folder.

  3. Delete the shared settings file.
  4. Using Contribute, select Edit > My Connection (Windows) or Contribute > My Connection (Macintosh), select the website whose shared settings file you deleted, and click Edit.

    5. Verify the Connection Wizard settings. When you are prompted to become the administrator for the website, select Yes, and enter a new administrator password.

  5. Enter and confirm the new password and click OK.
  6. When you have redefined the website connection, you will be asked whether you want to administer the website. Click Done or proceed to administer the website.


Contribute freezes when sending a connection key

If you use a web-based e-mail account (such as Hotmail or Yahoo!) or an e-mail application that Contribute is unable to recognize, the Export Connection Wizard (Windows) or Export Connection Assistant (Macintosh) freezes when you try to automatically attach and send the connection key by e-mail.

To prevent this, save the connection key to your local computer and manually attach it to an e-mail message that you create using your e-mail application.


Replacing a deleted web page

If a user inadvertently deletes a web page from the web server, you can recreate the page from the rollback copies maintained on the web server. To do this, rollbacks must be enabled, and the option to delete all rollback copies of a page must not be selected. To learn more about page rollbacks, see Enabling and disabling rollbacks.

To replace a deleted web page:

  1. Using Contribute, browse to the deleted page.

    2. To do this, you can either enter the URL of the page or click a link on an existing page that links to the deleted page. When you do this, the web server responds with an HTTP 404 error (page not found).

    Note: Some web servers are configured so that they redirect you to the website’s home page or a customized error page if a "file not found" error is encountered. If this happens, you can manually copy the page from the _baks directory located at the root of the Contribute website.

  2. Select File > Roll Back to Previous Version.

    3. The Roll Back Page dialog box appears.

  3. Select a previous version of the published page from the list of available pages.

    4. Note: The list of previously published pages displays up to 99 of the previous versions of the page.

    Contribute displays the page in the Preview section.

  4. If the page you selected is the one you want to publish, click the Roll Back button. If the page is not the one you want to publish, select another page from the list, then click Roll Back.

    5. Contribute replaces the currently published version of the page with the previously published version that you selected. The version you selected becomes the current version on the website.

    Note: The page you replace with the selected rollback page appears in the Roll Back Page dialog box the next time you open the dialog box. You can roll back to that version if you need to.


Users don’t see enough rollback copies of pages

If users complain that they don’t see enough rollback copies of pages to revert to, consider increasing the number of rollback files that Contribute maintains.

For more information, see Enabling and disabling rollbacks.


Improving application performance by disabling websites

Under certain conditions it may be desirable to disable a Contribute website. This prevents Contribute from accessing that website, and potentially hindering the application’s performance. You may want to disable a website for any of the following reasons:

  • The Contribute application has several websites defined, but only one or two websites are updated regularly.

    • When you start Contribute, it establishes a connection to each website connection you have defined, and maintains an open and active connection during the time the application is running. If you have many websites defined (for example, six or more) but are actively working with only one or two, you may improve application performance by disabling the other websites.

  • You’re using a dial-up network that authenticates open connections and disables them after a specified time period.

    • Many corporate networks terminate connections that remain inactive for extended periods of time. If you have Contribute websites defined that you are not actively working with, you may need to disable these websites to avoid website unavailable errors.

  • The website is offline.

    • If a Contribute website is offline or otherwise unavailable, you may improve performance by disabling the website. When Contribute encounters a website that is unavailable, it displays the error message: "The server serverName is not responding. Contact your system administrator."

    You can retry the connection by clicking the Retry Connection button in the browser toolbar.

  • The user’s permission group has been removed.

    • If a user was a member of a permission group that has been removed, Contribute reports an error when it attempts to load the website.

  • You are attempting to connect to websites outside of their firewalls, so some websites connect and others do not.

For more information, see Disabling a website connection.


Removing a single user from a permission group

Contribute does not support the removal of a single user from a permission group. If you need to remove a single user from a group, do the following:

  • Delete that user’s connection from their personal copy of Contribute. As an added measure, your organizations’s network authentication can be configured to prevent the user from having read/write access to the website.
  • Rename the group and redistribute it to the users you want to include, then delete the old group.

To learn more, see Creating Contribute permission groups.


Overriding a file checkout in Contribute

If a user has a page open for editing, Contribute creates a lock file (identified by a .lck extension) that prevents other users from editing that page. In the following instances, you may need to delete a lock file to allow another user to edit such a page:

  • A user who no longer works for your organization has left a file in a locked state on the server.
  • A web administrator or other web professional has locked (checked out) the page using Dreamweaver MX and has left the page in a locked state.
  • A system error or other anomaly is preventing a user from checking in a page that they no longer want to edit.

Before overriding a checked out page in Contribute, ensure that the person who last worked with the page really is finished working with it and cannot unlock the page using Contribute or Dreamweaver.

To delete a lock file:

  1. Using Contribute, browse to the page you want to unlock.
  2. At the end of the page’s URL, append the .lck extension to the filename in the Contribute browser. For example: www.mysite.com/index.htm.lck.
  3. Contribute displays the File Placeholder Page.

    4. The File Placeholder Page appears when Contribute encounters a file type that it can’t open. Because the Contribute lock file is of a special type, Contribute cannot display it.

  4. Select File > Delete Page.

    5. Note: This menu item is disabled if you do not have permission to delete pages from your website. If this is the case, you must enable file deletion for the user’s permission group. For more information, see Setting folder and file access permissions.

    An alert asks whether you are certain that you want to delete the file.

  5. Click Yes to confirm that you want to delete the file.

    6. Another alert appears warning that you are deleting a special file, and asking if you want to proceed.

  6. Click Yes to confirm that you want to delete the file.

    7. Contribute deletes the lock file and displays the last page you viewed.


Using Contribute with dynamic pages

Contribute is designed to edit HTML content on your website. It is not, however, designed to edit dynamic content stored in a database, or to add or edit dynamic tags. Contribute works around your dynamic document code, and provides tools to protect those parts of your web pages and your website that should not be edited by Contribute users.

The Contribute browser is a full-featured web browser that lets users view dynamic pages, enter data into forms, and submit those forms.

Contribute also supports new pages and templates that include dynamic elements. For example, you can create a template that includes ColdFusion tags for initialization, includes, counters, and dynamic data elements. Users can also copy existing dynamic pages. In either case, as the Contribute website administrator, you must ensure that your website’s code is protected.


Preventing users from editing dynamic pages

To prevent Contribute users from editing dynamic elements in pages, consider the following precautions:

  • Restrict editing to specific folders.

    • Using the Contribute permission groups, you can limit folder access. For example, if your website includes a dynamic job listings page, put the page in its own folder and exclude the folder from the list of editable folders in the website. When a Contribute user browses to the folder, the Edit Page button is disabled.

  • Lock pages you want to protect by using the server’s file-access tools.

    • Set the file permissions for dynamic pages to read-only. When a Contribute user views a dynamic page and clicks Edit Page, they see a message stating that the page is read-only and not editable.

  • In the Contribute administration settings, select Protect scripts and forms.


Editing static content in dynamic pages

You can allow users to edit static content within dynamic pages and protect only the dynamic portions of the page.

Contribute users cannot edit source code, nor can they edit anything outside of the <body> and <title> tags of a page. This protects initialization scripts and include files from being edited. To protect dynamic elements in the body of your page, consider the following precautions:

  • Use templates to block off dynamic parts of your page. For example, if you have a page that incorporates dynamically generated content (such as CFLOOP in ColdFusion, or repeating ASP), you can make that page into a template, ensure that those regions of the template are locked, and create an instance of the template. Contribute users will only be able to edit within the editable regions specified.

    • You may not want users to create new pages from these templates, or copy those pages. To learn how to restrict users from creating new pages from your templates, or copying those pages, see Setting permissions for new web pages.

  • By default, Contribute is set to allow unrestricted editing of non-template pages and to protect scripts and forms from being edited. If you deselect the option which protects forms and scripts, users will be able to modify code embedded in your pages, for example, SCRIPT tags, server-side includes, ASP, JSP, ColdFusion, and PHP. This option also protects any tag with a nontext character in the tag name, such as ASP:MyTag. However, Contribute may not be able to recognize and protect custom tags, such as myCustomTag, and the data elements between ColdFusion CFOUTPUT tags such as #...#.

    • Users are able to edit plain HTML enclosed in conditional tags (such as the content between CFIF and CFELSE, and other HTML container tags such as CFOUTPUT).

    For more information, see Setting page editing and paragraph permissions.

  • Limit editing to text-only. Select this option in the Editing category of the Permission Group dialog box to limit users to only editing and formatting text. For any page not protected by a template, users will be able to edit only text and common text formatting tags (such as b, font, span, and so on.). No other tags can be selected or deleted. However, HTML content between tags may be editable.

    • For more information, see Setting page editing and paragraph permissions.
Previous


Trademarks

Afterburner, AppletAce, Attain, Attain Enterprise Learning System, Attain Essentials, Attain Objects for Dreamweaver, Authorware, Authorware Attain, Authorware Interactive Studio, Authorware Star, Authorware Synergy, Backstage, Backstage Designer, Backstage Desktop Studio, Backstage Enterprise Studio, Backstage Internet Studio, Contribute, Design in Motion, Director, Director Multimedia Studio, Doc Around the Clock, Dreamweaver, Dreamweaver Attain, Drumbeat, Drumbeat 2000, Extreme 3D, Fireworks, Flash, Fontographer, FreeHand, FreeHand Graphics Studio, Generator, Generator Developer's Studio, Generator Dynamic Graphics Server, Knowledge Objects, Knowledge Stream, Knowledge Track, LikeMinds, Lingo, Live Effects, MacRecorder Logo and Design, Macromedia, Macromedia Contribute, Macromedia Coursebuilder for Dreamweaver, Macromedia M Logo & Design, Macromedia Flash, Macromedia Xres, Macromind, Macromind Action, MAGIC, Mediamaker, Multimedia is the Message, Object Authoring, Power Applets, Priority Access, Roundtrip HTML, Scriptlets, SoundEdit, ShockRave, Shockmachine, Shockwave, shockwave.com, Shockwave Remote, Shockwave Internet Studio, Showcase, Tools to Power Your Ideas, Universal Media, Virtuoso, Web Design 101, Whirlwind and Xtra are trademarks of Macromedia, Inc. and may be registered in the United States or in other jurisdictions including internationally. Other product names, logos, designs, titles, words or phrases mentioned within this publication may be trademarks, servicemarks, or tradenames of Macromedia, Inc. or other entities and may be registered in certain jurisdictions including internationally.

This guide contains links to third-party websites that are not under the control of Macromedia, and Macromedia is not responsible for the content on any linked site. If you access a third-party website mentioned in this guide, then you do so at your own risk. Macromedia provides these links only as a convenience, and the inclusion of the link does not imply that Macromedia endorses or accepts any responsibility for the content on those third-party sites.

Opera® browser Copyright © 1995-2002 Opera Software ASA and its suppliers. All rights reserved.
Next


Apple Disclaimer

APPLE COMPUTER, INC. MAKES NO WARRANTIES, EITHER EXPRESS OR IMPLIED, REGARDING THE ENCLOSED COMPUTER SOFTWARE PACKAGE, ITS MERCHANTABILITY OR ITS FITNESS FOR ANY PARTICULAR PURPOSE. THE EXCLUSION OF IMPLIED WARRANTIES IS NOT PERMITTED BY SOME STATES. THE ABOVE EXCLUSION MAY NOT APPLY TO YOU. THIS WARRANTY PROVIDES YOU WITH SPECIFIC LEGAL RIGHTS. THERE MAY BE OTHER RIGHTS THAT YOU MAY HAVE WHICH VARY FROM STATE TO STATE.

Copyright © 2002-2003 Macromedia, Inc. All rights reserved. This manual may not be copied, photocopied, reproduced, translated, or converted to any electronic or machine-readable form in whole or in part without prior written approval of Macromedia, Inc. Part Number ZCT20M200

Third Party Software Notices and/or Additional Terms and Conditions can be found at http://www.macromedia.com/go/thirdparty/.


Acknowledgments

Project Management: Kim Diezel

Writing: Chris Bedford, Jennifer Rowe

Managing Editor: Rosana Francescato

Editing: Lisa Stanziano, Anne Szabla, Mary Ferguson

Production Management: Patrice O’Neill

Multimedia Design and Production: Aaron Begley

Print and Help Design and Production: Adam Barnett, Christopher Basmajian, John Francis

Special thanks to Luciano Arruda, Yoko Bayer, Don Booth, Darrick Brown, Ian Chase, Kristin Conradi, Deb Galdes, Dennis Griffin, Noah Hoffman, Sue Hove, Joel Huff, Narciso (nj) Jaramillo, Steven Johnson, Brady Kroupa, Sho Kuwamoto, Erik Larson, Eric Lerner, Bonnie Loo, Josh Margulis, Charles McBrian, Sheila McGinn, Masayo Noda, Kimberly Oslob, Antonio Padial, Emilio Passi, Scott Richards, Ken Sundermeyer, Paola Uscher, Kaori Wolff, Mitsuko Yoneyama, and the Contribute engineering and QA teams.

First Edition: July 2003

Macromedia, Inc.
600 Townsend St.
San Francisco, CA 94103
Previous


Using and Administering Contribute

Copyright © 1997-2003 Macromedia, Inc.
All rights reserved.
Trademarks and Acknowledgments